<?php
add_action('init', 'plombiers_blog_kc_map', 99 );
function plombiers_blog_kc_map() {

	if (function_exists('kc_add_map')){
	    kc_add_map(
	        array(
	            'plombiers_blog' => array(
	                'name' => esc_html__('Plombier Blog','plombiers-core'),
	                'description' => esc_html__('Display Blog Post', 'plombiers-core'),
	                'icon' => 'cpicon kc-icon-blog-posts',
	                'category' => PlombiersLibrary::plombiers_kc_cat_name(),
	                'params' => array(
                  'Content' => array(
                  array(
                      'name' => 'blog_style',
                      'label' => esc_html__('Blog Style','plombiers-core'),
                      'type' => 'select',
                        'options' => array(
                          '' => esc_html__('Select Blog Style','plombiers-core'),
                          'classic' => esc_html__('Classic','plombiers-core'),
                          'grid' => esc_html__('Grid ','plombiers-core'),
                        ),
                      'admin_label' => true,
                      'description' => esc_html__('Select your blog style. ', 'plombiers-core'),
                    ),
                  array(
                      'name' => 'blog_colunm',
                      'label' => esc_html__('Blog Column','plombiers-core'),
                      'type' => 'select',
                        'options' => array(
                          '' => esc_html__('Blog Column Style','plombiers-core'),
                          'col_one' => esc_html__('One Colunm','plombiers-core'),
                          'col_two' => esc_html__('Two Colunm','plombiers-core'),
                          'col_three' => esc_html__('Three Colunm','plombiers-core'),
                          'col_four' => esc_html__('Four Colunm','plombiers-core'),
                        ),
                        'relation' => array(
                          'parent'    => 'blog_style',
                          'show_when' => 'grid'
                      ),
                      'admin_label' => true,
                      'description' => esc_html__('Select your blog column. ', 'plombiers-core'),
                    ),
                    array(
                        'name' => 'blog_limit',
                        'label' => esc_html__( 'Blog Limit','plombiers-core'),
                        'type' => 'text',
                        'description' => esc_html__('Enter the number of items to show', 'plombiers-core'),
                      ),
                    array(
                        'name' => 'blog_order',
                        'label' => esc_html__( 'Blog Orderby','plombiers-core'),
                        'type' => 'select',
                          'options' => array(
                            '' => esc_html__('Blog Order','plombiers-core'),
                            'ASC' => esc_html__('Asending','plombiers-core'),
                            'DESC' => esc_html__('Desending','plombiers-core'),
                          ),
                        'admin_label' => true,
                        'description' => esc_html__('Select Blog Orderby ', 'plombiers-core'),
                      ),
                    array(
                        'name' => 'blog_orderby',
                        'label' => esc_html__( 'Order By','plombiers-core'),
                        'type' => 'select',
                          'options' => array(
                            'none' => esc_html__('None','plombiers-core'),
                            'ID' => esc_html__('ID','plombiers-core'),
                            'author' => esc_html__('Author','plombiers-core'),
                            'title' => esc_html__('Title','plombiers-core'),
                            'date' => esc_html__('Date','plombiers-core'),
                          ),
                        'admin_label' => true,
                      ),
                    array(
                        'name' => 'blog_show_category',
                        'label' => esc_html__( 'Show only certain categories?','plombiers-core'),
                        'type' => 'text',
                        'description' => esc_html__('Enter category SLUGS (comma separated) you want to display. ', 'plombiers-core'),
                      ),
                    array(
                        'name' => 'short_content',
                        'label' => esc_html__( 'Short Content (Excerpt Length)','plombiers-core'),
                        'type' => 'text',
                        'description' => esc_html__('Enter the numeric value of, how many words you want in short content paragraph. ', 'plombiers-core'),
                      ),
                    array(
                        'name' => 'read_more_txt',
                        'label' => esc_html__( 'Read More Button Text','plombiers-core'),
                        'type' => 'text',
                        'description' => esc_html__('Enter read more button text.', 'plombiers-core'),
                      ),
                    array(
                        'name' => 'miss_align_height',
                        'label' => esc_html__( 'Miss-Aligned? Mention Minimum Height','plombiers-core'),
                        'type' => 'text',
                        'description' => esc_html__('Enter the px value for minimum height. This will fix miss-aligned issue with your listing items.', 'plombiers-core'),
                      ),
                     array(
                        'name' => 'blog_category',
                        'label' => esc_html__('Blog Category','plombiers-core'),
                        'type' => 'toggle',
                        'admin_label' => true,
                        'description' => esc_html__('Turn On if you want to show Blog Category.', 'plombiers-core')
                      ),
                     array(
                        'name' => 'blog_date',
                        'label' => esc_html__('Blog Date','plombiers-core'),
                        'type' => 'toggle',
                        'admin_label' => true,
                        'description' => esc_html__('Turn On if you want to show Blog Date.', 'plombiers-core')
                      ),
                     array(
                        'name' => 'blog_author',
                        'label' => esc_html__('Blog Author','plombiers-core'),
                        'type' => 'toggle',
                        'admin_label' => true,
                        'description' => esc_html__('Turn On if you want to show Blog Author.', 'plombiers-core')
                      ),
                     array(
                        'name' => 'blog_comments',
                        'label' => esc_html__('Blog Comments','plombiers-core'),
                        'type' => 'toggle',
                        'admin_label' => true,
                        'description' => esc_html__('Turn On if you want to show Blog Comments.', 'plombiers-core')
                      ),
                     array(
                        'name' => 'blog_pagination',
                        'label' => esc_html__('Blog Pagination','plombiers-core'),
                        'type' => 'toggle',
                        'admin_label' => true,
                        'description' => esc_html__('Turn On if you want to show Blog Pagination.', 'plombiers-core')
                      ),
                     array(
                        'name' => 'class',
                        'label' => esc_html__('Extra Class','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter Extra Class..', 'plombiers-core')
                      ),
                    ),
                    'Style' => array(
                      array(
                        'name' => 'title_size',
                        'label' => esc_html__('Title Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for title such as: 15px, 1em ..etc..', 'plombiers-core')
                      ),
                      array(
                        'name' => 'title_color',
                        'label' => esc_html__('Title Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for title', 'plombiers-core')
                      ),
                      array(
                        'name' => 'desc_size',
                        'label' => esc_html__('Description Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for Description such as: 15px, 1em ..etc..', 'plombiers-core')
                      ),
                      array(
                        'name' => 'desc_color',
                        'label' => esc_html__('Description Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Sub Description', 'plombiers-core')
                      ),
                      array(
                        'name' => 'icon_size',
                        'label' => esc_html__('Icon Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for icon such as: 15px, 1em ..etc..', 'plombiers-core')
	                    ),
	                    array(
                        'name' => 'icon_color',
                        'label' => esc_html__('Icon Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Sub icon', 'plombiers-core')
	                    ),
		                )
	                )
	            ),  // End of elemnt kc_icon

	        )
	    ); // End add map

	} // End if

}
