<?php
/* ==========================================================
  Blog Info
=========================================================== */
if ( !function_exists('plombiers_blog_function')) {
  function plombiers_blog_function( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'blog_style'  => '',
      'blog_colunm'  => '',
      'blog_limit'  => '',
      // Enable & Disable
      'blog_category'  => '',
      'blog_date'  => '',
      'blog_author'  => '',
      'blog_comments'  => '',
      'blog_pagination'  => '',
      // Listing
      'blog_order'  => '',
      'blog_orderby'  => '',
      'blog_show_category'  => '',
      'short_content'  => '',
      'class'  => '',
      // Read More Text
      'show_readmore'  => '',
      'read_more_txt'  => '',
      // Miss Align
      'miss_align_height'  => '',
      // Style
      'title_color'  => '',
      'title_size'  => '',
      'desc_size'  => '',
      'desc_color'=> '',
      'icon_color'  => '',
      'icon_size'  => '',
      'overly_color'  => '',
    ), $atts));

    if ( $title_size || $title_color ) {
      $title_style = ' style="';
      $title_style .= $title_size ? 'font-size: '. plombiers_core_check_px($title_size) .';': '';
      $title_style .= $title_color ? 'color: '.$title_color : '';
      $title_style .= '"';
    } else {
      $title_style = '';
    }
    if ( $miss_align_height ) {
      $min_height = ' style="';
      $min_height .= $miss_align_height ? 'min-height: '. plombiers_core_check_px($miss_align_height) .';': '';
      $min_height .= '"';
    } else {
      $min_height = '';
    }
    ob_start();
   global $paged;
     if( get_query_var( 'paged' ) )
       $my_page = get_query_var( 'paged' );
     else {
       if( get_query_var( 'page' ) )
         $my_page = get_query_var( 'page' );
       else
         $my_page = 1;
       set_query_var( 'paged', $my_page );
       $paged = $my_page;
     }
    $args = array(
      'paged' => $paged,
      'post_type' => 'post',
      'posts_per_page' => (int)$blog_limit,
      'category_name' => esc_attr($blog_show_category),
      'orderby' => $blog_orderby,
      'order' => $blog_order,
      'ignore_sticky_posts' => true
    );
    $plombiers_blog = new WP_Query( $args );
    if ($plombiers_blog->have_posts()) : ?>
    <section class="<?php echo esc_attr( $class ) ?> plmbr-blog-wrapper">
     <div class="row">
      <?php
       // Columns
        if ( $blog_colunm === 'col_one') {
          $colum_class = 'col-md-12';
        } elseif ( $blog_colunm === 'col_four') {
          $colum_class = 'col-md-3';
        } elseif ( $blog_colunm === 'col_two') {
          $colum_class = 'col-md-6';
        } else {
          $colum_class = 'col-md-4';
        }
       if (plombiers_framework_active()) {
          $blog_excerpt = cs_get_option('theme_blog_excerpt');
          if ($blog_excerpt) {
            $blog_excerpt = $blog_excerpt;
          } else {
            $blog_excerpt = '25';
          }
          if ($short_content) {
            $short_content = $short_content;
          } else {
            $short_content = $blog_excerpt;
          }
        }
       // Read More Text
        if (plombiers_framework_active()) {
          $read_more_to = cs_get_option('read_more_text');
          if ($read_more_txt) {
            $read_more_txt = $read_more_txt;
          } elseif($read_more_to) {
            $read_more_txt = $read_more_to;
          } else {
            $read_more_txt = esc_html__( 'Read More', 'plombiers-core' );
          }
        } else {
          $read_more_txt = $read_more_txt ? $read_more_txt : esc_html__( 'Read More', 'plombiers-core' );
        }
      while ($plombiers_blog->have_posts()) : $plombiers_blog->the_post();
        $plombiers_single_featured_image = cs_get_option('single_featured_image');
        $plombiers_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );
        $blog_image_url = wp_get_attachment_url( get_post_thumbnail_id() );
        $plombiers_large_image =  wp_get_attachment_url( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
      if ( $blog_style == 'classic') { ?>
        <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
          <div class="row">
           <div class="col-md-2">
              <div class="plmbr-blog-clsdbr-date plmbr-ext-space-40 text-center">
                <ul class="list-unstyled plmbr-archive">
                  <li class="plmbr-like archive-like"><?php if( function_exists('zilla_likes') ) zilla_likes(); ?></li>
                  <li><a class="plmbr-comment archive-comment" href="<?php echo esc_url( get_comments_link() ); ?>"><i class="pe-7s-comment"></i> <?php
                      printf( esc_html( _nx( '%1$s', '%1$s', get_comments_number(), 'comments title', 'plombiers-core' ) ),
                        number_format_i18n( get_comments_number() ),'<span>' . get_the_title() . '</span>' ); ?></a></li>
                </ul>
              </div>
            </div>
            <div class="col-md-10">
              <div class="plmbr-blog-post-innr">
                <div class="plmbr-thumb">
                  <div class="plmbr-blog-thumb">
                  <?php
                  if ($plombiers_single_featured_image) {
                    if ( 'gallery' == get_post_format() && ! empty( $plombiers_post_type['gallery_post_format'] ) ) { ?>
                      <div class="blog-img-carousel"
                      data-nav="true"
                      data-autoplay="true"
                      data-auto-height="true"
                      data-dots="true">
                     <?php
                        $plombiers_ids = explode( ',', $plombiers_post_type['gallery_post_format'] );
                        foreach ( $plombiers_ids as $id ) {
                          $plombiers_attachment = wp_get_attachment_image_src( $id, 'full' );
                          $plombiers_alt = get_post_meta($id, '_wp_attachment_image_alt', true);
                          echo '<div class="item"><div class="plmbr-thumb"><img class="img-responsive img-fluid" src="'.esc_url( $plombiers_attachment[0] ).'" alt="'. esc_attr($plombiers_alt) .'" /></div></div>';
                     } ?>
                      </div>
                    <?php
                    } elseif ( 'video' == get_post_format() && ! empty( $plombiers_post_type['video_post_format'] ) ) { ?>
                    <div class="plombiers-video-post video-format">
                      <?php $parsed = parse_url( $plombiers_post_type['video_post_format'] );
                      if ( strpos( $parsed['host'], 'vimeo' ) !== false ) { ?>
                        <iframe class="embed-responsive-item" src="<?php echo esc_url('https://player.vimeo.com/video/'.plombiers_video_format_data( $plombiers_post_type['video_post_format'] ).'?title=0&byline=0&portrait=0'); ?>" webkitallowfullscreen mozallowfullscreen allowfullscreen>
                        </iframe>
                      <?php } else { ?>
                        <iframe  class="embed-responsive-item youtube" src="<?php echo esc_url( 'https://www.youtube.com/embed/'.plombiers_video_format_data( $plombiers_post_type['video_post_format'] ).'?rel=0&amp;controls=0&amp;showinfo=0' ); ?>" >
                        </iframe>
                       <?php } ?>
                    </div>
                    <?php } elseif ( 'audio' == get_post_format() && ! empty( $plombiers_post_type['audio_post_format'] ) ) {
                      echo '<div class="plombiers-audio-post audio-format">'.esc_url( $plombiers_post_type['audio_post_format'] ).'</div>';
                     } elseif ($plombiers_large_image) { ?>
                    <div class="featured-image rounded-three">
                      <img class="img-responsive img-fluid" src="<?php echo esc_url($plombiers_large_image); ?>" alt="<?php echo esc_attr(get_the_title()); ?>">
                    </div>
                  <?php } // Featured Image ?>
                    <div class="plmbr-thumb-cntnt">
                        <ul class="list-inline">
                          <li class="plmbr-like"><?php if( function_exists('zilla_likes') ) zilla_likes(); ?></li>
                          <li><a class="plmbr-comment" href="<?php echo esc_url( get_comments_link() ); ?>"><i class="pe-7s-comment"></i> <?php
                              printf( esc_html( _nx( 'Comment (%1$s)', 'Comments (%1$s)', get_comments_number(), 'comments title', 'plombiers-core' ) ),
                                number_format_i18n( get_comments_number() ),'<span>'.esc_html( get_the_title() ).'</span>' ); ?>
                              </a>
                            </li>
                        </ul>
                      </div>
                  </div>
                  <?php
                  } ?>
              </div>
                <div class="plmbr-bl-ttl"><h3><?php echo esc_html( get_the_title() ); ?></h3></div>
                <div class="plmbr-bp-comments">
                  <ul class="plmbr-bpstcmnt2 list-inline">
                    <?php
                    if ( $blog_author == 'yes') {
                    printf(
                        '<li><span class="fa fa-user"></span><span>'. esc_html__(' by','plombiers-core') .' <a href="%1$s" rel="author">%2$s</a></span></li>',
                        esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
                        get_the_author()
                      );
                    }

                   if ( get_post_type() === 'post' && $blog_category == 'yes') {
                        $category_list = get_the_category_list( '</span></li><li><span class="fa fa-cog"> ' );
                        if ( $category_list ) {
                          echo '<li><span class="fa fa-cog">'.$category_list .'</span></li>';
                        }
                    } ?>
                    <?php if ( $blog_date == 'yes' ) { ?>
                      <li><span class="fa-calendar-o"></span><?php echo get_the_date(); ?></li>
                    <?php }
                     if ( $blog_comments == 'yes') { ?>
                      <li><i class="fa fa-commenting-o"></i>
                        <a href="<?php echo esc_url( get_comments_link() ); ?>">
                          <?php
                            printf( esc_html( _nx( 'Comment (%1$s)', 'Comments (%1$s)', get_comments_number(), 'comments title', 'plombiers-core' ) ),
                              number_format_i18n( get_comments_number() ),'<span>'.esc_html( get_the_title() ).'</span>' ); ?>
                        </a>
                      </li>
                   <?php } ?>
                  </ul>
                </div>
                <div class="plmbr-bp-para">
                <p>
                <?php
                    plombiers_excerpt( $short_content );
                    if ( is_sticky() ) {
                      printf( '<span class="sticky-post">%s</span>', esc_html__( 'Featured', 'plombiers-core' ) );
                    }
                  ?>
                </p>
                </div>
                <a href="<?php echo esc_url( get_permalink() ); ?>" class="btn btn-default btn-lg plmbr-btn-thm">
                  <?php echo esc_attr( $read_more_txt ); ?><i class="lnr lnr-arrow-right"></i>
                </a>
             </div>
          </div>
        </div>
      </div>

      <?php } else { ?>
        <div class="col-xs-12 col-sm-6 <?php echo esc_attr( $colum_class ); ?>" <?php echo $min_height; ?>>
            <div  id="<?php the_ID(); ?>" <?php post_class('single-blog'); ?>>
              <?php
              $post_options = get_post_meta( get_the_ID(), 'post_options', true );
              $plombiers_grid_image = isset($post_options['post_grid_image']) ? $post_options['post_grid_image'] : '';
              $grid_image_url = wp_get_attachment_url( $plombiers_grid_image );
              if ( $grid_image_url ) { ?>
              <div class="blog-thumbnail">
                  <a href="<?php echo esc_url( get_permalink() ); ?>">
                    <img src="<?php echo esc_url( $grid_image_url ); ?>" alt="doctor blog">
                  </a>
              </div>
              <?php } ?>
              <div class="blog-content">
                  <div class="blog-meta">
                     <?php if ( $blog_author == 'yes') { ?>
                      <div class="meta-date">
                        <?php printf(
                          '<span class="fa fa-user"></span><span class="author">'. esc_html__(' by','plombiers-core') .' <a href="%1$s" rel="author">%2$s</a></span>',
                          esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
                          '<span class="author-title">'.get_the_author().'</span>'
                        ); ?>
                      </div>
                    <?php } ?>
                      <div class="blog-meta-title">
                          <h2><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo esc_html( get_the_title() ); ?></a></h2>
                      </div>
                  </div>
                  <div class="blog-submeta">
                    <?php if ( $blog_date == 'yes' ) { ?>
                      <div class="meta-date">
                          <?php echo get_the_date(); ?>
                      </div>
                    <?php } ?>
                    </div>
                  <p><?php plombiers_excerpt($short_content); ?></p>
                  <div class="btn-style-one">
                      <a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo esc_attr( $read_more_txt ); ?></a>
                  </div>
              </div>
          </div>
      </div>
      <?php }
      endwhile;
      ?>
    </div>
  </section>
   <?php
    if ($blog_pagination) {
      echo '<nav class="blog-paginations pagination_area"><div class="pagination">';
      $big = 999999999;
      echo paginate_links( array(
           'base'      => str_replace( $big, '%#%', get_pagenum_link( $big ) ),
           'format'    => '?paged=%#%',
           'total'     => $plombiers_blog->max_num_pages,
           'show_all'  => false,
           'current'   => max( 1, $my_page ),
            'prev_text'    => '<div class="fa fa-angle-left"></div>',
            'next_text'    => '<div class="fa fa-angle-right"></div>',
           'mid_size'  => 1,
           'type'      => 'list'
         ) );
       echo '</div>
       </nav>';
    }
    wp_reset_postdata();
     endif;
    return ob_get_clean();
  }
}
add_shortcode( 'plombiers_blog', 'plombiers_blog_function' );
