<?php
/* ==========================================================
  Service Info
=========================================================== */
if ( !function_exists('plombiers_contact_info_function')) {
  function plombiers_contact_info_function( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'contact_info_items'  => '',
      'extraclass'  => '',
      // Style
      'title_color'  => '',
      'title_size'  => '',
      'icon_color'  => '',
      'icon_size'  => '',
      'desc_color'  => '',
      'desc_size'  => '',
      'info_border_color'  => '',
    ), $atts));
    if ( $title_size || $title_color ) {
      $title_style = ' style="';
      $title_style .= $title_size ? 'font-size: '. plombiers_core_check_px($title_size) .';': '';
      $title_style .= $title_color ? 'color: '.$title_color : '';
      $title_style .= '"';
    } else {
      $title_style = '';
    }
    if ( $icon_size || $icon_color ) {
      $icon_style = ' style="';
      $icon_style .= $icon_size ? 'font-size: '. plombiers_core_check_px($icon_size) .';': '';
      $icon_style .= $icon_color ? 'color: '.$icon_color : '';
      $icon_style .= '"';
    } else {
      $icon_style = '';
    }
    if ( $desc_size || $desc_color ) {
      $desc_style = ' style="';
      $desc_style .= $desc_size ? 'font-size: '. plombiers_core_check_px($desc_size) .';': '';
      $desc_style .= $desc_color ? 'color: '.$desc_color : '';
      $desc_style .= '"';
    } else {
      $desc_style = '';
    }
    $e_uniqid       = uniqid();
    $inline_style   = '';
    if ( $info_border_color ) {
      $inline_style .= '.info-plmbr-right-'. $e_uniqid .'.info-plmbr-right  {';
      $inline_style .= ( $info_border_color ) ? 'border-color:'. $info_border_color .';' : '';
      $inline_style .= '}';
    }
    // add inline style
    add_inline_style( $inline_style );
    $styled_class  = ' info-plmbr-right-'. $e_uniqid.' ';
    $output = '<div class="row plmbr-contact-onfo '.esc_attr( $extraclass ).'"><div class="container">';
      foreach ($contact_info_items as $key => $contact_info_item) {
        // Columns
        if ($contact_info_item->contact_info_colunm === 'col_one') {
          $colum_class = 'col-md-12';
        } elseif ($contact_info_item->contact_info_colunm === 'col_two') {
          $colum_class = 'col-md-6';
        } elseif ($contact_info_item->contact_info_colunm === 'col_three') {
          $colum_class = 'col-md-4';
        } else {
          $colum_class = 'col-md-3';
        }
        $info_description = preg_replace('~\s*<br ?/?>\s*~',"<br />",$contact_info_item->desc);
        $info_description = nl2br($contact_info_item->desc);
        $output .= ' <div class="col-xs-12 col-sm-4 '.esc_attr( $colum_class ).' text-center ">';
        $output .= '<div class="plmbr-contact-inlocat">';
        if ($contact_info_item->title_icon) {
          $output .= '<span '.$icon_style.' class="text-thm '.esc_attr( $contact_info_item->title_icon ).'">
          </span>';
        }
        if ($contact_info_item->title) {
           $output .= '<h3 '.$title_style.' class="text-uppercase">'.esc_html( $contact_info_item->title ).'</h3>';
        }
        if ($info_description) {
          $output .= '<p '.$desc_style.'>'.wp_kses( $info_description, array( 'br' => array() ) ).'</p>';
        }
        $output .= '</div></div>';
      }
      $output .= '</div></div>';
    return $output;
  }
}
add_shortcode( 'plombiers_contact_info', 'plombiers_contact_info_function' );
