<?php
/* ==========================================================
  Icon Box Info
=========================================================== */
if ( !function_exists('plombiers_icon_box_function')) {
  function plombiers_icon_box_function( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'icon_box_items'  => '',
      'icon_box_type'  => '',
      'extraclass'  => '',
      // Style
      'title_color'  => '',
      'title_size'  => '',
      'subtitle_color'  => '',
      'subtitle_size'  => '',
      'desc_size'  => '',
      'desc_color'  => '',
      'icon_color'  => '',
      'icon_size'  => '',
    ), $atts));
    if ( $title_size || $title_color ) {
      $title_style = ' style="';
      $title_style .= $title_size ? 'font-size: '. plombiers_core_check_px($title_size) .';': '';
      $title_style .= $title_color ? 'color: '.$title_color : '';
      $title_style .= '"';
    } else {
      $title_style = '';
    }
    if ( $subtitle_size || $subtitle_color ) {
      $subtitle_style = ' style="';
      $subtitle_style .= $subtitle_size ? 'font-size: '. plombiers_core_check_px($subtitle_size) .';': '';
      $subtitle_style .= $subtitle_color ? 'color: '.$subtitle_color : '';
      $subtitle_style .= '"';
    } else {
      $subtitle_style = '';
    }
    if ( $desc_size || $desc_color ) {
      $desc_style = ' style="';
      $desc_style .= $desc_size ? 'font-size: '. plombiers_core_check_px($desc_size) .';': '';
      $desc_style .= $desc_color ? 'color: '.$desc_color : '';
      $desc_style .= '"';
    } else {
      $desc_style = '';
    }
    if ( $icon_size || $icon_color ) {
      $icon_style = ' style="';
      $icon_style .= $icon_size ? 'font-size: '. plombiers_core_check_px($icon_size) .';': '';
      $icon_style .= $icon_color ? 'color: '.$icon_color : '';
      $icon_style .= '"';
    } else {
      $icon_style = '';
    }
  ob_start(); ?>
    <div class="plmbr-icon_box-onfo <?php echo  esc_attr( $extraclass ) ?>">
    <?php  foreach ($icon_box_items as $key => $icon_box_item) {
    // Columns
      if ( $icon_box_item->icon_box_colunm === 'col_one') {
        $colum_class = 'col-md-12';
      } elseif ( $icon_box_item->icon_box_colunm === 'col_four') {
        $colum_class = 'col-md-3';
      } elseif ( $icon_box_item->icon_box_colunm === 'col_three') {
        $colum_class = 'col-md-4';
      } else {
        $colum_class = 'col-md-6';
      }
    if ( $icon_box_type == 'standard') { ?>
       <div class="<?php echo esc_attr( $colum_class ) ?> plmbr-extspc">
            <div class="media">
                <div class="media-left">
                    <a class="plmbr-whychose-icon" href="#">
                      <span class="<?php echo esc_attr( $icon_box_item->title_icon ) ?>" <?php echo $icon_style; ?>></span>
                    </a>
                </div>
                <div class="media-body">
                  <h3 class="media-heading plmbr-whychs-ttl" <?php echo $title_style; ?>><?php echo esc_html( $icon_box_item->title ) ?></h3>
                  <p class="plmbr-whychs-sbttl" <?php echo $subtitle_style; ?>><?php echo esc_html( $icon_box_item->subtitle ) ?></p>
                </div>
                <p<?php echo $desc_style; ?>><?php echo  esc_html( $icon_box_item->box_desc ); ?></p>
            </div>
        </div>
     <?php  }  else { ?>
     <div class="row">
        <div class="plmbr-service-column3">
          <div class="plmbr-octagonWrap2 pull-left styles">
              <div class="plmbr-service-iconbg2">
                <span class="<?php echo esc_attr( $icon_box_item->title_icon ) ?>" <?php echo $icon_style; ?>></span>
              </div>
            </div>
          <div class="plmbr-service-column3 text-left">
            <div class="plmbr-srvc-sntnt">
              <h4 class="text-uppercase plmbr-srvc-sntnt-titl" <?php echo $title_style; ?>><?php echo esc_html( $icon_box_item->title ) ?></h4>
              <p <?php echo $desc_style; ?>><?php echo esc_html( $icon_box_item->box_desc ) ?></p>
            </div>
          </div>
        </div>
     </div>
     <?php }
   }
   ?>
   </div>
   <?php
    return ob_get_clean();
  }
}
add_shortcode( 'plombiers_icon_box', 'plombiers_icon_box_function' );
