<?php
/* ==========================================================
  Lists
=========================================================== */
if ( !function_exists('plombiers_list_function')) {
  function plombiers_list_function( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'list_items'  => '',
      'extraclass'  => '',
      // Style
      'title_color'  => '',
      'title_size'  => '',
      'desc_color'  => '',
      'desc_size'  => '',
      'icon_color'  => '',
      'icon_size'  => '',
    ), $atts));
    if ( $title_size || $title_color ) {
      $title_style = ' style="';
      $title_style .= $title_size ? 'font-size: '. plombiers_core_check_px($title_size) .';': '';
      $title_style .= $title_color ? 'color: '.$title_color : '';
      $title_style .= '"';
    } else {
      $title_style = '';
    }
    if ( $desc_size || $desc_color ) {
      $desc_style = ' style="';
      $desc_style .= $desc_size ? 'font-size: '. plombiers_core_check_px($desc_size) .';': '';
      $desc_style .= $desc_color ? 'color: '.$desc_color : '';
      $desc_style .= '"';
    } else {
      $desc_style = '';
    }
    if ( $icon_size || $icon_color ) {
      $icon_style = ' style="';
      $icon_style .= $icon_size ? 'font-size: '. plombiers_core_check_px($icon_size) .';': '';
      $icon_style .= $icon_color ? 'color: '.$icon_color : '';
      $icon_style .= '"';
    } else {
      $icon_style = '';
    }
    $output = '<ul class="plmbr-list-style clearfix '.esc_attr( $extraclass ).'">';
    foreach ($list_items as $key => $list_item) {
      $output .= ' <li '.$title_style.'>';
      $output .= '<i '.$icon_style.' class="'.esc_attr( $list_item->title_icon ).'"></i>';
      $output .= esc_html( $list_item->title );
        if (!empty($list_item->description)) {
          $output .= '<p '.$desc_style.'>'.esc_html( $list_item->description ).'</p>';
        }
      $output .= '</li>';
      }
      $output .= '</ul>';
    return $output;
  }
}
add_shortcode( 'plombiers_list', 'plombiers_list_function' );
