<?php
/* ==========================================================
  Project Info
=========================================================== */
if ( !function_exists('plombiers_project_carousel_function')) {
  function plombiers_project_carousel_function( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'project_carousel_limit'  => '',
      'project_carousel_order'  => '',
      'project_carousel_orderby'  => '',
      'project_carousel_show_category'  => '',
      'project_carousel_hide_post'  => '',
      'project_carousel_type'  => '',
      'extraclass'  => '',
      // Style
      'carousel_loop'  => '',
      'carousel_items'  => '',
      'carousel_autoplay'  => '',
      'carousel_dots'  => '',
      'carousel_nav'  => '',
      'carousel_margin'  => '',
      'carousel_tablet'  => '',
      'carousel_mobile'  => '',
      'carousel_small_mobile'  => '',
      'chose_icon'  => '',
      'title_color'  => '',
      'title_size'  => '',
      'icon_color'  => '',
      'icon_size'  => '',
      'overly_color'  => '',
    ), $atts));

    if ( $title_size || $title_color ) {
      $title_style = ' style="';
      $title_style .= $title_size ? 'font-size: '. plombiers_core_check_px($title_size) .';': '';
      $title_style .= $title_color ? 'color: '.$title_color : '';
      $title_style .= '"';
    } else {
      $title_style = '';
    }
    if ( $icon_size || $icon_color ) {
      $icon_style = ' style="';
      $icon_style .= $icon_size ? 'font-size: '. plombiers_core_check_px($icon_size) .';': '';
      $icon_style .= $icon_color ? 'color: '.$icon_color : '';
      $icon_style .= '"';
    } else {
      $icon_style = '';
    }
    if ( $overly_color ) {
      $overly_style = ' style="';
      $overly_style .= $overly_color ? 'background-color: '.$overly_color : '';
      $overly_style .= '"';
    } else {
      $overly_style = '';
    }
  ob_start();
  $args = array(
    'post_type' => 'project',
    'posts_per_page' => (int) $project_carousel_limit,
    'orderby' => esc_attr( $project_carousel_orderby ),
    'order' => esc_attr( $project_carousel_order ),
    'project_carousel_category' => esc_attr($project_carousel_show_category),
    'post__not_in' => array( $project_carousel_hide_post )
  );
     // Carousel Data's
    $carousel_loop = $carousel_loop !== 'yes' ? ' data-loop="true"' : ' data-loop="false"';
    $carousel_items = $carousel_items ? ' data-items="'.esc_attr( $carousel_items ).'"' : ' data-items="4"';
    $carousel_autoplay = $carousel_autoplay == 'yes' ? ' data-autoplay="true"' : ' data-autoplay="false"';
    $carousel_nav = $carousel_nav == 'yes' ? ' data-nav="true"' : ' data-nav="false"';
    $carousel_dots = $carousel_dots == 'yes' ? ' data-dots="true"' : ' data-dots="false"';
    $carousel_margin = $carousel_margin ? ' data-margin="'.esc_attr( $carousel_margin ).'"' : ' data-margin="5"';
    $carousel_tablet = $carousel_tablet ? ' data-items-tablet="'.esc_attr( $carousel_tablet ).'"' : ' data-items-tablet="2"';
    $carousel_mobile = $carousel_mobile ? ' data-items-mobile-landscape="'.esc_attr( $carousel_mobile ).'"' : ' data-items-mobile-landscape="1"';
    $carousel_small_mobile = $carousel_small_mobile ? ' data-items-mobile-portrait="'.esc_attr( $carousel_small_mobile ).'"' : ' data-items-mobile-portrait="1"';
  $plombiers_project = new WP_Query( $args );
   if ($plombiers_project->have_posts()) : ?>
  <section class="<?php echo esc_attr( $extraclass ) ?>">
    <div class="container">
      <div class="row">
        <div class="col-md-12">
          <div class="project-carousel" <?php echo $carousel_items.$carousel_loop.$carousel_autoplay.$carousel_dots.$carousel_nav.$carousel_margin.$carousel_tablet.$carousel_mobile.$carousel_small_mobile; ?>>
          <?php while ($plombiers_project->have_posts()) : $plombiers_project->the_post();
            global $post; ?>
            <div class="item">
              <div class="plmbr-project-column">
                <div class="plmbr-project-thumb">
                 <?php $image_url = wp_get_attachment_url( get_post_thumbnail_id() ); ?>
                  <img src="<?php echo esc_url( $image_url ); ?>" alt="">
                  <div class="plmbr-project-overlay" <?php echo $overly_style; ?>>
                    <div class="plmbr-srvc-ovrly-icon">
                      <?php
                        if ( $project_carousel_type == 'gallery') { ?>
                          <a class="lightbox-image" href="<?php echo esc_url( $image_url ); ?>" data-fancybox-group="preject" title="Project Photos"><span <?php echo $icon_style; ?> class="<?php echo esc_attr( $chose_icon ); ?>"></span></a>
                          <h3 class="text-thm" <?php echo $title_style; ?>><?php echo esc_html( get_the_title() ); ?></h3>
                      <?php } else { ?>
                          <a  href="<?php echo esc_url( get_permalink() ); ?>" data-fancybox-group="preject" title="Project Photos"><span <?php echo $icon_style; ?> class="<?php echo esc_attr( $chose_icon ); ?>"></span></a>
                          <a  href="<?php echo esc_url( get_permalink() ); ?>"><h3 class="text-thm" <?php echo $title_style; ?>><?php echo esc_html( get_the_title() ); ?></h3></a>
                     <?php  } ?>
                    </div>
                  </div>
                </div>
              </div>
            </div>
           <?php endwhile;
          wp_reset_postdata(); ?>
        </div>
      </div>
      </div>
    </div>
  </section>
  <?php endif;
  return ob_get_clean();
  }
}
add_shortcode( 'plombiers_project_carousel', 'plombiers_project_carousel_function' );
