<?php
if (!function_exists('plombiers_slider_function')) {
    add_shortcode( 'plombiers_slider', 'plombiers_slider_function' );
    function plombiers_slider_function($atts, $content = NULL){
        extract( shortcode_atts(array(
            'slider_items' => '',
            'class' => '',
            // Style
            'title_size' => '',
            'title_color' => '',
            'desc_size' => '',
            'desc_color' => '',
            'btn_size' => '',
            'btn_color' => '',
            'btn_bg_color' => '',
            'btn_hover_bg' => '',
            'btn_hover_color' => '',
            'overlay_color' => '',
        ), $atts));

        if ($title_size || $title_color) {
          $title_style = ' style="';
          $title_style .= $title_size ? 'font-size: '. plombiers_core_check_px($title_size) .';': '';
          $title_style .= $title_color ? 'color: '.$title_color : '';
          $title_style .= '"';
        } else {
          $title_style = '';
        }

        if ( $desc_size || $desc_color ) {
          $desc_style = ' style="';
          $desc_style .= $desc_size ? 'font-size: '. plombiers_core_check_px($desc_size) .';': '';
          $desc_style .= $desc_color ? 'color: '.$desc_color : '';
          $desc_style .= '"';
        } else {
          $desc_style = '';
        }

        $e_uniqid       = uniqid();
        $inline_style   = '';
        if ( $btn_color || $btn_bg_color || $btn_size ) {
          $inline_style .= '.slide-caption-'. $e_uniqid .' .slide-caption a.theme-btn-2 {';
          $inline_style .= ( $btn_size ) ? 'font-size:'.plombiers_core_check_px($btn_size) .';' : '';
          $inline_style .= ( $btn_color ) ? 'color:'. $btn_color .';' : '';
          $inline_style .= ( $btn_bg_color ) ? 'background-color:'. $btn_bg_color .';' : '';
          $inline_style .= '}';
        }
        if ( $btn_hover_bg || $btn_hover_color ) {
          $inline_style .= '.slide-caption-'. $e_uniqid .' .slide-caption a.theme-btn-2:hover {';
          $inline_style .= ( $btn_hover_bg ) ? 'background-color:'. $btn_hover_bg .';' : '';
          $inline_style .= ( $btn_hover_color ) ? 'color:'. $btn_hover_color .';' : '';
          $inline_style .= '}';
        }
        if ( $overlay_color ) {
          $inline_style .= '.slide-caption-'. $e_uniqid .' .camera_overlayer {';
          $inline_style .= ( $overlay_color ) ? 'background-color:'. $overlay_color .';' : '';
          $inline_style .= '}';
        }
    // add inline style
    add_inline_style( $inline_style );
    $styled_class  = ' slide-caption-'. $e_uniqid.' ';
    ob_start(); ?>
    <div id="main-slider" class="clearfix <?php echo esc_attr( $class ) ?>">
       <div class="slider-container <?php echo esc_attr( $styled_class ); ?>">
          <?php foreach ($slider_items as $key => $slider_item) {
          $image_url = wp_get_attachment_url( $slider_item->slider_image ); ?>
            <div class="slide" data-src="<?php echo esc_url( $image_url ); ?>">
                <div class="container">
                  <div class="row">
                    <div class="col col-md-10 col-md-offset-2  slide-caption">
                      <h2 class="fadeInDown animated" <?php echo $title_style; ?>>
                        <?php echo esc_html( $slider_item->title ) ?>
                      </h2>
                      <p class="fadeInDown animated" <?php echo $desc_style; ?>>
                        <?php echo esc_html( $slider_item->subtitle ) ?>
                      </p>
                      <a href="<?php echo esc_url( $slider_item->button_link ) ?>" class="theme-btn-2 fadeInUp animated"><?php echo esc_html( $slider_item->button_text ) ?></a>
                    </div>
                  </div>
                </div>
            </div>
         <?php } ?>
        </div>
    </div>
  <?php return ob_get_clean();
  }
}
