<?php
add_action('init', 'plombiers_support_info_kc_map', 99 );
function plombiers_support_info_kc_map() {

	if (function_exists('kc_add_map')){
	    kc_add_map(
	        array(
	            'plombiers_support_info' => array(
	                'name' =>  esc_html__('Plombier Support Info','plombiers-core'),
	                'description' => esc_html__('Display single icon', 'plombiers-core'),
	                'icon' => 'cpicon kc-icon-box-alert',
	                'category' => PlombiersLibrary::plombiers_kc_cat_name(),
	                'params' => array(
                  'Content' => array(
                   array(
                        'name' => 'support_type',
                        'label' =>  esc_html__('Support Type','plombiers-core'),
                        'type' => 'select',
                          'options' => array(
                            '' =>  esc_html__('Support Type','plombiers-core'),
                            'standard' =>  esc_html__('Standard','plombiers-core'),
                            'classic' =>  esc_html__('Slassic','plombiers-core'),
                          ),
                        'admin_label' => true,
                      ),
                    array(
                        'name' => 'support_image',
                        'label' => esc_html__( 'Icon','plombiers-core'),
                        'type' => 'attach_image',
                        'description' => esc_html__('Chose Support Info  icon ', 'plombiers-core'),
                      ),
                    array(
                        'type'          => 'group',
                        'label'         => esc_html__(' Options', 'plombiers-core'),
                        'name'          => 'support_info_items',
                        'description'   => esc_html__( 'Support Info Iteams Group Field', 'plombiers-core' ),
                        'options'       => array('add_text' => esc_html__(' Add new Support Info Iteam', 'plombiers-core')),
                        'params' => array(
                          array(
                              'name' => 'title_icon',
                              'label' => esc_html__( 'Icon','plombiers-core'),
                              'type' => 'icon_picker',
                              'description' => esc_html__('Chose Support Info  icon ', 'plombiers-core'),
                            ),
                          array(
                              'name' => 'title',
                              'label' => esc_html__( 'Title','plombiers-core'),
                              'type' => 'text',
                              'admin_label' => true,
                              'description' => esc_html__('Write Support Info  Title ', 'plombiers-core'),
                            ),
                          array(
                              'name' => 'subtitle',
                              'label' => esc_html__( 'Sub Title','plombiers-core'),
                              'type' => 'text',
                              'admin_label' => true,
                              'description' => esc_html__('Write Support Info Sub Title ', 'plombiers-core'),
                              'relation' => array(
                                'parent'    => 'support_type',
                                'show_when' => 'classic'
                              )
                            ),
                          array(
                              'name' => 'left_space',
                              'label' => esc_html__( 'Left Space','plombiers-core'),
                              'type' => 'text',
                              'admin_label' => true,
                              'description' => esc_html__('Set Support Info  Left Space ', 'plombiers-core'),
                            ),
                          array(
                              'name' => 'top_space',
                              'label' => esc_html__( 'Top Space','plombiers-core'),
                              'type' => 'text',
                              'admin_label' => true,
                              'description' => esc_html__('Set Support Info  Top Space ', 'plombiers-core'),
                            ),
                          array(
                              'name' => 'left_padding',
                              'label' => esc_html__( 'Left Padding','plombiers-core'),
                              'type' => 'text',
                              'admin_label' => true,
                              'description' => esc_html__('Set Support Info  Left Padding ', 'plombiers-core'),
                            ),
                          array(
                              'name' => 'right_padding',
                              'label' => esc_html__( 'Top Padding','plombiers-core'),
                              'type' => 'text',
                              'admin_label' => true,
                              'description' => esc_html__('Set Support Info  Top Padding ', 'plombiers-core'),
                            ),
                        ),
                      ),
                    ),
                    'Style' => array(
	                    array(
                        'name' => 'extraclass',
                        'label' => esc_html__('Extra Class','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter Extra Class for Titlte ..', 'plombiers-core')
                      ),
                      array(
                        'name' => 'title_size',
                        'label' => esc_html__('Title Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for title such as: 15px, 1em ..etc..', 'plombiers-core')
	                    ),
	                    array(
                        'name' => 'title_color',
                        'label' => esc_html__('Title Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for title', 'plombiers-core')
	                    ),
                      array(
                        'name' => 'icon_size',
                        'label' => esc_html__('Support Info Icon Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for Support Info Icon such as: 15px, 1em ..etc..', 'plombiers-core')
                      ),
                      array(
                        'name' => 'icon_color',
                        'label' => esc_html__('Support Info Icon Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Support Info Icon', 'plombiers-core')
                      ),
                      array(
                        'name' => 'overly_color',
                        'label' => esc_html__('Support Info overly Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Support Info overly', 'plombiers-core')
                      ),
		                )
	                )
	            ),  // End of elemnt kc_icon

	        )
	    ); // End add map

	} // End if

}
