<?php
/* ==========================================================
  Support Info
=========================================================== */
if ( !function_exists('plombiers_support_info_function')) {
  function plombiers_support_info_function( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'support_info_items'  => '',
      'support_type'  => '',
      'support_image'  => '',
      'extraclass'  => '',
      // Style
      'title_color'  => '',
      'title_size'  => '',
      'icon_color'  => '',
      'icon_size'  => '',
      'overly_color'  => '',
    ), $atts));

    if ( $title_size || $title_color ) {
      $title_style = ' style="';
      $title_style .= $title_size ? 'font-size: '. plombiers_core_check_px($title_size) .';': '';
      $title_style .= $title_color ? 'color: '.$title_color : '';
      $title_style .= '"';
    } else {
      $title_style = '';
    }
    if ( $icon_size || $icon_color ) {
      $icon_style = ' style="';
      $icon_style .= $icon_size ? 'font-size: '. plombiers_core_check_px($icon_size) .';': '';
      $icon_style .= $icon_color ? 'color: '.$icon_color : '';
      $icon_style .= '"';
    } else {
      $icon_style = '';
    }
    $e_uniqid       = uniqid();
    $inline_style   = '';
    if ( $overly_color ) {
      $inline_style .= '.plmbr-welcome-support-'. $e_uniqid .'.plmbr-welcome-support:hover {';
      $inline_style .= ( $overly_color ) ? 'background-color:'. $overly_color .';' : '';
      $inline_style .= '}';
    }
    // add inline style
    add_inline_style( $inline_style );
    $styled_class  = ' plmbr-welcome-support-'. $e_uniqid.' ';
    $output = '<div class="plmbr-support-onfo '.esc_attr( $extraclass ).'">';
    if ( $support_type == 'standard') {
      $output .= '<div class="plmbr-welcome-thumb text-right">';
        $image_url = wp_get_attachment_url( $support_image );
        $output .= '<img class="img-responsive" src="'.esc_url( $image_url ).'" alt="">';
      $output .= '</div>';
      foreach ( $support_info_items as $key => $support_info_item ) {
       if ($support_info_item->left_space || $support_info_item->top_space || $support_info_item->left_padding  || $support_info_item->right_padding ) {
            $padding_style = ' style="';
            $padding_style .= $support_info_item->left_space ? 'left: '. plombiers_core_check_px($support_info_item->left_space) .';': '';
            $padding_style .= $support_info_item->top_space ? 'top: '. plombiers_core_check_px($support_info_item->top_space) .';': '';
            $padding_style .= $support_info_item->left_padding ? 'padding-left: '. plombiers_core_check_px($support_info_item->left_padding) .';': '';
            $padding_style .= $support_info_item->right_padding ? 'padding-right: '. plombiers_core_check_px($support_info_item->right_padding) .';': '';
            $padding_style .= '"';
          } else {
            $padding_style = '';
          }
         $output .='<div class="plmbr-welcome-support text-center '.esc_attr( $styled_class ).'" '.$padding_style.'>';
           if ( $support_info_item->title_icon ) {
             $output .='<div class="plmbr-icon"><i '.$icon_style.' class="'.esc_attr( $support_info_item->title_icon ).'"></i></div>';
           }
           if ( $support_info_item->title ) {
            $output .='<div class="plmbr-support" '.$title_style.'>'.esc_html( $support_info_item->title ).'</div>';
           }
        $output .='</div>';
      }
    } else {
    $output .=' <div class="plmbr-intro-thumbt-cont">';
    $image_url = wp_get_attachment_url( $support_image );
    $output .='<img class="img-responsive img-fluid" src="'.esc_url( $image_url ).'" alt="intro-thumb.png">';
    $output .='<div class="plmbr-suprtcntnt">';
    $output .=' <ul class="list-inline plmbr-intro-sec-cntnt">';
      foreach ( $support_info_items as $key => $support_info_item ) {
        $output .=' <li class="plmbr-ext">';
        $output .='<div class="plmbr-welcome-support-scnd text-center">';
          if ( $support_info_item->title_icon ) {
            $output .=' <div class="plmbr-icon"><i '.$icon_style.' class="'.esc_attr( $support_info_item->title_icon ).'"></i></div>';
          }
          if ( $support_info_item->title) {
            $output .='<div class="plmbr-support" '.$title_style.'>'.esc_html( $support_info_item->title ).'</div>';
          }
          if ( $support_info_item->subtitle ) {
            $output .='<div class="plmbr-celll">'.esc_html( $support_info_item->subtitle ).'</div>';
          }
        $output .='</div></li>';
        }
      $output .='</ul></div></div>';
    }
    $output .='</div>';
    return $output;
  }
}
add_shortcode( 'plombiers_support_info', 'plombiers_support_info_function' );
