<?php
add_action('init', 'plombiers_team_kc_map', 99 );
function plombiers_team_kc_map() {

	if (function_exists('kc_add_map')){
	    kc_add_map(
	        array(
	            'plombiers_team' => array(
	                'name' => esc_html__('Plombier Team','plombiers-core'),
	                'description' => esc_html__('Display single icon', 'plombiers-core'),
	                'icon' => 'cpicon kc-icon-team',
	                'category' => PlombiersLibrary::plombiers_kc_cat_name(),
	                'params' => array(
                  'Content' => array(
                  array(
                      'name' => 'team_colunm',
                      'label' => esc_html__('Team Column','plombiers-core'),
                      'type' => 'select',
                        'options' => array(
                          '' => esc_html__('Team Column Style','plombiers-core'),
                          'col_one' => esc_html__('One Colunm','plombiers-core'),
                          'col_two' => esc_html__('Two Colunm','plombiers-core'),
                          'col_three' => esc_html__('Three Colunm','plombiers-core'),
                          'col_four' => esc_html__('Four Colunm','plombiers-core'),
                        ),
                      'admin_label' => true,
                    ),
                    array(
                        'name' => 'team_limit',
                        'label' => esc_html__( 'Team Limit','plombiers-core'),
                        'type' => 'text',
                        'description' => esc_html__('Write Team Limit ', 'plombiers-core'),
                      ),
                    array(
                        'name' => 'team_order',
                        'label' => esc_html__( 'Team Orderby','plombiers-core'),
                        'type' => 'select',
                          'options' => array(
                            '' => esc_html__('Team Order','plombiers-core'),
                            'ASC' => esc_html__('Asending','plombiers-core'),
                            'DESC' => esc_html__('Desending','plombiers-core'),
                          ),
                        'admin_label' => true,
                        'description' => esc_html__('Select Team Orderby ', 'plombiers-core'),
                      ),
                    array(
                        'name' => 'team_orderby',
                        'label' => esc_html__( 'Order By','plombiers-core'),
                        'type' => 'select',
                          'options' => array(
                            'none' => esc_html__('None','plombiers-core'),
                            'ID' => esc_html__('ID','plombiers-core'),
                            'author' => esc_html__('Author','plombiers-core'),
                            'title' => esc_html__('Title','plombiers-core'),
                            'date' => esc_html__('Date','plombiers-core'),
                          ),
                        'admin_label' => true,
                      ),
                    ),
                    'Style' => array(
	                    array(
                        'name' => 'extraclass',
                        'label' => esc_html__('Extra Class','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter Extra Class for Titlte ..', 'plombiers-core')
                      ),
                      array(
                        'name' => 'title_size',
                        'label' => esc_html__('Title Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for title such as: 15px, 1em ..etc..', 'plombiers-core')
                      ),
                      array(
                        'name' => 'title_color',
                        'label' => esc_html__('Title Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for title', 'plombiers-core')
                      ),
                      array(
                        'name' => 'subtitle_size',
                        'label' => esc_html__('Sub Title Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for Sub title such as: 15px, 1em ..etc..', 'plombiers-core')
	                    ),
	                    array(
                        'name' => 'subtitle_color',
                        'label' => esc_html__('Sub Title Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Sub title', 'plombiers-core')
	                    ),
                      array(
                        'name' => 'overly_color',
                        'label' => esc_html__('Team Overly Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Overly', 'plombiers-core')
                      ),
		                )
	                )
	            ),  // End of elemnt kc_icon

	        )
	    ); // End add map

	} // End if

}
