<?php
/* ==========================================================
  Team Info
=========================================================== */
if ( !function_exists('plombiers_team_function')) {
  function plombiers_team_function( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'team_colunm'  => '',
      'team_limit'  => '',
      'team_order'  => '',
      'team_orderby'  => '',
      'extraclass'  => '',
      // Style
      'title_color'  => '',
      'title_size'  => '',
      'subtitle_color'  => '',
      'subtitle_size'  => '',
      'overly_color'  => '',
    ), $atts));

    if ( $title_size || $title_color ) {
      $title_style = ' style="';
      $title_style .= $title_size ? 'font-size: '. plombiers_core_check_px($title_size) .';': '';
      $title_style .= $title_color ? 'color: '.$title_color : '';
      $title_style .= '"';
    } else {
      $title_style = '';
    }
    if ( $subtitle_color || $subtitle_size ) {
      $subtitle_style = ' style="';
      $subtitle_style .= $subtitle_size ? 'font-size: '. plombiers_core_check_px($subtitle_size) .';': '';
      $subtitle_style .= $subtitle_color ? 'color: '.$subtitle_color : '';
      $subtitle_style .= '"';
    } else {
      $subtitle_style = '';
    }
    $e_uniqid       = uniqid();
    $inline_style   = '';
    if ( $overly_color ) {
      $inline_style .= '.plmbr-team-one-'. $e_uniqid .'.plmbr-team-one .plmbr-team-col:hover
   .plmbr-thumb-content  {';
      $inline_style .= ( $overly_color ) ? 'background-color:'. $overly_color .';' : '';
      $inline_style .= '}';
    }
    // add inline style
    add_inline_style( $inline_style );
    $styled_class  = ' plmbr-team-one-'. $e_uniqid.' ';
    ob_start();
    $args = array(
      'post_type' => 'team',
      'posts_per_page' => (int) $team_limit,
      'orderby' => $team_orderby,
      'order' => $team_order,
    );
    $plombiers_team = new WP_Query( $args );
    if ($plombiers_team->have_posts()) : ?>
    <section class="<?php echo esc_attr( $styled_class ) ?> plmbr-team-one">
     <div class="row">
      <?php while ($plombiers_team->have_posts()) : $plombiers_team->the_post();
        $team_options = get_post_meta( get_the_ID(), 'team_options', true );
        $employee_name = $team_options['employee_name'];
        $team_job_position = $team_options['team_job_position'];
        $team_socials = $team_options['team_socials'];
      // Columns
        if ( $team_colunm === 'col_one') {
          $colum_class = 'col-md-12';
        } elseif ( $team_colunm === 'col_four') {
          $colum_class = 'col-md-3';
        } elseif ( $team_colunm === 'col_three') {
          $colum_class = 'col-md-4';
        } else {
          $colum_class = 'col-md-6';
        } ?>
        <div class="col-xs-12 col-sm-6 <?php echo esc_attr( $colum_class ) ?> extraspac">
          <div class="plmbr-team-col plmbr-innerteam">
            <div class="plmbr-thumb">
               <?php
                $image_url =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
                $image_alt = get_post_meta( get_post_thumbnail_id(get_the_ID()), '_wp_attachment_image_alt', true); ?>
                <img class="img-responsive img-fluid" src="<?php echo esc_url( $image_url[0] ); ?>" alt="<?php echo esc_attr( $image_alt ) ?>">
                <div class="plmbr-thumb-content text-center">
                 <?php
                  if( !empty( $employee_name )){
                    echo '<h3><a '.$title_style.' href="'.esc_url( get_the_permalink() ).'">'.esc_html( $employee_name ).'</a></h3>';
                  }
                  if( !empty( $team_job_position )){
                      echo '<p '.$subtitle_style.'>'.esc_html( $team_job_position ).'</p>';
                   } ?>
                </div>
                <ul class="plmbr-team-icons">
                 <?php if ($team_socials) {
                      foreach ($team_socials as $key => $icon) : ?>
                    <li><a href="<?php echo esc_url( $icon['team_social_link'] ); ?>">
                      <i class="<?php echo esc_attr( $icon['team_social_icon'] ); ?>"></i></a>
                    </li>
                      <?php endforeach;
                    } ?>
                </ul>
            </div>
          </div>
      </div>
     <?php endwhile;
      wp_reset_postdata();
      ?>
    </div>
     </section>
    <?php endif;
    return ob_get_clean();
  }
}
add_shortcode( 'plombiers_team', 'plombiers_team_function' );
