<?php
/*
 * The template for displaying comments.
 * Author & Copyright: IRSFoundation
 * URL: http://themeforest.net/user/irsfoundation
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}	?>
<div id="comments" class="comments-area comments-area">
	<div class="comments-section">
	<?php
	// You can start editing here -- including this comment!
	if ( have_comments() ) : ?>
		<h3 class="comment-title"><span class="pe-7s-comment text-thm"></span>
			<?php
				printf( // WPCS: XSS OK.
					esc_html__( _nx( 'Comment (%1$s)', 'Comments (%1$s)', get_comments_number(), 'comments title', 'plombiers' ) ),
					number_format_i18n( get_comments_number() ),
					'<span>' .esc_html( get_the_title() ). '</span>'
				);
			?>
		</h3>
		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
		<nav id="comment-nav-above" class="navigation plombiers-comment-navigation" role="navigation">
			<h2 class="plombiers-screen-reader-text"><?php echo esc_html__( 'Comment navigation', 'plombiers' ); ?></h2>
			<div class="plombiers-nav-links">
				<div class="plombiers-nav-previous"><?php previous_comments_link( esc_html__( 'Older Comments', 'plombiers' ) ); ?></div>
				<div class="plombiers-nav-next"><?php next_comments_link( esc_html__( 'Newer Comments', 'plombiers' ) ); ?></div>
			</div><!-- .nav-links -->
		</nav><!-- #comment-nav-above -->
		<?php endif; // Check for comment navigation. ?>
		<div class="plmbr-spost">
			<ol class="comments">
				<?php wp_list_comments('type=all&callback=plombiers_comment_modification'); ?>
			</ol><!-- .comment-list -->
		</div>
		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
		<nav id="plombiers-comment-nav-below" class="navigation plombiers-comment-navigation" role="navigation">
			<h2 class="plombiers-screen-reader-text"><?php echo esc_html__( 'Comment navigation', 'plombiers' ); ?></h2>
			<div class="plombiers-nav-links">
				<div class="plombiers-nav-previous"><?php previous_comments_link( esc_html__( 'Older Comments', 'plombiers' ) ); ?></div>
				<div class="plombiers-nav-next"><?php next_comments_link( esc_html__( 'Newer Comments', 'plombiers' ) ); ?></div>
			</div><!-- .nav-links -->
		</nav><!-- #comment-nav-below -->
		<?php
		endif; // Check for comment navigation.
	endif; // Check for have_comments().
	// If comments are closed and there are comments, let's leave a little note, shall we?
	if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) : ?>
		<p class="plombiers-no-comments"><?php echo esc_html__( 'Comments are closed.', 'plombiers' ); ?></p>
	<?php endif; ?>
	</div><!-- .comments-section -->
	<?php
	/* ==============================================
	  Comment Forms
	=============================================== */
	if ( comments_open() ) { ?>
	<div id="respond" class="comment-form comment-respond plmbr-coment-frminnr clearfix">
		<?php
		$post_comment_text = cs_get_option('post_comment_text');
		$post_comment_text = $post_comment_text ? $post_comment_text : esc_html__( 'Post Comment', 'plombiers' );
		$fields = array(
			'author' => '<div class="form-inputs no-padding-left"><input type="text" class="form-control" id="author" name="author" value="' . esc_attr( $commenter['comment_author'] ) . '" tabindex="1" placeholder="' . esc_attr__( 'Name', 'plombiers' ) . '"/>',
			'email' => '<input type="text" class="form-control" id="email" name="email" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" tabindex="2" placeholder="' . esc_attr__( 'Email', 'plombiers' ) . '"/>',
			'URL' => '<input type="text" class="form-control"  id="url" name="url" value="' . esc_attr(  $commenter['comment_author_url'] ) . '" tabindex="3" placeholder="' . esc_attr__( 'Website', 'plombiers' ) . '"/></div>',
		);
		$defaults = array(
		      'comment_notes_before' => '',
		      'comment_notes_after'  => '',
		      'fields' => apply_filters( 'comment_form_default_fields', $fields),
		      'id_form'              => 'commentform',
		      'id_submit'            => 'submit',
		      'title_reply'          => esc_html__( 'Add your Comment', 'plombiers' ),
		      'title_reply_to'       => esc_html__( 'Leave a Reply to %s', 'plombiers' ),
		      'cancel_reply_link'    => '<i class="fa fa-times-circle"></i>',
		      'label_submit'         => esc_html( $post_comment_text ),
		      'comment_field' 			 => '<div class="form-group"><div class="form-textarea no-padding-right"><textarea class="form-control style2" id="comment" name="comment" tabindex="4" rows="3" cols="30" placeholder="' . esc_attr__( 'Write your comment...', 'plombiers' ) . '" ></textarea></div></div>'
		    );
		comment_form($defaults); ?>
	</div>
	<?php } ?>
</div><!-- #comments -->
<?php
