<?php
/*
 * The header for our theme.
 * Author & Copyright: IRSFoundation
 * URL: http://themeforest.net/user/irsfoundation
 */
?><!DOCTYPE html>
<!--[if IE 8]> <html <?php language_attributes(); ?> class="ie8"> <![endif]-->
<!--[if !IE]><!--> <html <?php language_attributes(); ?>> <!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<?php
$plombiers_viewport = cs_get_option('theme_responsive');
if($plombiers_viewport == 'on') { ?>
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<?php } else { }
// if the `wp_site_icon` function does not exist (ie we're on < WP 4.3)
if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
  if (cs_get_option('brand_fav_icon')) {
    echo '<link rel="shortcut icon" href="'. esc_url(wp_get_attachment_url(cs_get_option('brand_fav_icon'))) .'" />';
  } else { ?>
    <link rel="shortcut icon" href="<?php echo esc_url(PLOMBIERS_IMAGES); ?>/favicon.ico" />
  <?php }
  if (cs_get_option('iphone_icon')) {
    echo '<link rel="apple-touch-icon" sizes="57x57" href="'. esc_url(wp_get_attachment_url(cs_get_option('iphone_icon'))) .'" >';
  }
  if (cs_get_option('iphone_retina_icon')) {
    echo '<link rel="apple-touch-icon" sizes="114x114" href="'. esc_url(wp_get_attachment_url(cs_get_option('iphone_retina_icon'))) .'" >';
    echo '<link name="msapplication-TileImage" href="'. esc_url(wp_get_attachment_url(cs_get_option('iphone_retina_icon'))) .'" >';
  }
  if (cs_get_option('ipad_icon')) {
    echo '<link rel="apple-touch-icon" sizes="72x72" href="'. esc_url(wp_get_attachment_url(cs_get_option('ipad_icon'))) .'" >';
  }
  if (cs_get_option('ipad_retina_icon')) {
    echo '<link rel="apple-touch-icon" sizes="144x144" href="'. esc_url(wp_get_attachment_url(cs_get_option('ipad_retina_icon'))) .'" >';
  }
}
$plombiers_all_element_color  = cs_get_customize_option( 'all_element_colors' ); ?>
<meta name="msapplication-TileColor" content="<?php echo esc_attr($plombiers_all_element_color); ?>">
<meta name="theme-color" content="<?php echo esc_attr($plombiers_all_element_color); ?>">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php
// Metabox
global $post;
$plombiers_id    = ( isset( $post ) ) ? $post->ID : false;
$plombiers_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $plombiers_id;
$plombiers_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $plombiers_id;
$plombiers_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('testimonial') ) ? $plombiers_id : false;
$plombiers_meta  = get_post_meta( $plombiers_id, 'page_type_metabox', true );
// Theme Layout Width
$plombiers_bg_overlay_color  = cs_get_option( 'theme_bg_overlay_color' );
$plombiers_layout_width  = cs_get_option( 'theme_layout_width' );
$plombiers_layout_width_class = ($plombiers_layout_width === 'container') ? 'layout-boxed'. $plombiers_hav_parallax : 'layout-full';
// Header Style

if ($plombiers_meta) {
  $plombiers_header_design  = $plombiers_meta['select_header_design'];
  $plombiers_hide_header  = $plombiers_meta['hide_header'];
  $plombiers_search_icon  = $plombiers_meta['search_icon'];
  $plombiers_sticky_header  = $plombiers_meta['sticky_header'];
  $header_queto_text  = $plombiers_meta['header_queto_text'];
  $header_queto_link  = $plombiers_meta['header_queto_link'];
} else {
  $plombiers_hide_header  = false;
  $plombiers_header_design  = cs_get_option('select_header_design');
  $plombiers_search_icon    = cs_get_option('search_icon');
  $plombiers_sticky_header   = cs_get_option('sticky_header');
  $header_queto_text   = cs_get_option('header_queto_text');
  $header_queto_link   = cs_get_option('header_queto_link');
}
$plombiers_sticky_header = $plombiers_sticky_header ? ' sticky-menu' : '';
if ($plombiers_header_design === 'default') {
  $plombiers_header_design_actual  = cs_get_option('select_header_design');
  $header_queto_text  = cs_get_option('header_queto_text');
  $header_queto_link  = cs_get_option('header_queto_link');
} else {
  $plombiers_header_design_actual = ( $plombiers_header_design ) ? $plombiers_header_design : cs_get_option('select_header_design');
  $header_queto_text = ( $header_queto_text ) ? $header_queto_text : cs_get_option('header_queto_text');
  $header_queto_link = ( $header_queto_link ) ? $header_queto_link : cs_get_option('header_queto_link');
}

if ( $plombiers_header_design_actual === 'style_two' ) {
    $header_class = 'header-style-2';
} else {
    $header_class = 'header-style-3';
}
$plombiers_transparent_logo = cs_get_option('transparent_logo_default');
$plombiers_logo = wp_get_attachment_url( $plombiers_transparent_logo );

$active_preloader = cs_get_option('active_preloader');
$preloader_icon = cs_get_option('preloader_icon');
$preloader_icon = $preloader_icon ? wp_get_attachment_url($preloader_icon) : PLOMBIERS_IMAGES.'/preloader.gif';
wp_head(); ?>
</head>
<body <?php echo body_class(); ?>>
  <?php
    if ($active_preloader) {
      echo ' <div class="preloader" style="background-image: url('.esc_url( $preloader_icon ).');"></div>';
    } ?>
  <div class="<?php echo esc_attr($plombiers_layout_width_class); ?>">
    <div id="plombiers-theme-wrapper">
    <?php if (!$plombiers_hide_header) { ?>
      <header class="site-header <?php echo esc_attr( $header_class ); ?>">
          <?php  get_template_part( 'theme-layouts/header/top','bar' ); ?>
          <nav class="navigation navbar <?php echo esc_attr( $plombiers_sticky_header ); ?> navbar-default">
              <div class="container">
                <div class="row">
                  <div class="col-md-12">
                  <div class="navbar-header">
                      <button type="button" class="open-btn">
                        <span class="sr-only"><?php echo esc_html__('Toggle navigation', 'plombiers'); ?></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                      </button>
                    <?php if ( $plombiers_header_design_actual !== 'style_two' ) {
                     if ( $plombiers_logo ) { ?>
                      <a class="logo" href="<?php echo esc_url(home_url('/')); ?>">
                        <img src="<?php echo esc_url( $plombiers_logo ); ?>" alt="<?php echo esc_html( get_bloginfo('name') ); ?>">
                      </a>
                     <?php } else { ?>
                      <div class="text-logo">
                        <a class="logo" href="<?php echo esc_url(home_url('/')); ?>">
                          <?php  echo esc_html( get_bloginfo( 'name' ) ); ?>
                        </a>
                      </div>
                    <?php }
                     } ?>
                  </div>
                  <?php get_template_part( 'theme-layouts/header/menu','bar' ); ?>
                 <div class="search-area-quote">
                <?php if ($plombiers_search_icon) { ?>
                <div class="search header-search-area">
                  <a href="#" class="open-btn"><i class="fa fa-search"></i></a>
                  <div class="header-search-form">
                      <form  method="get" id="searchform" action="<?php echo esc_url(home_url('/')); ?>" class="form" >
                        <div>
                            <input type="text" name="s" class="form-control" placeholder="<?php echo esc_attr__('Search...','plombiers'); ?>">
                        </div>
                        <button type="submit" class="btn"><i class="fa fa-search"></i></button>
                    </form>
                  </div>
                 </div>
                 <?php } if ( $plombiers_header_design_actual === 'style_two' && ( $header_queto_link && $header_queto_text ) ) { ?>
                    <div class="quote">
                       <a href="<?php echo esc_url( $header_queto_link ); ?>" class="theme-btn-s2">
                        <?php echo esc_html( $header_queto_text ) ?>
                       </a>
                    </div>
                   <?php } ?>
                  </div>

                  </div>
                </div>
              </div><!-- end of container -->
          </nav>
      </header>
  <?php }
    // Title Area
    $plombiers_need_title_bar = cs_get_option('need_title_bar');
    if (isset($plombiers_need_title_bar)) {
      get_template_part( 'theme-layouts/header/title', 'bar' );
    }

