<?php
/*
 * All CSS and JS files are enqueued from this file
 * Author & Copyright: IRSFoundation
 * URL: http://themeforest.net/user/irsfoundation
 */

/**
 * Enqueue Files for FrontEnd
 */
if ( ! function_exists( 'plombiers_scripts_styles' ) ) {
  function plombiers_scripts_styles() {

    // Styles
    wp_enqueue_style( 'pe-icon-7', PLOMBIERS_CSS .'/pe-icon-7-stroke.css', array(), '1.0.0', 'all' );
    wp_enqueue_style( 'flaticon', PLOMBIERS_CSS .'/flaticon.css', array(), '1.0.0', 'all' );
    wp_enqueue_style( 'font-awesome', PLOMBIERS_CSS .'/font-awesome.min.css', array(), '4.7.0', 'all' );
    wp_enqueue_style( 'camera-slider', PLOMBIERS_CSS .'/camera-slider.css', array(), '2.1.5', 'all' );
    wp_enqueue_style( 'flexslider', PLOMBIERS_CSS .'/flexslider.css', array(), '2.1.5', 'all' );
    wp_enqueue_style( 'bootstrap', PLOMBIERS_CSS .'/bootstrap.min.css', array(), '3.3.6', 'all' );
    wp_enqueue_style( 'owl-carousel', PLOMBIERS_CSS .'/owl-carousel.min.css', array(), '2.2.0', 'all' );
    wp_enqueue_style( 'isotop', PLOMBIERS_CSS .'/isotop.min.css', array(), '2.1.0', 'all' );
    wp_enqueue_style( 'fancyBox', PLOMBIERS_CSS .'/fancyBox.css', array(), '2.1.5', 'all' );
    wp_enqueue_style( 'woocommerce', PLOMBIERS_CSS .'/woo.css', array(), '3.3.6', 'all' );
    wp_enqueue_style( 'plombiers-style', PLOMBIERS_CSS .'/styles.css', array(), PLOMBIERS_VERSION, 'all' );
    if (!function_exists('cs_framework_init')) {
        wp_enqueue_style( 'plombiers-default-style', get_template_directory_uri() . '/style.css');
    }
    // Scripts
    wp_enqueue_script( 'bootstrap-js', PLOMBIERS_SCRIPTS . '/bootstrap.min.js', array( 'jquery' ), '3.3.6', true );
    wp_enqueue_script( 'scrollto', PLOMBIERS_SCRIPTS . '/scrollto.js', array( 'jquery' ), '1.0.0', true );
    wp_enqueue_script( 'owl-carousel', PLOMBIERS_SCRIPTS . '/owl.carousel.min.js', array( 'jquery' ), '2.0.0', true );
    wp_enqueue_script( 'easing', PLOMBIERS_SCRIPTS . '/jquery.eassing.js', array( 'jquery' ), '1.4.0', true );
    wp_enqueue_script( 'cameraslider', PLOMBIERS_SCRIPTS . '/cameraslider.min.js', array( 'jquery' ), '1.4.0', true );
    wp_enqueue_script( 'fancybox', PLOMBIERS_SCRIPTS . '/fancybox.js', array( 'jquery' ), '2.1.5', true );
    wp_enqueue_script( 'imagesloaded');
    wp_enqueue_script( 'isotope', PLOMBIERS_SCRIPTS . '/isotope.min.js', array( 'jquery' ), '3.0.5', true );
    wp_enqueue_script( 'flexslider', PLOMBIERS_SCRIPTS . '/jquery.flexslider-min.js', array( 'jquery' ), '2.6.4', true );
    wp_enqueue_script( 'plombiers-scripts', PLOMBIERS_SCRIPTS . '/scripts.js', array( 'jquery' ), PLOMBIERS_VERSION, true );
    wp_enqueue_script('jquery-ui-core');
    // Comments
    wp_enqueue_script( 'plombiers-validate-js', PLOMBIERS_SCRIPTS . '/jquery.validate.min.js', array( 'jquery' ), '1.9.0', true );
    wp_add_inline_script( 'plombiers-validate-js', 'jQuery(document).ready(function($) {$("#commentform").validate({rules: {author: {required: true,minlength: 2},email: {required: true,email: true},comment: {required: true,minlength: 10}}});});' );

    // Responsive Active
    $plombiers_viewport = cs_get_option('theme_responsive');
    if($plombiers_viewport == 'on') {
      wp_enqueue_style( 'plombiers-responsive', PLOMBIERS_CSS .'/responsive.css', array(), PLOMBIERS_VERSION, 'all' );
    }

    wp_enqueue_style( 'plombiers-default-google-fonts', plombiers_default_font_url(), array(), PLOMBIERS_VERSION, 'all' );
    // Adds support for pages with threaded comments
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
      wp_enqueue_script( 'comment-reply' );
    }
  }
  add_action( 'wp_enqueue_scripts', 'plombiers_scripts_styles' );
}

/**
 * Enqueue Files for BackEnd
 */
if ( ! function_exists( 'plombiers_admin_scripts_styles' ) ) {
  function plombiers_admin_scripts_styles() {

    wp_enqueue_style( 'plombiers-admin-main', PLOMBIERS_CSS . '/admin-styles.css', true );
    wp_enqueue_style( 'admin-pe-icon', PLOMBIERS_CSS . '/admin-pe-icon-7-icon.css', true );
    wp_enqueue_script( 'plombiers-admin-scripts', PLOMBIERS_SCRIPTS . '/admin-scripts.js', true );

  }
  add_action( 'admin_enqueue_scripts', 'plombiers_admin_scripts_styles' );
}
