<?php
/*
 * Codestar Framework - Custom Style
 * Author & Copyright: IRSFoundation
 * URL: http://themeforest.net/user/irsfoundation
 */

/* All Dynamic CSS Styles */
if ( ! function_exists( 'plombiers_dynamic_styles' ) ) {
  function plombiers_dynamic_styles() {
    // Typography
    $plombiers_get_typography  = plombiers_get_typography();
    $body_color  = cs_get_customize_option( 'body_color' );
    $plombiers_body_bg_color  = cs_get_customize_option( 'plombiers_body_bg_color' );
    $all_element_color  = cs_get_customize_option( 'all_element_colors' );
    $topbar_bg_color  = cs_get_customize_option( 'topbar_bg_color' );
    $topbar_text_heading  = cs_get_customize_option( 'topbar_text_heading' );
    // Logo
    $brand_logo_top     = cs_get_option( 'brand_logo_top' );
    $brand_logo_bottom  = cs_get_option( 'brand_logo_bottom' );
    // Layout
    $bg_type = cs_get_option('theme_layout_bg_type');
    $bg_pattern = cs_get_option('theme_layout_bg_pattern');
    $bg_image = cs_get_option('theme_layout_bg');
    $bg_overlay_color = cs_get_option('theme_bg_overlay_color');
    // Footer
    $footer_bg_color  = cs_get_customize_option( 'footer_bg_color' );
    $footer_heading_color  = cs_get_customize_option( 'footer_heading_color' );
    $footer_text_color  = cs_get_customize_option( 'footer_text_color' );
    $footer_link_color  = cs_get_customize_option( 'footer_link_color' );
    $footer_link_hover_color  = cs_get_customize_option( 'footer_link_hover_color' );
    ob_start();
global $post;
$plombiers_id    = ( isset( $post ) ) ? $post->ID : 0;
$plombiers_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $plombiers_id;
$plombiers_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $plombiers_id;
$plombiers_meta  = get_post_meta( $plombiers_id, 'page_type_metabox', true );
/* Body- Customizer - Background */

/* Layout - Theme Options - Background */
if ($bg_type === 'bg-image') {

  $layout_boxed = ( ! empty( $bg_image['image'] ) ) ? 'background-image: url('. $bg_image['image'] .');' : '';
  $layout_boxed .= ( ! empty( $bg_image['repeat'] ) ) ? 'background-repeat: '. $bg_image['repeat'] .';' : '';
  $layout_boxed .= ( ! empty( $bg_image['position'] ) ) ? 'background-position: '. $bg_image['position'] .';' : '';
  $layout_boxed .= ( ! empty( $bg_image['attachment'] ) ) ? 'background-attachment: '. $bg_image['attachment'] .';' : '';
  $layout_boxed .= ( ! empty( $bg_image['size'] ) ) ? 'background-size: '. $bg_image['size'] .';' : '';
  $layout_boxed .= ( ! empty( $bg_image['color'] ) ) ? 'background-color: '. $bg_image['color'] .';' : '';

  if ($layout_boxed) { ?>
    .layout-boxed {
      <?php echo $layout_boxed; ?>;
    }
  <?php
  }

}
if ($bg_type === 'bg-pattern') {
$custom_bg_pattern = cs_get_option('custom_bg_pattern');
$layout_boxed = ( $bg_pattern === 'custom-pattern' ) ? 'background-image: url('. $custom_bg_pattern .');' : 'background-image: url('. IRSPLOMBIER_IMAGES . '/patterns/'. $bg_pattern .'.png);';

  if ($layout_boxed) { ?>
    .layout-boxed {
      <?php echo $layout_boxed; ?>;
    }
  <?php
  }

}
$plombiers_body_bg_color  = cs_get_customize_option( 'plombiers_body_bg_color' );
if ($plombiers_body_bg_color) { ?>
  body, body .plombiers-theme-wrapper {
    background-color: <?php echo esc_attr( $plombiers_body_bg_color ); ?>;
  }
<?php
}
/* Top Bar - Customizer - Background */
$topbar_bg_color  = cs_get_customize_option( 'topbar_bg_color' );
if ($topbar_bg_color) {
 ?>
  .header-style-3 .upper-topbar ,
  .my-main-header-three .my-header-top-bar {
    background-color: <?php echo esc_attr(  $topbar_bg_color ); ?>;
  }
<?php
}
$topbar_text_color  = cs_get_customize_option( 'topbar_text_color' );
if ($topbar_text_color) {
 ?>
  .my-header-top-bar p,
  .site-header.header-style-3 .upper-topbar .info li i,
  .site-header.header-style-3 .upper-topbar .info li {
    color: <?php echo esc_attr( $topbar_text_color ); ?>;
  }
<?php
}
$topbar_link_color  = cs_get_customize_option( 'topbar_link_color' );
if ($topbar_link_color) {
 ?>
  .header-style-3 .upper-topbar a {
    color: <?php echo esc_attr( $topbar_link_color ); ?>;
  }
<?php
}
$topbar_link_hover_color  = cs_get_customize_option( 'topbar_link_hover_color' );
if ($topbar_link_hover_color) {
 ?>
  .header-style-3 .upper-topbar a:hover {
    color: <?php echo esc_attr( $topbar_link_hover_color ); ?>;
  }
<?php
}
$topbar_social_color  = cs_get_customize_option( 'topbar_social_color' );
if ($topbar_social_color) {
 ?>
  .header-style-3 .upper-topbar .social-links a {
    color: <?php echo esc_attr( $topbar_social_color ); ?>;
  }
<?php
}
$topbar_social_hover_color  = cs_get_customize_option( 'topbar_social_hover_color' );
if ($topbar_social_hover_color) {
 ?>
  .header-style-3 .upper-topbar .social-links a:hover {
    color: <?php echo esc_attr( $topbar_social_hover_color ); ?>;
  }
<?php
}
/* Header - Customizer */
$header_bg_color  = cs_get_customize_option( 'header_bg_color' );
if ($header_bg_color) {
 ?>
  .site-header .navigation {
    background-color: <?php echo esc_attr( $header_bg_color ); ?>;
  }
<?php
}
/* Header - Customizer */
$menu_bg_color  = cs_get_customize_option( 'menu_bg_color' );
if ($menu_bg_color) {
 ?>
  .my-main-nav nav.navbar.bootsnav {
    background-color: <?php echo esc_attr( $header_bg_color ); ?>;
  }
<?php
}
$header_link_color  = cs_get_customize_option( 'header_link_color' );
$header_link_hover_color  = cs_get_customize_option( 'header_link_hover_color' );
if($header_link_color || $header_link_hover_color) {
 ?>
  .header-style-3 #navbar>ul>li.current-menu-item>a {
    color: <?php echo esc_attr( $header_link_color ); ?>;
  }
  .header-style-3 #navbar>ul>li.current-menu-item>a:hover {
    color: <?php echo esc_attr( $header_link_hover_color ); ?>;
  }
<?php
}
$submenu_bg_color  = cs_get_customize_option( 'submenu_bg_color' );
$submenu_bg_hover_color  = cs_get_customize_option( 'submenu_bg_hover_color' );
$submenu_border_color  = cs_get_customize_option( 'submenu_border_color' );
$submenu_link_color  = cs_get_customize_option( 'submenu_link_color' );
$submenu_link_hover_color  = cs_get_customize_option( 'submenu_link_hover_color' );
if ($submenu_bg_color || $submenu_bg_hover_color || $submenu_border_color || $submenu_link_color || $submenu_link_hover_color) {
 ?>
  .dropdown-menu > li > a {
    border-color: <?php echo esc_attr( $submenu_border_color ); ?>;
  }
  .header-style-1 #navbar>ul>li .sub-menu a,
  .header-style-2 #navbar>ul>li .sub-menu a,
  .header-style-3 #navbar>ul>li .sub-menu a {
    color: <?php echo esc_attr( $submenu_link_color ); ?>;
  }
  .header-style-1 #navbar>ul>li .sub-menu a:hover,
  .header-style-2 #navbar>ul>li .sub-menu a:hover,
  .header-style-3 #navbar>ul>li .sub-menu a:hover {
    background-color: <?php echo esc_attr( $submenu_bg_hover_color ); ?>;
  }
  .header-style-1 #navbar>ul>li .sub-menu a:hover,
  .header-style-2 #navbar>ul>li .sub-menu a:hover,
  .header-style-3 #navbar>ul>li .sub-menu a:hover {
    color: <?php echo esc_attr( $submenu_link_hover_color ); ?>;
  }
  .header-style-1 #navbar>ul>li .sub-menu a,
  .header-style-2 #navbar>ul>li .sub-menu a,
  .header-style-3 #navbar>ul>li .sub-menu a {
    background-color: <?php echo esc_attr( $submenu_bg_color ); ?>;
  }
  nav.navbar.bootsnav ul.nav li.dropdown ul.dropdown-menu > li > a{
    color: <?php echo $submenu_link_color; ?>;
  }
  .site-header #navbar>ul>li .sub-menu li {
    border-bottom-color: <?php echo esc_attr( $submenu_border_color ); ?>;
  }
<?php
}
$titlebar_bg_color  = cs_get_customize_option( 'titlebar_bg_color' );
if ($titlebar_bg_color) {
 ?>
  .plmbr-pagetitled::before {
    background-color: <?php echo esc_attr( $titlebar_bg_color ); ?>;
  }
<?php
}

$title_heading_color  = cs_get_customize_option( 'titlebar_title_color' );
if ($title_heading_color) {
 ?>
  .plmbr-pagetitled h2 {
    color: <?php echo esc_attr( $title_heading_color ); ?>;
  }
<?php
}
// Breadcrubms
$breadcrumbs_text_color  = cs_get_customize_option( 'breadcrumbs_text_color' );
$breadcrumbs_link_color  = cs_get_customize_option( 'breadcrumbs_link_color' );
$breadcrumbs_link_hover_color  = cs_get_customize_option( 'breadcrumbs_link_hover_color' );
if ($breadcrumbs_text_color) {
 ?>
  .plmber-breadcrumb ul p {
    color: <?php echo esc_attr( $breadcrumbs_text_color ); ?>;
  }
<?php
}
if ($breadcrumbs_link_color) {
 ?>
  .plmber-breadcrumb ul p a {
    color: <?php echo esc_attr( $breadcrumbs_link_color ); ?>;
  }
<?php
}
if ($breadcrumbs_link_hover_color) {
 ?>
  .plmber-breadcrumb ul p a:hover {
    color: <?php echo esc_attr( $breadcrumbs_link_hover_color ); ?>;
  }
<?php
}
/* Footer */
if ($footer_bg_color) {
 ?>
  ..plmbr-footer::before {
   background: <?php echo esc_attr( $footer_bg_color ); ?>;
  }
<?php
}
if ($footer_heading_color) {
 ?>
  .plmbr-foter-title h4 {
    color: <?php echo esc_attr( $footer_heading_color ); ?>;
  }
<?php
}
if ($footer_text_color) {
 ?>
  .plmber-widget-area .textwidget,
  ul.infoplmber-footer-contact-info,
  ul.infoplmber-footer-contact-info li span,
  ul.infoplmber-footer-contact-info li span a,
  .foter-logo>p {
   color: <?php echo esc_attr( $footer_text_color ); ?>;
  }
<?php
}
if ($footer_link_color) {
 ?>
  footer a,
  footer .widget_list_style ul a,
  footer .widget_categories ul a,
  footer .widget_archive ul a,
  footer .widget_archive ul li,
  footer .widget_recent_comments ul a,
  footer .widget_recent_entries ul a,
  footer .widget_meta ul a,
  footer .widget_pages ul a,
  footer .widget_rss ul a,
  footer .widget_nav_menu ul a,
  footer .recent-blog .widget-btitle
  .recentcomments a ,
  .my-footer-col a {
    color: <?php echo esc_attr( $footer_link_color ); ?>;
  }
<?php
}
if ($footer_link_hover_color) {
 ?>
  footer a:hover,
  footer .widget_list_style ul a:hover,
  footer .widget_categories ul a:hover,
  footer .widget_archive ul a:hover,
  footer .widget_archive ul li,
  footer .widget_recent_comments ul a:hover,
  footer .widget_recent_entries ul a:hover,
  footer .widget_meta ul a:hover,
  footer .widget_pages ul a:hover,
  footer .widget_rss ul a:hover,
  footer .widget_nav_menu ul a:hover,
  footer .recent-blog .widget-btitle:hover
  .my-footer-col a:hover ,
  .my-footer-col .recent-blog a:hover {
    color: <?php echo esc_attr( $footer_link_hover_color ); ?>;
  }
<?php
}
/* Copyright */
$copyright_text_color  = cs_get_customize_option( 'copyright_text_color' );
$copyright_link_color  = cs_get_customize_option( 'copyright_link_color' );
$copyright_link_hover_color  = cs_get_customize_option( 'copyright_link_hover_color' );
$copyright_bg_color  = cs_get_customize_option( 'copyright_bg_color' );
$copyright_border_color  = cs_get_customize_option( 'copyright_border_color' );
if ($copyright_border_color) {
 ?>
  .footer-bottom {border-color: <?php echo esc_attr(  $copyright_border_color ); ?>;}
<?php
}
if ($copyright_bg_color) {
 ?>
  .footer-bottom {background: {<?php echo esc_attr( $copyright_bg_color ); ?>;}
<?php
}
if ($copyright_text_color) {
 ?>
  .my-copyright p, {
    color: <?php echo esc_attr( $copyright_text_color ); ?>;
  }
<?php
}
if ($copyright_link_color) {
 ?>
  .my-copyright p a {
    color: <?php echo esc_attr( $copyright_link_color ); ?>;
  }
<?php
}
if ($copyright_link_hover_color) {
 ?>
  .my-copyright p a:hover {
    color: <?php echo esc_attr( $copyright_link_hover_color ); ?>;
  }
<?php
}

/* Primary Colors */
if ($all_element_color) {
 ?>
  .container.my-container-three li i.my-searce-icon,
  .my-header-nav .my-shopping-icon,
  #scrollUp,
  .my-section-title .my-title-line,
  .my-section-title .my-title-line::after,
  .my-section-title .my-title-line::before,
  .blockquote-two:before,
  input[type="submit"],
  .wpcf7 input[type="submit"],
  .header-two #cart-trigger > span,
  .btn-secondary,
  .bpw-style-one .bpw-content .bpw-btn,
  .bpw-col-5.bpw-normal-size.bpw-style-one .bpw-content .bpw-btn,
  .bpw-style-two .portfolio-item:hover .bpw-content,
  .bpw-filter li .btn-active:after,
  .panel-one .panel-default > .panel-heading.accordion-active a:before,
  .nav-tabs > li.active > a:after,
  .education li:before,
  .list-one li:before,
  .blog-one .plombiers-blog-top-meta > div:after,
  .wp-pagenavi span.current,
  .wp-pagenavi a:hover,
  .wp-link-pages span:hover,
  .wp-link-pages > span,
  .bcc-content .bcc-btn:after,
  .sidenav li a:hover:before,
  .sidenav li.current-menu-item a:before,
  .sidenav li.current-menu-parent > a:before,
  .sidenav > li.active:before,
  .download-btn,
  .widget_list_style ul li:before,
  .widget_categories ul li:before,
  .widget_archive ul li:before,
  .widget_recent_comments ul li:before,
  .widget_recent_entries ul li:before,
  .widget_meta ul li:before,
  .widget_pages ul li:before,
  .widget_rss ul li:before,
  .widget_nav_menu ul li:before,
  .widget_layered_nav ul li:before,
  .widget_product_categories ul li:before,
  footer .widget_list_style ul li:hover:before,
  footer .widget_categories ul li:hover:before,
  footer .widget_archive ul li:hover:before,
  footer .widget_recent_comments ul li:hover:before,
  footer .widget_recent_entries ul li:hover:before,
  footer .widget_meta ul li:hover:before,
  footer .widget_pages ul li:hover:before,
  footer .widget_rss ul li:hover:before,
  footer .widget_nav_menu ul li:hover:before,
  footer .widget_nav_menu ul li.active:before,
  .widget .mc4wp-form input[type="submit"],
  p.demo_store,
  .woocommerce div.product .woocommerce-tabs ul.tabs li.active a:after,
  span.onsale,
  .woocommerce nav.woocommerce-pagination ul li span.current,
  .woocommerce #respond input#submit.alt,
  .woocommerce a.button,
  .woocommerce a.button.alt,
  .woocommerce button.button.alt,
  .woocommerce input.button.alt,
  .woocommerce #respond input#submit.alt.disabled,
  .woocommerce #respond input#submit.alt.disabled:hover,
  .woocommerce #respond input#submit.alt:disabled,
  .woocommerce #respond input#submit.alt:disabled:hover,
  .woocommerce #respond input#submit.alt:disabled[disabled],
  .woocommerce #respond input#submit.alt:disabled[disabled]:hover,
  .woocommerce a.button.alt.disabled,
  .woocommerce a.button.alt.disabled:hover,
  .woocommerce a.button.alt:disabled,
  .woocommerce a.button.alt:disabled:hover,
  .woocommerce a.button.alt:disabled[disabled],
  .woocommerce a.button.alt:disabled[disabled]:hover,
  .woocommerce button.button.alt.disabled,
  .woocommerce button.button.alt.disabled:hover,
  .woocommerce button.button.alt:disabled,
  .woocommerce button.button.alt:disabled:hover,
  .woocommerce button.button.alt:disabled[disabled],
  .woocommerce button.button.alt:disabled[disabled]:hover,
  .woocommerce input.button.alt.disabled,
  .woocommerce input.button.alt.disabled:hover,
  .woocommerce input.button.alt:disabled,
  .woocommerce input.button.alt:disabled:hover,
  .woocommerce input.button.alt:disabled[disabled],
  .woocommerce input.button.alt:disabled[disabled]:hover,
  .woocommerce-account .woocommerce form .form-row input.button,
  .woocommerce-checkout form > .form-row input.button,
  .woocommerce #respond input#submit.alt:hover,
  .woocommerce a.button.alt:hover,
  .woocommerce button.button.alt:hover,
  .woocommerce input.button.alt:hover,
  span.onsale,
  .woocommerce span.onsale,
  .site-header .header-search-area .open-btn,
  a.theme-btn-2,
  #main-slider .camera_fakehover .camera_prev span:before,
  #main-slider .camera_fakehover .camera_next span:before,
  .scrollToTop,
  .foter-logo .list-inline>li:hover a,
  .cta-fullwidth {
     background-color: <?php echo esc_attr( $all_element_color ); ?>;
  }
  .service-two .service-icon,
  .service-three .service-icon,
  .service-four .service-icon,
  .service-five .service-icon,
  .panel-two .panel-heading:after,
  .panel-three .panel-title:hover strong,
  .list-icon i,
  .comment-reply-title > a,
  .woocommerce .star-rating span,
  .woocommerce p.stars a,
  .woocommerce .woocommerce-message:before,
  .woocommerce div.product .stock,
  #add_payment_method .cart-collaterals .cart_totals .discount td,
  .woocommerce-cart .cart-collaterals .cart_totals .discount td,
  .woocommerce-checkout .cart-collaterals .cart_totals .discount td,
  .primary-color {
    color: <?php echo esc_attr( $all_element_color ); ?>;
  }
  .bpw-style-two .portfolio-item:hover .bpw-content,
  .history-first-section:after,
  .wp-pagenavi span.current,
  .wp-pagenavi a:hover,
  .wp-link-pages span:hover,
  .wp-link-pages > span {
     border-color: <?php echo esc_attr( $all_element_color ); ?>;
  }
  .panel-one .panel-default > .panel-heading.accordion-active a:after,
  .woocommerce .woocommerce-message {
      border-top-color: <?php echo esc_attr( $all_element_color ); ?>;
  }
  .foter-logo .list-inline li a {
    border-color: <?php echo esc_attr( $all_element_color ); ?>;
  }
<?php
}
// Content Colors
$body_color  = cs_get_customize_option( 'body_color' );
if ($body_color) {
 ?>
  body,
  body .plombiers-theme-wrapper {
    color: <?php echo esc_attr( $body_color ); ?>;
  }
<?php
}
$body_links_color  = cs_get_customize_option( 'body_links_color' );
if ($body_links_color) {
 ?>
  body a,
  .plmbr-team-one .plmbr-team-col .plmbr-team-icons li a,
  .widget_list_style ul a,
  .widget_categories ul a,
  .widget_archive ul a,
  .widget_recent_comments ul a,
  .widget_recent_entries ul a,
  .widget_meta ul a,
  .widget_pages ul a,
  .widget_rss ul a,
  .widget_nav_menu ul a,
  .widget_layered_nav ul a,
  .widget_product_categories ul a,
  .woocommerce ul.product_list_widget a {
    color: <?php echo esc_attr( $body_links_color ); ?>;
  }
<?php
}
$body_link_hover_color  = cs_get_customize_option( 'body_link_hover_color' );
if ($body_link_hover_color) {
 ?>
  .no-class {}
  body a:hover,
  .blog-one .plombiers-blog-top-meta > div a:hover,
  .widget_list_style ul a:hover,
  .widget_categories ul a:hover,
  .widget_archive ul a:hover,
  .widget_recent_comments ul a:hover,
  .widget_recent_entries ul a:hover,
  .widget_meta ul a:hover,
  .widget_pages ul a:hover,
  .widget_rss ul a:hover,
  .widget_nav_menu ul a:hover,
  .widget_layered_nav ul a:hover,
  .widget_product_categories ul a:hover,
  .woocommerce ul.product_list_widget a:hover {
    color: <?php echo esc_attr( $body_link_hover_color ); ?>;
  }
<?php
}
$sidebar_content_color  = cs_get_customize_option( 'sidebar_content_color' );
if ($sidebar_content_color) {
 ?>
  .textwidget,
  .widget p,
  .widget_rss .rssSummary {
    color: <?php echo esc_attr( $sidebar_content_color ); ?>;
  }
<?php
}
$content_heading_color  = cs_get_customize_option( 'content_heading_color' );
if ($content_heading_color) { ?>
  h1, h2, h3, h4, h5, h6, .bp-heading a {
    color: <?php echo esc_attr( $content_heading_color ); ?>;
  }
<?php
}
$sidebar_heading_color  = cs_get_customize_option( 'sidebar_heading_color' );
if ($sidebar_heading_color) {
 ?>
  h3.my-sidebar-title {
    color: <?php echo esc_attr( $sidebar_heading_color ); ?>;
  }
<?php
}
  echo $plombiers_get_typography;

    $output = ob_get_clean();
    return $output;
  }
}
/**
 * Custom Font Family
 */
if ( ! function_exists( 'plombiers_custom_font_load' ) ) {
  function plombiers_custom_font_load() {
    $font_family       = cs_get_option( 'font_family' );
    ob_start();
    if( ! empty( $font_family ) ) {
      foreach ( $font_family as $font ) {
        echo '@font-face{';
        echo 'font-family: "'. $font['name'] .'";';
        if( empty( $font['css'] ) ) {
          echo 'font-style: normal;';
          echo 'font-weight: normal;';
        } else {
          echo $font['css'];
        }
        echo ( ! empty( $font['ttf']  ) ) ? 'src: url('. $font['ttf'] .');' : '';
        echo ( ! empty( $font['eot']  ) ) ? 'src: url('. $font['eot'] .');' : '';
        echo ( ! empty( $font['svg']  ) ) ? 'src: url('. $font['svg'] .');' : '';
        echo ( ! empty( $font['woff'] ) ) ? 'src: url('. $font['woff'] .');' : '';
        echo ( ! empty( $font['otf']  ) ) ? 'src: url('. $font['otf'] .');' : '';
        echo '}';
      }
    }
    // Typography
    $output = ob_get_clean();
    return $output;
  }
}
if (!function_exists('plombiers_custom_all_css')) {
  function plombiers_custom_all_css(){
    wp_enqueue_style( 'plombiers-default-style', get_template_directory_uri() . '/style.css');
    $output  = plombiers_custom_font_load();
    $output  .= plombiers_dynamic_styles();
    $custom_css = plombiers_compress_css_lines( $output );
    wp_add_inline_style( 'plombiers-default-style', $custom_css );
  }
  add_action( 'wp_enqueue_scripts', 'plombiers_custom_all_css' );
}