<?php
/*
 * The main template file.
 * Author & Copyright: IRSFoundation
 * URL: http://themeforest.net/user/irsfoundation
 */
get_header();
	// Metabox
	$plombiers_id    = ( isset( $post ) ) ? $post->ID : 0;
	$plombiers_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $plombiers_id;
	$plombiers_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $plombiers_id;
	$plombiers_meta  = get_post_meta( $plombiers_id, 'page_type_metabox', true );
	if ($plombiers_meta) {
		$plombiers_content_padding = $plombiers_meta['content_spacings'];
	} else { $plombiers_content_padding = ''; }
	// Padding - Metabox
	if ($plombiers_content_padding && $plombiers_content_padding !== 'padding-none') {
		$plombiers_content_top_spacings = $plombiers_meta['content_top_spacings'];
		$plombiers_content_bottom_spacings = $plombiers_meta['content_bottom_spacings'];
		if ($plombiers_content_padding === 'padding-custom') {
			$plombiers_content_top_spacings = $plombiers_content_top_spacings ? 'padding-top:'. plombiers_check_px($plombiers_content_top_spacings) .';' : '';
			$plombiers_content_bottom_spacings = $plombiers_content_bottom_spacings ? 'padding-bottom:'. plombiers_check_px($plombiers_content_bottom_spacings) .';' : '';
			$plombiers_custom_padding = $plombiers_content_top_spacings . $plombiers_content_bottom_spacings;
		} else {
			$plombiers_custom_padding = '';
		}
	} else {
		$plombiers_custom_padding = '';
	}
	// Theme Options
	$plombiers_blog_style = cs_get_option('blog_listing_style');
	$plombiers_blog_columns = cs_get_option('blog_listing_columns');
	$plombiers_sidebar_position = cs_get_option('blog_sidebar_position');
	// Columns
	$plombiers_blog_style = $plombiers_blog_style ? $plombiers_blog_style : 'classic';
	if ($plombiers_blog_style === 'classic') {
		$plombiers_blog_columns = $plombiers_blog_columns ? $plombiers_blog_columns : 'classic-post';
	} else {
		$plombiers_blog_columns = $plombiers_blog_columns ? $plombiers_blog_columns : 'grid-post';
	}
	$plombiers_sidebar_position = $plombiers_sidebar_position ? $plombiers_sidebar_position : 'sidebar-hide';
	// Sidebar Position
	if ($plombiers_sidebar_position === 'sidebar-hide') {
		$layout_class = 'col-md-12';
		$plombiers_sidebar_class = 'hide-sidebar';
	} elseif ($plombiers_sidebar_position === 'sidebar-left') {
		$layout_class = 'col-md-9';
		$plombiers_sidebar_class = 'left-sidebar';
	} else {
		$layout_class = 'col-md-9';
		$plombiers_sidebar_class = 'right-sidebar';
	}
	?>
	<div class="container plmbr-archive content-area <?php echo esc_attr($plombiers_content_padding .' '. $plombiers_sidebar_class); ?>" style="<?php echo esc_attr($plombiers_custom_padding); ?>">
		<div class="row">
			<?php
			if ($plombiers_sidebar_position === 'sidebar-left' && $plombiers_sidebar_position !== 'sidebar-hide') {
				get_sidebar(); // Sidebar
			} ?>
			<div class="content-wrapp <?php echo esc_attr( $layout_class ); ?> clearfix">
					<?php
					if ( have_posts() ) :
						/* Start the Loop */
						while ( have_posts() ) : the_post();
							get_template_part( 'theme-layouts/post/content' );
						endwhile;
					else :
						get_template_part( 'theme-layouts/post/content', 'none' );
					endif;
		    wp_reset_postdata(); ?>
			<div class="pmber-pagination clearfix">
			<?php  plombiers_paging_nav(); ?>
			</div>
	  </div><!-- Content Area -->
			<?php
			if ($plombiers_sidebar_position !== 'sidebar-hide') {
				get_sidebar(); // Sidebar
			} ?>
		</div>
	</div>
	<?php
	get_footer();