<?php
/**
 * Template part for displaying a message that posts cannot be found.
 * @link https://codex.wordpress.org/Template_Hierarchy
 * @package PLOMBIERS_Framework
 */
?>
<div class="no-results not-found">
	<div class="page-content">
		<h2 class="page-title"><?php echo esc_html__( 'Nothing Found', 'plombiers' ); ?></h2>
		<?php
			if ( is_search() ) : ?>
			<p><?php echo esc_html__( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'plombiers' ); ?></p>
			<div class="widget_search">
			<?php
				get_search_form(); ?>
			</div>
			<?php else : ?>
			<p><?php echo esc_html__( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'plombiers' ); ?></p>
			<div class="widget_search">
				<?php get_search_form(); ?>
			</div>
		<?php endif; ?>
	</div><!-- .page-content -->
</div><!-- .no-results -->
