<?php
/**
 * Template part for displaying posts.
 */
	$plombiers_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
	$plombiers_large_image = $plombiers_large_image[0];
	$plombiers_read_more_text = cs_get_option('read_more_text');
	$plombiers_read_text = $plombiers_read_more_text ? $plombiers_read_more_text : esc_html__( 'Read More', 'plombiers' );
	$plombiers_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );
	$plombiers_metas_hide = (array) cs_get_option( 'theme_metas_hide' );
	$plombiers_blog_style = cs_get_option('blog_listing_style');
	$plombiers_blog_columns = cs_get_option('blog_listing_columns');
	$plombiers_blog_style = $plombiers_blog_style ? $plombiers_blog_style : 'classic';
	// Columns
	if ($plombiers_blog_columns === 'blog-col-1') {
		$colum_class = 'col-md-12';
	} elseif ($plombiers_blog_columns === 'blog-col-2') {
		$colum_class = 'col-md-6';
	} elseif ($plombiers_blog_columns === 'blog-col-4') {
		$colum_class = 'col-md-3 col-sm-4';
	} else {
		$colum_class = 'col-md-4 col-sm-4';
	}
  if ($plombiers_blog_style == 'grid') {
  $colum_class = $colum_class ;
  } else {
    $colum_class = 'col-md-12';
  }
  ?>
   <div class="col-xs-12 col-sm-6 blog-items-wrap <?php echo esc_attr( $colum_class ); ?>">
      <div  id="<?php the_ID(); ?>" <?php post_class(); ?>>
         <div class="blog-thumbnail-wrap">
             <?php
               if ($plombiers_large_image) {
                  if ( 'gallery' == get_post_format() && ! empty( $plombiers_post_type['gallery_post_format'] ) ) { ?>
                  <div class="blog-img-carousel"
                   data-nav="true"
                   data-autoplay="true"
                    data-auto-height="true"
                   data-dots="true">
                    <?php
                    $plombiers_ids = explode( ',', $plombiers_post_type['gallery_post_format'] );
                    foreach ( $plombiers_ids as $id ) {
                      $plombiers_attachment = wp_get_attachment_image_src( $id, 'full' );
                      $plombiers_alt = get_post_meta($id, '_wp_attachment_image_alt', true);
                      echo '<div class="item"><div class="plmbr-thumb"><img class="img-responsive img-fluid" src="'.esc_url( $plombiers_attachment[0] ).'" alt="'. esc_attr( $plombiers_alt ) .'" /></div></div>';
                     }
                    ?>
                  </div>
                <?php
                } elseif ( 'video' == get_post_format() && ! empty( $plombiers_post_type['video_post_format'] ) ) { ?>
                <div class="plombiers-video-post video-format">
                  <?php $parsed = parse_url( $plombiers_post_type['video_post_format'] );
                  if ( strpos( $parsed['host'], 'vimeo' ) !== false ) { ?>
                    <iframe class="embed-responsive-item" src="<?php echo esc_url('https://player.vimeo.com/video/'.plombiers_video_format_data( $plombiers_post_type['video_post_format'] ).'?title=0&byline=0&portrait=0'); ?>" webkitallowfullscreen mozallowfullscreen allowfullscreen>
                    </iframe>
                  <?php } else { ?>
                    <iframe  class="embed-responsive-item youtube" src="<?php echo esc_url( 'https://www.youtube.com/embed/'.plombiers_video_format_data( $plombiers_post_type['video_post_format'] ).'?rel=0&amp;controls=0&amp;showinfo=0' ); ?>"  allowfullscreen>
                    </iframe>
                   <?php } ?>
                </div>
                <?php } elseif ( 'audio' == get_post_format() && ! empty( $plombiers_post_type['audio_post_format'] ) ) {
                  echo '<div class="plombiers-audio-post audio-format">'.esc_url( $plombiers_post_type['audio_post_format'] ).'</div>';
                 } elseif ($plombiers_large_image) { ?>
                  <div class="blog-thumbnail">
                      <a href="<?php echo esc_url( get_permalink() ); ?>">
                      <img src="<?php echo esc_url($plombiers_large_image); ?>" alt="<?php echo esc_attr(get_the_title()); ?>">
                     </a>
                  </div>
              <?php }
               } ?>
            </div>
            <div class="blog-content single-blog">
                <div class="blog-meta">
                  <?php if ( !in_array( 'comment', $plombiers_metas_hide ) ) { ?>
                    <div class="meta-date">
                      <a class="plombiers-comment" href="<?php echo esc_url( get_comments_link() ); ?>"><i class="fa fa-comments-o"></i>
                      <?php printf( esc_html( _nx( ' %1$s', ' %1$s', get_comments_number(), 'comments title', 'plombiers' ) ),  '<span class="comment-meta">'.number_format_i18n( get_comments_number() ).'</span>','<span>' . get_the_title() . '</span>' ); ?>
                    </a>
                    </div>
                    <?php } ?>
                    <div class="blog-meta-title">
                        <h2><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo esc_html( get_the_title() ); ?></a></h2>
                    </div>
                </div>
                <span class="blog-submeta">
                  <?php if ( !in_array( 'author', $plombiers_metas_hide ) ) { // Author Hide
                     printf(
                         '<span class="pe-7s-add-user"></span><span>'. esc_html__(' by','plombiers') .' <a href="%1$s" rel="author">%2$s</a></span>',
                        esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
                        get_the_author()
                      );
                  }
                if ( !in_array( 'date', $plombiers_metas_hide ) ) { // Date Hide  ?>
                  <div class="date">
                    <span class="pe-7s-date"></span>
                    <?php echo esc_html( get_the_date() );  ?>
                   </div>
                 <?php } ?>
                </span>
                 <?php  $blog_excerpt = cs_get_option('theme_blog_excerpt');
                  if ($blog_excerpt) {
                    $blog_excerpt = $blog_excerpt;
                  } else {
                    $blog_excerpt = '55';
                  } ?>
                  <p><?php plombiers_excerpt($blog_excerpt); ?></p>
            <div class="btn-style-one">
                 <a href="<?php echo esc_url( get_permalink() ); ?>"> <?php echo esc_html( $plombiers_read_text ); ?></a>
            </div>
        </div>
    </div>
</div>