<?php

/* Address Infos */
function plombiers_address_infos_function($atts, $content = true) {
   extract(shortcode_atts(array(
      "custom_class" => ''
   ), $atts));
   $result = '<ul class="info'. $custom_class .'">'. do_shortcode($content) .'</ul>';
   return $result;
}
add_shortcode("plombiers_address_infos", "plombiers_address_infos_function");

/* Address Info */
function plombiers_address_info_function($atts, $content = NULL) {
   extract(shortcode_atts(array(
      "address_style" => '',
      "info_icon" => '',
      "info_icon_color" => '',
      "info_main_text" => '',
      "info_main_text_link" => '',
      "info_main_text_color" => '',
      "info_main_text_bg" => '',
      "target_tab" => ''
   ), $atts));

   // Color
   $info_icon_color = $info_icon_color ? 'color:'. $info_icon_color .';' : '';
   $info_main_text_color = $info_main_text_color ? 'color:'. $info_main_text_color .';' : '';
   $info_main_text_bg = $info_main_text_bg ? 'background-color:'. $info_main_text_bg .';' : '';

   $target_tab = ( $target_tab === '1' ) ? 'target="_blank"' : '';
   $info_icon = ( isset( $info_icon ) ) ? '<i class="'. $info_icon .'" style="'. $info_icon_color .'"></i>' : '';
   if (isset( $info_main_text ) && !$info_main_text_link ) {
      $info_main_text = '<span style="'. $info_main_text_color.'">'. $info_main_text .'</span>';
   } elseif (isset( $info_main_text ) && isset( $info_main_text_link )) {
      $info_main_text = '<span><a href="'. $info_main_text_link .'" '. $target_tab .'  style="'. $info_main_text_color .'">'. $info_main_text .'</a></span>';
   } else {
      $info_main_text = '';
   }
   $result = '<li style="'.$info_main_text_bg.'">
                '.$info_icon .' '. $info_main_text .'
              </li>';
   return $result;
}
add_shortcode("plombiers_address_info", "plombiers_address_info_function");


/* Header Infos */
function plombiers_header_infos_function($atts, $content = true) {
   extract(shortcode_atts(array(
      "custom_class" => ''
   ), $atts));
   $result = '<div class="info-bar'. $custom_class .'">'. do_shortcode($content) .'</div>';
   return $result;
}
add_shortcode("plombiers_header_infos", "plombiers_header_infos_function");

/* Header Info */
function plombiers_header_info_function($atts, $content = NULL) {
   extract(shortcode_atts(array(
      "info_icon" => '',
      "info_icon_color" => '',
      "info_main_text" => '',
      "info_main_text_link" => '',
      "info_main_text_color" => '',
      "info_main_text_bg" => '',
      "info_sub_text" => '',
      "info_sub_text_link" => '',
      "info_sub_text_color" => '',
      "info_sub_text_bg" => '',
      "target_tab" => ''
   ), $atts));

   // Color
   $info_icon_color = $info_icon_color ? 'color:'. $info_icon_color .';' : '';
   $info_main_text_color = $info_main_text_color ? 'color:'. $info_main_text_color .';' : '';
   $info_main_text_bg = $info_main_text_bg ? 'background-color:'. $info_main_text_bg .';' : '';

   $info_sub_text_color = $info_sub_text_color ? 'color:'. $info_sub_text_color .';' : '';
   $info_sub_text_bg = $info_sub_text_bg ? 'background-color:'. $info_sub_text_bg .';' : '';

   $target_tab = ( $target_tab === '1' ) ? 'target="_blank"' : '';
   $info_icon = ( isset( $info_icon ) ) ? '<i class="'. $info_icon .'" style="'. $info_icon_color .'"></i>' : '';

   if (isset( $info_main_text ) && !$info_main_text_link ) {
      $info_main_text = '<h4 style="'. $info_main_text_color.'">'. $info_main_text .'</h4>';
   } elseif (isset( $info_main_text ) && isset( $info_main_text_link )) {
      $info_main_text = '<h4><a href="'. $info_main_text_link .'" '. $target_tab .'  style="'. $info_main_text_color .'">'. $info_main_text .'</a></h4>';
   } else {
      $info_main_text = '';
   }

   if (isset( $info_sub_text ) && !$info_sub_text_link ) {
      $info_sub_text = '<p style="'. $info_sub_text_color.'">'. $info_sub_text .'</p>';
   } elseif (isset( $info_sub_text ) && isset( $info_sub_text_link )) {
      $info_sub_text = '<p><a href="'. $info_sub_text_link .'" '. $target_tab .'  style="'. $info_sub_text_color .'">'. $info_sub_text .'</a></p>';
   } else {
      $info_sub_text = '';
   }

   $result ='<div class="box" style="'.esc_attr( $info_main_text_bg ).'">
                <span class="icon">
                    '.$info_icon.'
                </span>
                <div class="details">
                    '.$info_main_text.'
                    '.$info_sub_text.'
                </div>
            </div>';
    return $result;
}
add_shortcode("plombiers_header_info", "plombiers_header_info_function");

/* Spacer */
function plombiers_spacer_function($atts, $content = true) {
  extract(shortcode_atts(array(
    "height" => '',
  ), $atts));
  $result = do_shortcode('[vc_empty_space height="'. $height .'"]');
  return $result;
}
add_shortcode("plombiers_spacer", "plombiers_spacer_function");

/* Special Tags */
function plombiers_special_tags_function($atts, $content = true) {
  extract(shortcode_atts(array(
    "tags" => '',
    "custom_class" => '',
    // design
    "text_color" => '',
    "text_size" => '',
  ), $atts));
  // Colors & Size
  $e_uniqid       = uniqid();
  $inline_style = '';
  if ( $text_color || $text_size ) {
    $inline_style .= '.plombiers-tag-'. $e_uniqid .' {';
    $inline_style .= ( $text_color ) ? 'color:'. $text_color .';' : '';
    $inline_style .= ( $text_size ) ? 'font-size:'. plombiers_core_check_px($text_size) .';' : '';
    $inline_style .= '}';
  }
  // add inline style
  add_inline_style( $inline_style );
  $styled_class  = ' plombiers-tag-'. $e_uniqid;
  $tags = $tags ? $tags : 'p';
  $result = '<'.$tags.' class="'.$custom_class.$styled_class.'">'.do_shortcode( $content ).'</'.$tags.'>';
  return $result;
}
add_shortcode("special_tags", "plombiers_special_tags_function");

/* Social Icons */
function footer_about_widget_socials_shortcode_function($atts, $content = true) {
  extract(shortcode_atts(array(
    "custom_class" => '',
    // Colors
    "icon_color" => '',
    "icon_hover_color" => '',
    "icon_size" => '',
  ), $atts));
  // Shortcode Style CSS
  $e_uniqid       = uniqid();
  $inline_style   = '';
  // Colors & Size
  if ( $icon_color || $icon_size ) {
    $inline_style .= '.social-links-'. $e_uniqid .' .social-links a{';
    $inline_style .= ( $icon_color ) ? 'color:'. $icon_color .';' : '';
    $inline_style .= ( $icon_size ) ? 'font-size:'. plombiers_core_check_px($icon_size) .';' : '';
    $inline_style .= '}';
  }
  if ( $icon_hover_color ) {
    $inline_style .= '.social-links-'. $e_uniqid .' .social-links a:hover {';
    $inline_style .= ( $icon_hover_color ) ? 'color:'. $icon_hover_color .';' : '';
    $inline_style .= '}';
  }
  // add inline style
  add_inline_style( $inline_style );
  $styled_class  = ' social-links-'. $e_uniqid;
  // Layout
  $result = '<ul class="social-links '. esc_attr( $custom_class . $styled_class ) .'">
                  '. do_shortcode($content) .'
            </ul>';
  return $result;
}
add_shortcode("plombierss_socials", "footer_about_widget_socials_shortcode_function");
/* Social Icon */
function footer_about_widget_social_shortcode_function($atts, $content = NULL) {
   extract(shortcode_atts(array(
      "social_link" => '',
      "social_icon" => '',
      "target_tab" => ''
   ), $atts));
   $social_link = ( isset( $social_link ) ) ? 'href="'. esc_url( $social_link ) . '"' : '';
   $target_tab = ( $target_tab === '1' ) ? ' target="_blank"' : '';
   $result = '<li><a '. $social_link . $target_tab .'><i class="'. esc_attr( $social_icon ) .'"></i></a></li>';
   return $result;
}
add_shortcode("plombierss_social", "footer_about_widget_social_shortcode_function");

/* Footer Contact */
function footer_contacts_shortcode_function($atts, $content = true) {
  extract(shortcode_atts(array(
    "custom_class" => '',
    // Colors
    "contact_image" => '',
    "content_text" => '',
    "contact_size" => '',
    "contact_color" => '',
  ), $atts));
  // Shortcode Style CSS
  $e_uniqid       = uniqid();
  $inline_style   = '';
  // Colors & Size
  if ( $contact_color || $contact_size ) {
    $inline_style .= '.irs-footer-contact.plombiers-contact-'. $e_uniqid .' .irs-mailbox a, .irs-footer-contact.plombiers-contact-'. $e_uniqid .' .irs-mailbox p{';
    $inline_style .= ( $contact_color ) ? 'color:'. $contact_color .';' : '';
    $inline_style .= ( $contact_size ) ? 'font-size:'. plombiers_core_check_px($contact_size) .';' : '';
    $inline_style .= '}';
  }
  // add inline style
  add_inline_style( $inline_style );
  $styled_class  = ' plombiers-contact-'. $e_uniqid;
  $contact_image = $contact_image ? '<img src="'.esc_url( wp_get_attachment_url($contact_image) ).'" alt="">' : '';
  // Layout
  $result = '<div class="foter-logo'. esc_attr( $custom_class . $styled_class ) .'">'.$contact_image;
  $result .= '<p>'.$content_text.'</p>';
  $result .= '<ul class="list-inline'. esc_attr( $custom_class . $styled_class ) .'">'. do_shortcode($content) .'</ul>';
  $result .= '</div>';
  return $result;
}
add_shortcode("footer_contacts", "footer_contacts_shortcode_function");
/* Social Icon */
function footer_contact_shortcode_function($atts, $content = NULL) {
   extract(shortcode_atts(array(
      "contact_link" => '',
      "title" => '',
      "contact_icon" => '',
      "prefix" => '',
      "target_tab" => ''
   ), $atts));
   $target_tab = ( $target_tab === '1' ) ? ' target="_blank"' : '';
   if ($contact_link) {
     $link_before = '<a href="'.esc_url( $contact_link ).'"'.$target_tab.'>';
     $link_after = '</a>';
   } else {
     $link_before = '';
     $link_after = '';
   }

   $result = '<li>';
   $result .= $link_before;
   if ($contact_icon) {
    $result .= '<i class="'.$contact_icon.'"></i> ';
   }
   if ($prefix) {
    $result .= $prefix.': ';
   }
   $result .= $title;
   $result .= $link_after;
   $result .= '</li>';
   return $result;
}
add_shortcode("footer_contact", "footer_contact_shortcode_function");

/* Simple Link */
function plombiers_simple_link_shortcode_function($atts, $content = NULL) {
  extract(shortcode_atts(array(
    "link_text" => '',
    "link" => '',
    "target_tab" => '',
    "custom_class" => '',
    // Normal
    "text_color" => '',
    "text_hover_color" => '',
    // Size
    "text_size" => '',
    "text_decoration" => '',
  ), $atts));
  // Atts
  $target_tab = $target_tab ? 'target="_blank"' : '';
  // Shortcode Style CSS
  $e_uniqid       = uniqid();
  $inline_style   = '';
  // Colors & Size
  if ( $text_color || $text_size || $text_decoration ) {
    $inline_style .= 'a.plombiers-simple-link-'. $e_uniqid .'{';
    $inline_style .= ( $text_decoration ) ? 'color:'. $text_decoration .';' : '';
    $inline_style .= ( $text_color ) ? 'color:'. $text_color .';' : '';
    $inline_style .= ( $text_size ) ? 'font-size:'. plombiers_core_check_px($text_size) .';' : '';
    $inline_style .= '}';
  }
  if ( $text_hover_color ) {
    $inline_style .= 'a.plombiers-simple-link-'. $e_uniqid .':hover{';
    $inline_style .= ( $text_hover_color ) ? 'color:'. $text_hover_color .';' : '';
    $inline_style .= '}';
  }
  // add inline style
  add_inline_style( $inline_style );
  $styled_class  = ' plombiers-simple-link-'. $e_uniqid;
  $result = '<a href="'. esc_url( $link ) .'" '. $target_tab .' class="'. esc_attr( $custom_class . $styled_class ) .'">'. $link_text .'</a>';
  return $result;
}
add_shortcode("simple_link", "plombiers_simple_link_shortcode_function");
/* Current Year - Shortcode */
if( ! function_exists( 'plombiers_current_year' ) ) {
  function plombiers_current_year() {
    return date('Y');
  }
  add_shortcode( 'plombiers_current_year', 'plombiers_current_year' );
}

