<?php
function plombiers_all_shortcodes() {
  $dirs = glob( PLOMBIERS_SHORTCODE_PATH . '*', GLOB_ONLYDIR );
  if ( !$dirs ) return;
  foreach ($dirs as $dir) {
    $dirname = basename( $dir );
    /* Include all shortcodes backend options file */
    $options_file = $dir . DS . $dirname . '-options.php';
    $options = array();
    if ( file_exists( $options_file ) ) {
      include_once( $options_file );
    } else {
      continue;
    }

    /* Include all shortcodes frondend options file */
    $shortcode_class_file = $dir . DS . $dirname .'.php';
    if ( file_exists( $shortcode_class_file ) ) {
      include_once( $shortcode_class_file );
    }
  }
}
plombiers_all_shortcodes();


/* Inline Style */
global $all_inline_styles;
$all_inline_styles = array();
if( ! function_exists( 'add_inline_style' ) ) {
  function add_inline_style( $style ) {
    global $all_inline_styles;
    array_push( $all_inline_styles, $style );
  }
}

/* Enqueue Inline Styles */
if ( ! function_exists( 'plombiers_enqueue_inline_styles' ) ) {
  function plombiers_enqueue_inline_styles() {
    global $all_inline_styles;
    if ( ! empty( $all_inline_styles ) ) {
      echo '<style id="plombiers-inline-style" type="text/css">'. plombiers_compress_css_lines( join( '', $all_inline_styles ) ) .'</style>';
    }

  }
  add_action( 'wp_footer', 'plombiers_enqueue_inline_styles' );
}

/* Validate px entered in field */
if( ! function_exists( 'plombiers_core_check_px' ) ) {
  function plombiers_core_check_px( $num ) {
    return ( is_numeric( $num ) ) ? $num . 'px' : $num;
  }
}

