<?php
/**
 * King Composer Library
 * Common Fields
 */
class PlombiersLibrary {

	// Get Theme Name
	public static function plombiers_kc_cat_name() {
		return esc_html__( "Plombier", 'plombiers-core' );
	}

	// Notice
	public static function plombiers_notice_field($heading, $param, $class, $group) {
		return array(
			"type"        => "notice",
			"label"     => $heading,
			"name"  => $param,
			'class'       => $class,
			'value'       => '',
			"group"       => $group,
		);
	}

	// Extra Class
	public static function plombiers_class_option() {
		return array(
		  "type" => "text",
		  "label" => esc_html__( "Extra class name", 'plombiers-core' ),
		  "name" => "class",
		  'value' => '',
		  "description" => esc_html__( "Custom styled class name.", 'plombiers-core')
		);
	}

	// ID
	public static function plombiers_id_option() {
		return array(
		  "type" => "text",
		  "label" => esc_html__( "Element ID", 'plombiers-core' ),
		  "name" => "id",
		  'value' => '',
		  "description" => esc_html__( "Enter your ID for this element. If you want.", 'plombiers-core')
		);
	}

	// Open Link in New Tab
	public static function plombiers_open_link_tab() {
		return array(
			"type" => "toggle",
			"label" => esc_html__( "Open New Tab? (Links)", 'plombiers-core' ),
			"name" => "open_link",
			"std" => true,
			'value' => '',
		);
	}

	/**
	 * Carousel Default Options
	 */

	// Loop
	public static function plombiers_carousel_loop() {
		return array(
			"type" => "toggle",
			"label" => esc_html__( "Disable Loop?", 'plombiers-core' ),
			"name" => "carousel_loop",
			"value" => '',
			"description" => esc_html__( "Continuously moving carousel, if enabled.", 'plombiers-core')
		);
	}
	// Items
	public static function plombiers_carousel_items() {
		return array(
		  "type" => "text",
			"label" => esc_html__( "Items", 'plombiers-core' ),
		  "name" => "carousel_items",
		  'value' => '',
		  "description" => esc_html__( "Enter the numeric value of how many items you want in per slide.", 'plombiers-core')
		);
	}
	// Margin
	public static function plombiers_carousel_margin() {
		return array(
		  "type" => "text",
			"label" => esc_html__( "Margin", 'plombiers-core' ),
		  "name" => "carousel_margin",
		  'value' => '',
		  "description" => esc_html__( "Enter the numeric value of how much space you want between each carousel item.", 'plombiers-core')
		);
	}
	// Dots
	public static function plombiers_carousel_dots() {
		return array(
		  "type" => "toggle",
			"label" => esc_html__( "Dots", 'plombiers-core' ),
		  "name" => "carousel_dots",
			"value" => '',
		  "description" => esc_html__( "If you want Carousel Dots, enable it.", 'plombiers-core')
		);
	}
	// Nav
	public static function plombiers_carousel_nav() {
		return array(
		  "type" => "toggle",
			"label" => esc_html__( "Navigation", 'plombiers-core' ),
		  "name" => "carousel_nav",
			"value" => '',
		  "description" => esc_html__( "If you want Carousel Navigation, enable it.", 'plombiers-core')
		);
	}
	// Autoplay Timeout
	public static function plombiers_carousel_autoplay_timeout() {
		return array(
		  "type" => "text",
			"label" => esc_html__( "Autoplay Timeout", 'plombiers-core' ),
		  "name" => "carousel_autoplay_timeout",
		  'value' => '',
		  "description" => esc_html__( "Change carousel Autoplay timing value. Default : 5000. Means 5 seconds.", 'plombiers-core')
		);
	}
	// Autoplay
	public static function plombiers_carousel_autoplay() {
		return array(
		  "type" => "toggle",
			"label" => esc_html__( "Autoplay", 'plombiers-core' ),
		  "name" => "carousel_autoplay",
			"value" => '',
		  "description" => esc_html__( "If you want to start Carousel automatically, enable it.", 'plombiers-core')
		);
	}
	// Animate Out
	public static function plombiers_carousel_animateout() {
		return array(
		  "type" => "toggle",
			"label" => esc_html__( "Animate Out", 'plombiers-core' ),
		  "name" => "carousel_animate_out",
			"value" => '',
		  "description" => esc_html__( "CSS3 animation out.", 'plombiers-core')
		);
	}
	// Mouse Drag
	public static function plombiers_carousel_mousedrag() {
		return array(
		  "type" => "toggle",
			"label" => esc_html__( "Disable Mouse Drag?", 'plombiers-core' ),
		  "name" => "carousel_mousedrag",
			"value" => '',
		  "description" => esc_html__( "If you want to disable Mouse Drag, check it.", 'plombiers-core')
		);
	}
	// Auto Width
	public static function plombiers_carousel_autowidth() {
		return array(
		  "type" => "toggle",
			"label" => esc_html__( "Auto Width", 'plombiers-core' ),
		  "name" => "carousel_autowidth",
			"value" => '',
		  "description" => esc_html__( "Adjust Auto Width automatically for each carousel items.", 'plombiers-core')
		);
	}
	// Auto Height
	public static function plombiers_carousel_autoheight() {
		return array(
		  "type" => "toggle",
			"label" => esc_html__( "Auto Height", 'plombiers-core' ),
		  "name" => "carousel_autoheight",
			"value" => '',
		  "description" => esc_html__( "Adjust Auto Height automatically for each carousel items.", 'plombiers-core')
		);
	}
	// Tablet
	public static function plombiers_carousel_tablet() {
		return array(
		  "type" => "text",
			"label" => esc_html__( "Tablet", 'plombiers-core' ),
		  "name" => "carousel_tablet",
		  'value' => '',
		  "description" => esc_html__( "Enter number of items to show in tablet.", 'plombiers-core')
		);
	}
	// Mobile
	public static function plombiers_carousel_mobile() {
		return array(
		  "type" => "text",
			"label" => esc_html__( "Mobile", 'plombiers-core' ),
		  "name" => "carousel_mobile",
		  'value' => '',
		  "description" => esc_html__( "Enter number of items to show in mobile.", 'plombiers-core')
		);
	}
	// Small Mobile
	public static function plombiers_carousel_small_mobile() {
		return array(
		  "type" => "text",
			"label" => esc_html__( "Small Mobile", 'plombiers-core' ),
		  "name" => "carousel_small_mobile",
		  'value' => '',
		  "description" => esc_html__( "Enter number of items to show in small mobile.", 'plombiers-core')
		);
	}

}