<?php
add_action('init', 'plombiers_gmaps_kc_map', 99 );
function plombiers_gmaps_kc_map() {
	if (function_exists('kc_add_map')){
	    kc_add_map(
	        array(
	            'plombiers_gmap' => array(
	                'name' => esc_html__('Plombier Google Map','plombiers-core'),
	                'description' => esc_html__('Display single icon', 'plombiers-core'),
	                'icon' => 'cpicon kc-icon-map',
	                'category' => PlombiersLibrary::plombiers_kc_cat_name(),
	                'params' => array(
                  'Content' => array(
                    array(
                        'name' => 'gmap_id',
                        'label' => esc_html__( 'Map ID','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter google map ID. If you\'re using this in <strong>Map Tab</strong> shortcode, enter unique ID for each map tabs. Else leave it as blank. <strong>Note : This should same as Tab ID in Map Tabs shortcode.</strong> ', 'plombiers-core'),
                        'description'   => wp_kses( __('Enter google map ID. If you\'re using this in <strong>Map Tab</strong> shortcode, enter unique ID for each map tabs. Else leave it as blank. <strong>Note : This should same as Tab ID in Map Tabs shortcode.</strong> ', 'plombiers-core'), array( 'strong' => array() ) ),
                      ),
                    array(
                        'name' => 'gmap_api',
                        'label' => esc_html__( 'Google Map API ','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        "description" => wp_kses( __( 'New Google Maps usage policy dictates that everyone using the maps should register for a free API key. <br />Please create a key for "Google Static Maps API" and "Google Maps Embed API" using the <a href="https://console.developers.google.com/project" target="_blank">Google Developers Console</a>.<br /> Or follow this step links : <br /><a href="https://console.developers.google.com/flows/enableapi?apiid=maps_embed_backend&keyType=CLIENT_SIDE&reusekey=true" target="_blank">1. Step One</a> <br /><a href="https://console.developers.google.com/flows/enableapi?apiid=static_maps_backend&keyType=CLIENT_SIDE&reusekey=true" target="_blank">2. Step Two</a><br /> If you still receive errors, please check following link : <a href="https://churchthemes.com/2016/07/15/page-didnt-load-google-maps-correctly/" target="_blank">How to Fix?</a>', 'plombiers-core'), array( 'br' => array(), 'a' => array( 'href' => array() ) ) ),
                      ),
                     array(
                        'name' => 'gmap_type',
                        'label' => esc_html__( 'Google Map Type','plombiers-core'),
                        'type' => 'select',
                          'options' => array(
                            '' => 'Select Type',
                            'ROADMAP' => 'ROADMAP',
                            'SATELLITE' => 'SATELLITE',
                            'HYBRID' => 'HYBRID',
                            'TERRAIN' => 'TERRAIN',
                          ),
                        'admin_label' => true,
                        'description' => esc_html__('Select Google Map Type ', 'plombiers-core'),
                      ),
                     array(
                        'name' => 'gmap_style',
                        'label' => esc_html__( 'Google Map Type','plombiers-core'),
                        'type' => 'select',
                        'options' => array(
                          '' => esc_html__( 'Select Style', 'plombiers-core' ),
                          "gray-scale"  =>  esc_html__( 'Gray Scale', 'plombiers-core' ),
                          "mid-night" => esc_html__( 'Mid Night', 'plombiers-core' ),
                          'blue-water' => esc_html__( 'Blue Water', 'plombiers-core' ) ,
                          'light-dream' =>  esc_html__( 'Light Dream', 'plombiers-core' ) ,
                          'pale-dawn' => esc_html__( 'Pale Dawn', 'plombiers-core' ),
                          'apple-maps' =>  esc_html__( 'Apple Maps-esque', 'plombiers-core' ),
                          'blue-essence' => esc_html__( 'Blue Essence', 'plombiers-core' ),
                          'unsaturated-browns' => esc_html__( 'Unsaturated Browns', 'plombiers-core' ) ,
                          'paper' => esc_html__( 'Paper', 'plombiers-core' ),
                          'midnight-commander' => esc_html__( 'Midnight Commander', 'plombiers-core' ),
                          'light-monochrome' => esc_html__( 'Light Monochrome', 'plombiers-core' ) ,
                          'flat-map' => esc_html__( 'Flat Map', 'plombiers-core' ) ,
                          'retro' => esc_html__( 'Retro', 'plombiers-core' ) ,
                          'becomeadinosaur' => esc_html__( 'becomeadinosaur', 'plombiers-core' ) ,
                          'neutral-blue' => esc_html__( 'Neutral Blue', 'plombiers-core' ),
                          'subtle-grayscale' => esc_html__( 'Subtle Grayscale', 'plombiers-core' ),
                          'ultra-light-labels' => esc_html__( 'Ultra Light with Labels', 'plombiers-core' ),
                          'shades-grey' => esc_html__( 'Shades of Grey', 'plombiers-core' ),
                          ),
                        'relation' => array(
                            'parent'    => 'gmap_type',
                            'show_when' => 'ROADMAP'
                        ),
                        'admin_label' => true,
                        'description' => esc_html__('Select Google Map Type ', 'plombiers-core'),
                      ),
                      array(
                        'name' => 'gmap_common_marker',
                        'label' => esc_html__( 'Map Marker','plombiers-core'),
                        'type' => 'attach_image',
                        'admin_label' => true,
                        'description' => esc_html__('Enter Map Marker ', 'plombiers-core'),
                      ),
                      array(
                        'name' => 'gmap_height',
                        'label' => esc_html__( 'Map Height','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter the px value for map height. This will not work if you add this shortcode into the Map Tab shortcode. ', 'plombiers-core'),
                      ),
                      array(
                        'name' => 'gmap_scroll_wheel',
                        'label' => esc_html__( 'Map Scroll Wheel','plombiers-core'),
                        'type' => 'toggle',
                        'value' => false,
                        'description' => 'Turn this ON to Map Scroll Wheel',
                      ),
                      array(
                        'name' => 'gmap_street_view',
                        'label' => esc_html__( 'Street View Control','plombiers-core'),
                        'type' => 'toggle',
                        'value' => false,
                        'description' => 'Turn this ON to Street View Control',
                      ),
                      array(
                        'name' => 'gmap_maptype_control',
                        'label' => esc_html__( 'Map Type Control','plombiers-core'),
                        'type' => 'toggle',
                        'value' => false,
                        'description' => 'Turn this ON toMap Type Control',
                      ),
                    array(
                        'type'          => 'group',
                        'label'         => esc_html__('Map Locations', 'plombiers-core'),
                        'name'          => 'locations',
                        'description'   => esc_html__( 'Map Locations', 'plombiers-core' ),
                        'options'       => array('add_text' => esc_html__(' Add new Map Locations', 'plombiers-core')),
                        'params' => array(
                          array(
                              'name' => 'latitude',
                              'label' => esc_html__( 'Latitude','plombiers-core'),
                              'type' => 'text',
                               'description' => wp_kses( __( 'Find Latitude : <a href="http://www.latlong.net/" target="_blank">latlong.net</a>', 'plombiers-core' ), array( 'a' => array( array( 'href' => array(), 'target' => array() ) ) ) ),
                            ),
                          array(
                              'name' => 'longitude',
                              'label' => esc_html__( 'Longitude','plombiers-core'),
                              'type' => 'text',
                              'description' => wp_kses( __( 'Find Longitude : <a href="http://www.latlong.net/" target="_blank">latlong.net</a>', 'plombiers-core' ), array( 'a' => array(  array( 'href' => array(), 'target' => array()  ) ) ) ),
                            ),
                          array(
                            'name' => 'custom_marker',
                            'label' => esc_html__( 'Custom Marker','plombiers-core'),
                            'type' => 'attach_image',
                            'admin_label' => true,
                            'description' => esc_html__('Upload your unique map marker if your want to differentiate from others. ', 'plombiers-core'),
                          ),
                          array(
                            'name' => 'location_heading',
                            'label' => esc_html__( 'Location Heading','plombiers-core'),
                            'type' => 'text',
                            'admin_label' => true,
                            'description' => esc_html__('Enter Location Heading'),
                          ),
                          array(
                            'name' => 'location_text',
                            'label' => esc_html__( 'Location Description','plombiers-core'),
                            'type' => 'textarea',
                            'admin_label' => true,
                            'description' => esc_html__('Enter Location Location Description'),
                          ),
                        ),
                      ),
                    ),
                    'Style' => array(
	                    array(
                        'name' => 'class',
                        'label' => esc_html__('Extra Class','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter Extra Class for Titlte ..', 'plombiers-core')
                      ),
		                )
	                )
	            ),  // End of elemnt kc_icon

	        )
	    ); // End add map

	} // End if

}
