<?php
add_action('init', 'plombiers_icon_box_kc_map', 99 );
function plombiers_icon_box_kc_map() {

	if (function_exists('kc_add_map')){
	    kc_add_map(
	        array(
	            'plombiers_icon_box' => array(
	                'name' => esc_html__('Plombier Icon Box','plombiers-core'),
	                'description' => esc_html__('Display single icon', 'plombiers-core'),
	                'icon' => 'cpicon kc-icon-box-alert',
	                'category' => PlombiersLibrary::plombiers_kc_cat_name(),
	                'params' => array(
                  'Content' => array(
                   array(
                        'name' => 'icon_box_type',
                        'label' => esc_html__('Icon Box Type','plombiers-core'),
                        'type' => 'select',
                          'options' => array(
                            '' => esc_html__('Icon Box Type','plombiers-core'),
                            'standard' => esc_html__('Standard','plombiers-core'),
                            'classic' => esc_html__('Classic','plombiers-core'),
                          ),
                        'admin_label' => true,
                      ),
                    array(
                        'type'          => 'group',
                        'label'         => esc_html__(' Options', 'plombiers-core'),
                        'name'          => 'icon_box_items',
                        'description'   => esc_html__( 'Icon Box Iteams Group Field', 'plombiers-core' ),
                        'options'       => array('add_text' => esc_html__(' Add new Icon Box Iteam', 'plombiers-core')),
                        'params' => array(
                          array(
                              'name' => 'icon_box_colunm',
                              'label' => esc_html__('Icon Box Column','plombiers-core'),
                              'type' => 'select',
                                'options' => array(
                                  '' => esc_html__('Icon Box Column Style','plombiers-core'),
                                  'col_one' => esc_html__('One Colunm','plombiers-core'),
                                  'col_two' => esc_html__('Two Colunm','plombiers-core'),
                                  'col_three' => esc_html__('Three Colunm','plombiers-core'),
                                  'col_four' => esc_html__('Four Colunm','plombiers-core'),
                                ),
                              'admin_label' => true,
                            ),
                          array(
                              'name' => 'title_icon',
                              'label' => esc_html__( 'Icon','plombiers-core'),
                              'type' => 'icon_picker',
                              'description' => esc_html__('Chose Icon Box  icon ', 'plombiers-core'),
                            ),
                          array(
                              'name' => 'title',
                              'label' => esc_html__( 'Title','plombiers-core'),
                              'type' => 'text',
                              'admin_label' => true,
                              'description' => esc_html__('Write Icon Box  Title ', 'plombiers-core'),
                            ),
                          array(
                              'name' => 'subtitle',
                              'label' => esc_html__( 'Sub Title','plombiers-core'),
                              'type' => 'text',
                              'admin_label' => true,
                              'description' => esc_html__('Write Icon Box Sub Title ', 'plombiers-core'),
                              'relation' => array(
                                'parent'    => 'icon_box_type',
                                'show_when' => 'standard'
                              )
                            ),
                          array(
                              'name' => 'box_desc',
                              'label' => esc_html__( 'Title','plombiers-core'),
                              'type' => 'textarea',
                              'admin_label' => true,
                              'description' => esc_html__('Write Icon Box  Title ', 'plombiers-core'),
                            ),
                        ),
                      ),
                    array(
                      'name' => 'extraclass',
                      'label' => esc_html__('Extra Class','plombiers-core'),
                      'type' => 'text',
                      'admin_label' => true,
                      'description' => esc_html__('Enter Extra Class for Titlte ..', 'plombiers-core')
                    ),
                    ),
                    'Style' => array(
	                    array(
                        'name' => 'title_size',
                        'label' => esc_html__('Title Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for title such as: 15px, 1em ..etc..', 'plombiers-core')
                      ),
                      array(
                        'name' => 'title_color',
                        'label' => esc_html__('Title Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for title', 'plombiers-core')
                      ),
                      array(
                        'name' => 'subtitle_size',
                        'label' => esc_html__('Sub Title Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for sub title such as: 15px, 1em ..etc..', 'plombiers-core')
                      ),
                      array(
                        'name' => 'subtitle_color',
                        'label' => esc_html__('Sub Title Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for sub title', 'plombiers-core')
                      ),
                      array(
                        'name' => 'desc_size',
                        'label' => esc_html__('Description Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for description such as: 15px, 1em ..etc..', 'plombiers-core')
	                    ),
	                    array(
                        'name' => 'desc_color',
                        'label' => esc_html__('Description Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for description', 'plombiers-core')
	                    ),
                      array(
                        'name' => 'icon_size',
                        'label' => esc_html__('Icon Box Icon Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for Icon Box Icon such as: 15px, 1em ..etc..', 'plombiers-core')
                      ),
                      array(
                        'name' => 'icon_color',
                        'label' => esc_html__('Icon Box Icon Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Icon Box Icon', 'plombiers-core')
                      )
		                )
	                )
	            ),  // End of elemnt kc_icon

	        )
	    ); // End add map

	} // End if

}
