<?php
add_action('init', 'plombiers_pricing_kc_map', 99 );
function plombiers_pricing_kc_map() {

	if (function_exists('kc_add_map')){
	    kc_add_map(
	        array(
	            'plombiers_pricing' => array(
	                'name' => esc_html__('Plombier Pricing ','plombiers-core'),
	                'description' => esc_html__('Display single icon', 'plombiers-core'),
	                'icon' => 'cpicon kc-icon-pricing',
	                'category' => PlombiersLibrary::plombiers_kc_cat_name(),
	                'params' => array(
                  'Content' => array(
                   array(
                      'name' => 'pricing_head_img',
                      'label' => esc_html__( 'Price Pricing Head Image','plombiers-core'),
                      'type' => 'attach_image',
                      'admin_label' => true,
                      'description' => esc_html__('Add Pricing Head Image ', 'plombiers-core'),
                    ),
                   array(
                        'name' => 'price_licence',
                        'label' => esc_html__( 'Price Licence Type','plombiers-core'),
                        'type' => 'text',
                        'description' => esc_html__('Write Price Licence Type Title ', 'plombiers-core'),
                      ),
                   array(
                        'name' => 'price_number',
                        'label' => esc_html__( 'Price Amount','plombiers-core'),
                        'type' => 'text',
                        'description' => esc_html__('Write Price Amount In Number ', 'plombiers-core'),
                      ),
                   array(
                        'name' => 'price_type',
                        'label' => esc_html__( 'Price Type Monthly or Yearly','plombiers-core'),
                        'type' => 'text',
                        'description' => esc_html__('Write Type Monthly or Yearly ', 'plombiers-core'),
                      ),
                   array(
                        'name' => 'price_link',
                        'label' => esc_html__( 'Price Button Link','plombiers-core'),
                        'type' => 'text',
                        'description' => esc_html__('Write Price Button Link ', 'plombiers-core'),
                      ),
                   array(
                        'name' => 'button_text',
                        'label' => esc_html__( 'Price Button Text','plombiers-core'),
                        'type' => 'text',
                        'description' => esc_html__('Write Price Button Text ', 'plombiers-core'),
                      ),
                    array(
                        'type'          => 'group',
                        'label'         => esc_html__(' Options', 'plombiers-core'),
                        'name'          => 'pricing_items',
                        'description'   => esc_html__( 'Pricing  Iteams Group Field', 'plombiers-core' ),
                        'options'       => array('add_text' => esc_html__(' Add new Pricing  Iteam', 'plombiers-core')),
                        'params' => array(
                          array(
                              'name' => 'title',
                              'label' => esc_html__( 'Price Field Iteam','plombiers-core'),
                              'type' => 'text',
                              'description' => esc_html__('Write Price Field Iteam ', 'plombiers-core'),
                            ),
                        ),
                      ),
                    ),
                    'Style' => array(
	                    array(
                        'name' => 'extraclass',
                        'label' => esc_html__('Extra Class','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter Extra Class for Titlte ..', 'plombiers-core')
                      ),
                      array(
                        'name' => 'header_color',
                        'label' => esc_html__('Pricing  Header background color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set Pricing  Header background color', 'plombiers-core')
                      ),
                      array(
                        'name' => 'title_size',
                        'label' => esc_html__('Title Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for title such as: 15px, 1em ..etc..', 'plombiers-core')
                      ),
                      array(
                        'name' => 'title_color',
                        'label' => esc_html__('Title Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for title', 'plombiers-core')
                      ),
                      array(
                        'name' => 'number_size',
                        'label' => esc_html__('Number Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for Number such as: 15px, 1em ..etc..', 'plombiers-core')
	                    ),
	                    array(
                        'name' => 'number_color',
                        'label' => esc_html__('Number Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Number', 'plombiers-core')
	                    ),
	                    array(
                        'name' => 'desc_size',
                        'label' => esc_html__('Pricing  Description Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for Pricing  Description such as: 15px, 1em ..etc..', 'plombiers-core')
	                    ),
                      array(
                        'name' => 'desc_color',
                        'label' => esc_html__('Pricing  Description Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Pricing  Description', 'plombiers-core')
                      ),

                      array(
                        'name' => 'button_size',
                        'label' => esc_html__('Pricing  Button Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for Pricing  Button such as: 15px, 1em ..etc..', 'plombiers-core')
                      ),
                      array(
                        'name' => 'button_color',
                        'label' => esc_html__('Pricing  Button Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Pricing  Button', 'plombiers-core')
                      ),
                      array(
                        'name' => 'overly_color',
                        'label' => esc_html__('Pricing  Header Image Overly','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color Pricing  Header Image Overly', 'plombiers-core')
                      ),
		                )
	                )
	            ),  // End of elemnt kc_icon
	        )
	    ); // End add map
	} // End if
}
