<?php
/* ==========================================================
  Pricing Info
=========================================================== */
if ( !function_exists('plombiers_pricing_function')) {
  function plombiers_pricing_function( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'price_licence'  => '',
      'price_number'  => '',
      'price_type'  => '',
      'price_link'  => '',
      'button_text'  => '',
      'pricing_items'  => '',
      'pricing_head_img'  => '',
      'extraclass'  => '',
      // Style
      'title_color'  => '',
      'title_size'  => '',
      'number_color'  => '',
      'number_size'  => '',
      'desc_color'  => '',
      'desc_size'  => '',
      'button_color'  => '',
      'button_size'  => '',
      'overly_color'  => '',
      'header_color'  => '',
    ), $atts));

    if ( $title_size || $title_color ) {
      $title_style = ' style="';
      $title_style .= $title_size ? 'font-size: '. plombiers_core_check_px($title_size) .';': '';
      $title_style .= $title_color ? 'color: '.$title_color : '';
      $title_style .= '"';
    } else {
      $title_style = '';
    }
    if ( $number_size || $number_color ) {
      $number_style = ' style="';
      $number_style .= $number_size ? 'font-size: '. plombiers_core_check_px($number_size) .';': '';
      $number_style .= $number_color ? 'color: '.$number_color : '';
      $number_style .= '"';
    } else {
      $number_style = '';
    }
    if ( $desc_size || $desc_color ) {
      $desc_style = ' style="';
      $desc_style .= $desc_size ? 'font-size: '. plombiers_core_check_px($desc_size) .';': '';
      $desc_style .= $desc_color ? 'color: '.$desc_color : '';
      $desc_style .= '"';
    } else {
      $desc_style = '';
    }
    if ( $button_size || $button_color ) {
      $button_style = ' style="';
      $button_style .= $button_size ? 'font-size: '. plombiers_core_check_px($button_size) .';': '';
      $button_style .= $button_color ? 'color: '.$button_color : '';
      $button_style .= '"';
    } else {
      $button_style = '';
    }
    if ( $overly_color ) {
      $overly_style = ' style="';
      $overly_style .= $overly_color ? 'background-color: '.$overly_color : '';
      $overly_style .= '"';
    } else {
      $overly_style = '';
    }
    if ( $header_color ) {
      $header_style = ' style="';
      $header_style .= $header_color ? 'background-color: '.$header_color : '';
      $header_style .= '"';
    } else {
      $header_style = '';
    }
    $output = '<div class="plmbr-pricing-onfo '.esc_attr( $extraclass ).'">';
    $output .= '<div class="plmbr-pricing-table text-center">';
    $img_url = wp_get_attachment_url( $pricing_head_img );
    $output .= '<div class="plmbr-pricing-head" style=" background-image: url('.esc_url( $img_url ).');">';
    $output .= '<div class="plmbr-prcbgc" '.$header_style.'>';
      if ( $price_licence ) {
        $output .= '<div class="plmbr-prc-ttl" '.$title_style.'>'.esc_html( $price_licence ).'</div>';
      }
      if ( $price_number ) {
        $output .= '<div class="plmbr-pricing-prc" '.$number_style.'>'.esc_html( $price_number ).'$ <span></span></div>';
      }
      if ( $price_type ) {
        $output .= '<div class="plmbr-prc-sbttl" '.$title_style.'>'.esc_html( $price_type ).'</div>';
      }
    $output .= '</div>';
    $output .= '<div class="plmbr-prcng-ovrly" '.$overly_style.'></div>';
    $output .= '</div>';
    $output .= '<div class="plmbr-prc-inner">';
      foreach ($pricing_items as $key => $pricing_item) {
        $output .= '<p '.$desc_style.'>'.esc_html( $pricing_item->title ).'</p>';
      }
    $output .= '</div>';
      if ( $price_link ) {
        $output .= '<a class="plmbr-pricing-btn btn btn-default btn-lg" href="'.esc_url( $price_link ).'" '.$button_style.'>'.esc_html( $button_text ).'</a>';
        }
    $output .= '</div></div>';
    return $output;
  }
}
add_shortcode( 'plombiers_pricing', 'plombiers_pricing_function' );
