<?php
add_action('init', 'plombiers_project_carousel_kc_map', 99 );
function plombiers_project_carousel_kc_map() {

  if (function_exists('kc_add_map')){
      kc_add_map(
          array(
              'plombiers_project_carousel' => array(
                  'name' => esc_html__('Project Carousel','plombiers-core'),
                  'description' => esc_html__('Display Project Carousel', 'plombiers-core'),
                  'icon' => 'cpicon cpicon kc-icon-pcarousel',
                  'category' => PlombiersLibrary::plombiers_kc_cat_name(),
                  'params' => array(
                  'Content' => array(
                    array(
                        'name' => 'project_carousel_type',
                        'label' => esc_html__( 'Project Carousel Type','plombiers-core'),
                        'type' => 'select',
                          'options' => array(
                            '' => esc_html__('Project Carousel Type','plombiers-core'),
                            'gallery' => esc_html__('Project Carousel Popup','plombiers-core'),
                            'project_post' => esc_html__('Project Carousel Post','plombiers-core'),
                          ),
                        'admin_label' => true,
                      ),
                    array(
                        'name' => 'project_carousel_limit',
                        'label' => esc_html__( 'Project Carousel Limit','plombiers-core'),
                        'type' => 'text',
                        'description' => esc_html__('Write Project Carousel Limit ', 'plombiers-core'),
                      ),
                    array(
                        'name' => 'project_carousel_order',
                        'label' => esc_html__( 'Project Carousel Orderby','plombiers-core'),
                        'type' => 'select',
                          'options' => array(
                            '' => esc_html__('Project Carousel Order','plombiers-core'),
                            'ASC' => esc_html__('Asending','plombiers-core'),
                            'DESC' => esc_html__('Desending','plombiers-core'),
                          ),
                        'admin_label' => true,
                        'description' => esc_html__('Select Project Carousel Orderby ', 'plombiers-core'),
                      ),
                    array(
                        'name' => 'project_carousel_orderby',
                        'label' => esc_html__( 'Order By','plombiers-core'),
                        'type' => 'select',
                          'options' => array(
                            'none' => esc_html__('None','plombiers-core'),
                            'ID' => esc_html__('ID','plombiers-core'),
                            'author' => esc_html__('Author','plombiers-core'),
                            'title' => esc_html__('Title','plombiers-core'),
                            'date' => esc_html__('Date','plombiers-core'),
                          ),
                        'admin_label' => true,
                      ),
                    array(
                        'name' => 'project_carousel_show_category',
                        'label' => esc_html__( 'Show Certain Categories','plombiers-core'),
                        'type' => 'text',
                        'description' => esc_html__('Show only certain categories ', 'plombiers-core'),
                      ),
                    array(
                        'name' => 'project_carousel_hide_post',
                        'label' => esc_html__( 'Hide Certain Project Carousel','plombiers-core'),
                        'type' => 'text',
                        'description' => esc_html__('Hide only certain Project Carousel ', 'plombiers-core'),
                      ),
                    ),
                    esc_html__('Carousel','plombiers-core') => array(
                        PlombiersLibrary::plombiers_carousel_dots(),
                        PlombiersLibrary::plombiers_carousel_nav(),
                        PlombiersLibrary::plombiers_carousel_autoplay(),
                        PlombiersLibrary::plombiers_carousel_margin(),
                        PlombiersLibrary::plombiers_carousel_loop(),
                        PlombiersLibrary::plombiers_carousel_tablet(),
                        PlombiersLibrary::plombiers_carousel_mobile(),
                        PlombiersLibrary::plombiers_carousel_small_mobile(),
                    ),
                     esc_html__('Style','plombiers-core') => array(
                      array(
                        'name' => 'extraclass',
                        'label' => esc_html__('Extra Class','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter Extra Class for Titlte ..', 'plombiers-core')
                      ),
                      array(
                        'name' => 'title_size',
                        'label' => esc_html__('Title Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for title such as: 15px, 1em ..etc..', 'plombiers-core')
                      ),
                      array(
                        'name' => 'title_color',
                        'label' => esc_html__('Title Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for title', 'plombiers-core')
                      ),
                      array(
                        'name' => 'chose_icon',
                        'label' => esc_html__('Select Icon','plombiers-core'),
                        'type' => 'icon_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Select Icon for Overly..', 'plombiers-core')
                      ),
                      array(
                        'name' => 'icon_size',
                        'label' => esc_html__('Icon Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for Icon such as: 15px, 1em ..etc..', 'plombiers-core')
                      ),
                      array(
                        'name' => 'icon_color',
                        'label' => esc_html__('Icon Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Icon', 'plombiers-core')
                      ),
                      array(
                        'name' => 'overly_color',
                        'label' => esc_html__('Project Carousel Overly Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Overly', 'plombiers-core')
                      ),
                    )
                  )
              ),  // End of elemnt kc_icon

          )
      ); // End add map

  } // End if

}
