<?php
add_action('init', 'plombiers_project_kc_map', 99 );
function plombiers_project_kc_map() {

	if (function_exists('kc_add_map')){
	    kc_add_map(
	        array(
	            'plombiers_project' => array(
	                'name' => esc_html__('Plombier Project','plombiers-core'),
	                'description' => esc_html__('Display single icon', 'plombiers-core'),
	                'icon' => 'cpicon kc-icon-gallery',
	                'category' => PlombiersLibrary::plombiers_kc_cat_name(),
	                'params' => array(
                  'Content' => array(
                     array(
                        'name' => 'project_type',
                        'label' => esc_html__( 'Project Type','plombiers-core'),
                        'type' => 'select',
                          'options' => array(
                            '' => esc_html__('Project Type','plombiers-core'),
                            'gallery' => esc_html__('Project Popup','plombiers-core'),
                            'project_post' => esc_html__('Project Post','plombiers-core'),
                          ),
                        'admin_label' => true,
                        'description' => esc_html__('Select Project Filter', 'plombiers-core'),
                      ),
                    array(
                        'name' => 'project_limit',
                        'label' => esc_html__( 'Project Limit','plombiers-core'),
                        'type' => 'text',
                        'description' => esc_html__('Write Project Limit ', 'plombiers-core'),
                      ),
                    array(
                        'name' => 'project_order',
                        'label' => esc_html__( 'Project Orderby','plombiers-core'),
                        'type' => 'select',
                          'options' => array(
                            '' => esc_html__('Project Order','plombiers-core'),
                            'ASC' => esc_html__('Asending','plombiers-core'),
                            'DESC' => esc_html__('Desending','plombiers-core'),
                          ),
                        'admin_label' => true,
                        'description' => esc_html__('Select Project Orderby ', 'plombiers-core'),
                      ),
                    array(
                        'name' => 'project_orderby',
                        'label' => esc_html__( 'Order By','plombiers-core'),
                        'type' => 'select',
                          'options' => array(
                            'none' => esc_html__('None','plombiers-core'),
                            'ID' => esc_html__('ID','plombiers-core'),
                            'author' => esc_html__('Author','plombiers-core'),
                            'title' => esc_html__('Title','plombiers-core'),
                            'date' => esc_html__('Date','plombiers-core'),
                          ),
                        'admin_label' => true,
                      ),
                    array(
                        'name' => 'project_show_category',
                        'label' => esc_html__( 'Show Certain Categories','plombiers-core'),
                        'type' => 'text',
                        'description' => esc_html__('Show only certain categories ', 'plombiers-core'),
                      ),
                    array(
                        'name' => 'project_hide_post',
                        'label' => esc_html__( 'Hide Certain Project','plombiers-core'),
                        'type' => 'text',
                        'description' => esc_html__('Hide only certain Project ', 'plombiers-core'),
                      ),
                    array(
                        'name' => 'project_filter',
                        'label' => esc_html__( 'Project Filter','plombiers-core'),
                        'type' => 'select',
                          'options' => array(
                            '' => esc_html__('Project Filter','plombiers-core'),
                            'yes' => esc_html__('Yes','plombiers-core'),
                            'no' => esc_html__('No','plombiers-core'),
                          ),
                        'admin_label' => true,
                        'description' => esc_html__('Select Project Filter', 'plombiers-core'),
                      ),
                    array(
                        'name' => 'project_masonary',
                        'label' => esc_html__( 'Project Masonary','plombiers-core'),
                        'type' => 'select',
                          'options' => array(
                            '' => esc_html__('Project Masonary','plombiers-core'),
                            'yes' => esc_html__('Yes','plombiers-core'),
                            'no' => esc_html__('No','plombiers-core'),
                          ),
                        'admin_label' => true,
                        'description' => esc_html__('Select Yes for Project Masonary', 'plombiers-core'),
                      ),
                    ),
                    'Style' => array(
	                    array(
                        'name' => 'extraclass',
                        'label' => esc_html__('Extra Class','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter Extra Class for Titlte ..', 'plombiers-core')
                      ),
                      array(
                        'name' => 'title_size',
                        'label' => esc_html__('Title Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for title such as: 15px, 1em ..etc..', 'plombiers-core')
                      ),
                      array(
                        'name' => 'title_color',
                        'label' => esc_html__('Title Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for title', 'plombiers-core')
                      ),
                      array(
                        'name' => 'chose_icon',
                        'label' => esc_html__('Select Icon','plombiers-core'),
                        'type' => 'icon_picker',
                        'value' => 'et-magnifying-glass',
                        'admin_label' => true,
                        'description' => esc_html__('Select Icon for Overly..', 'plombiers-core')
                      ),
                      array(
                        'name' => 'icon_size',
                        'label' => esc_html__('Icon Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for Icon such as: 15px, 1em ..etc..', 'plombiers-core')
	                    ),
	                    array(
                        'name' => 'icon_color',
                        'label' => esc_html__('Icon Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Icon', 'plombiers-core')
	                    ),
                      array(
                        'name' => 'overly_color',
                        'label' => esc_html__('Project Overly Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Overly', 'plombiers-core')
                      ),
		                )
	                )
	            ),  // End of elemnt kc_icon

	        )
	    ); // End add map

	} // End if

}
