<?php
/* ==========================================================
  Project Info
=========================================================== */
if ( !function_exists('plombiers_project_function')) {
  function plombiers_project_function( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'project_colunm'  => '',
      'project_limit'  => '',
      'project_order'  => '',
      'project_orderby'  => '',
      'project_show_category'  => '',
      'project_filter'  => '',
      'project_type'  => '',
      'project_masonary'  => '',
      'project_hide_post'  => '',
      'extraclass'  => '',
      // Style
      'chose_icon'  => '',
      'title_color'  => '',
      'title_size'  => '',
      'icon_color'  => '',
      'icon_size'  => '',
      'overly_color'  => '',
    ), $atts));

    if ( $title_size || $title_color ) {
      $title_style = ' style="';
      $title_style .= $title_size ? 'font-size: '. plombiers_core_check_px($title_size) .';': '';
      $title_style .= $title_color ? 'color: '.$title_color : '';
      $title_style .= '"';
    } else {
      $title_style = '';
    }
    if ( $icon_size || $icon_color ) {
      $icon_style = ' style="';
      $icon_style .= $icon_size ? 'font-size: '. plombiers_core_check_px($icon_size) .';': '';
      $icon_style .= $icon_color ? 'color: '.$icon_color : '';
      $icon_style .= '"';
    } else {
      $icon_style = '';
    }
    if ( $overly_color ) {
      $overly_style = ' style="';
      $overly_style .= $overly_color ? 'background-color: '.$overly_color : '';
      $overly_style .= '"';
    } else {
      $overly_style = '';
    }
  ob_start();
  $args = array(
    'post_type' => 'project',
    'posts_per_page' => (int) $project_limit,
    'orderby' => esc_attr( $project_orderby ),
    'order' => esc_attr( $project_order ),
    'project_category' => esc_attr($project_show_category),
    'post__not_in' => array( $project_hide_post )
  );
  $plombiers_project = new WP_Query( $args );
   if ($plombiers_project->have_posts()) :
  $terms = get_terms( 'project_category' );?>
  <section class="<?php echo esc_attr( $extraclass ) ?> plmbr-project-gallery plmbr-colthree">
    <div class="container">
      <?php if ($project_filter == 'yes') { ?>
      <div class="row">
        <div class="col-md-12">
          <div class="portfolio-menu">
            <button class="active" data-filter="*">Show All</button>
            <?php foreach( $terms as $term ):  ?>
              <button data-filter=".<?php echo $term->slug; ?>"><?php echo $term->name; ?></button>
            <?php  endforeach; ?>
          </div>
        </div>
      </div>
     <?php } ?>
      <div class="row grid">
      <?php while ($plombiers_project->have_posts()) : $plombiers_project->the_post();
        global $post;
      // Columns
        $project_options = get_post_meta( get_the_ID(), 'project_options', true );
        $project_colunm = $project_options['project_colunm'];
        if ( $project_colunm === 'col_twelve') {
          $colum_class = 'col-md-12';
        } elseif ( $project_colunm === 'col_eleven') {
          $colum_class = 'col-md-11';
        } elseif ( $project_colunm === 'col_ten') {
          $colum_class = 'col-md-10';
        } elseif ( $project_colunm === 'col_nine') {
          $colum_class = 'col-md-9';
        } elseif ( $project_colunm === 'col_eight') {
          $colum_class = 'col-md-8';
        } elseif ( $project_colunm === 'col_seven') {
          $colum_class = 'col-md-7';
        } elseif ( $project_colunm === 'col_six') {
          $colum_class = 'col-md-6 col-sm-6';
        } elseif ( $project_colunm === 'col_five') {
          $colum_class = 'col-md-5 col-sm-5';
        } elseif ( $project_colunm === 'col_four') {
          $colum_class = 'col-md-3 col-xs-6';
        } elseif ( $project_colunm === 'col_one') {
          $colum_class = 'col-md-1';
        } elseif ( $project_colunm === 'col_two') {
          $colum_class = 'col-md-2 col-sm-6';
        } else {
          $colum_class = 'col-md-4 col-sm-4 col-xs-6';
        }
        $terms = wp_get_post_terms( get_the_ID(), 'project_category');
        foreach ($terms as $term) {
          $cat_class = $term->slug;
        }
        $count = count($terms);
        $i=0;
        $cat_class = '';
        if ($count > 0) {
          foreach ($terms as $term) {
            $i++;
            $cat_class .= $term->slug .' ';
            if ($count != $i) {
              $cat_class .= '';
            } else {
              $cat_class .= '';
            }
          }
        }
        $image_url = wp_get_attachment_url( get_post_thumbnail_id() );
        $project_meta_options = get_post_meta( get_the_ID(), 'project_meta_options', true );
        if ($project_meta_options) {
          $project_grid_image = $project_meta_options['project_grid_image'];
          $project_masonary_image = $project_meta_options['project_masonary_image'];
        } else {
          $project_grid_image = '';
          $project_masonary_image = '';
        }
        if ($project_grid_image) {
          $img_gride = wp_get_attachment_url( $project_grid_image );
        } else {
          $img_gride = $image_url;
        }
        if ($project_masonary_image) {
          $img_masonary = wp_get_attachment_url( $project_masonary_image );
        } else {
          $img_masonary = $image_url;
        }
        if ($project_masonary == 'yes') {
            $project_url = $img_masonary;
        } else {
          $project_url = $img_gride;
        } ?>
        <!-- Blog Section -->
        <div class="portfolio <?php echo esc_attr( $colum_class.' '.$cat_class); ?>">
          <div class="plmbr-project-column">
            <div class="plmbr-project-thumb">
              <div class="project-thumb">
                <img src="<?php echo esc_url( $project_url ); ?>" alt="">
              </div>
              <div class="plmbr-project-overlay" <?php echo $overly_style; ?>>
                <div class="plmbr-srvc-ovrly-icon">
                <?php
                    if ( $project_type == 'gallery') { ?>
                      <a class="lightbox-image" href="<?php echo esc_url( $project_url ); ?>" data-fancybox-group="preject" title="Project Photos"><span <?php echo $icon_style; ?> class="<?php echo esc_attr( $chose_icon ); ?>"></span></a>
                      <h3 class="text-thm" <?php echo $title_style; ?>><?php echo esc_html( get_the_title() ); ?></h3>
                  <?php } else { ?>
                      <a  href="<?php echo esc_url( get_permalink() ); ?>" data-fancybox-group="preject" title="Project Photos"><span <?php echo $icon_style; ?> class="<?php echo esc_attr( $chose_icon ); ?>"></span></a>
                      <a  href="<?php echo esc_url( get_permalink() ); ?>">
                        <h3 class="text-thm" <?php echo $title_style; ?>><?php echo esc_html( get_the_title() ); ?></h3></a>
                 <?php  } ?>
                </div>
              </div>
            </div>
          </div>
        </div>
       <?php endwhile;
      wp_reset_postdata(); ?>
      </div>
    </div>
  </section>
  <?php endif;
  return ob_get_clean();
  }
}
add_shortcode( 'plombiers_project', 'plombiers_project_function' );
