<?php
/* ==========================================================
  Service Info
=========================================================== */
if ( !function_exists('plombiers_service_info_function')) {
  function plombiers_service_info_function( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'service_info_items'  => '',
      'extraclass'  => '',
      // Style
      'title_color'  => '',
      'title_size'  => '',
      'icon_color'  => '',
      'icon_size'  => '',
      'info_border_color'  => '',
    ), $atts));

    if ( $title_size || $title_color ) {
      $title_style = ' style="';
      $title_style .= $title_size ? 'font-size: '. plombiers_core_check_px($title_size) .';': '';
      $title_style .= $title_color ? 'color: '.$title_color : '';
      $title_style .= '"';
    } else {
      $title_style = '';
    }
    if ( $icon_size || $icon_color ) {
      $icon_style = ' style="';
      $icon_style .= $icon_size ? 'font-size: '. plombiers_core_check_px($icon_size) .';': '';
      $icon_style .= $icon_color ? 'color: '.$icon_color : '';
      $icon_style .= '"';
    } else {
      $icon_style = '';
    }
    $e_uniqid       = uniqid();
    $inline_style   = '';
    if ( $info_border_color ) {
      $inline_style .= '.info-plmbr-right-'. $e_uniqid .'.info-plmbr-right  {';
      $inline_style .= ( $info_border_color ) ? 'border-color:'. $info_border_color .';' : '';
      $inline_style .= '}';
    }
    // add inline style
    add_inline_style( $inline_style );
    $styled_class  = ' info-plmbr-right-'. $e_uniqid.' ';
    $output = '<div class="row plmbr-service-onfo '.esc_attr( $extraclass ).'"><div class="container">';
      foreach ($service_info_items as $key => $service_info_item) {
        // Columns
        if ($service_info_item->service_info_colunm === 'col_one') {
          $colum_class = 'col-md-12';
        } elseif ($service_info_item->service_info_colunm === 'col_two') {
          $colum_class = 'col-md-6';
        } elseif ($service_info_item->service_info_colunm === 'col_three') {
          $colum_class = 'col-md-4';
        } else {
          $colum_class = 'col-md-3';
        }
        $output .= '<div class="col-xs-12 col-sm-6 '.esc_attr( $colum_class ).'">';
        $output .= '<div class="plmbr-cllback-srbc-inner '.esc_attr( $styled_class ).' info-plmbr-right">';
          if ( $service_info_item->title_icon ) {
            $output .= '<div class="plmbr-callback-icon"><span '.$icon_style.' class="'.esc_attr( $service_info_item->title_icon ).'"></span></div>';
          }
          if ( $service_info_item->title ) {
            $output .= '<div class="plmbr-callback-heading" '.$title_style.'>'.esc_html( $service_info_item->title ).'</div>';
          }
        $output .= '</div></div>';
      }
     $output .= '</div></div>';
    return $output;
  }
}
add_shortcode( 'plombiers_service_info', 'plombiers_service_info_function' );
