<?php
add_action('init', 'plombiers_service_kc_map', 99 );
function plombiers_service_kc_map() {

	if (function_exists('kc_add_map')){
	    kc_add_map(
	        array(
            'plombiers_service' => array(
                'name' => esc_html__('Plombier Service','plombiers-core'),
                'description' => esc_html__('Display single icon', 'plombiers-core'),
                'icon' => 'cpicon kc-icon-icon',
                'category' => PlombiersLibrary::plombiers_kc_cat_name(),
                'params' => array(
                'Content' => array(
                  array(
                      'name' => 'service_style',
                      'label' => esc_html__('Service Style','plombiers-core'),
                      'type' => 'select',
                        'options' => array(
                          '' => esc_html__('Select Service Style','plombiers-core'),
                          'normal' => esc_html__('Normal','plombiers-core'),
                          'standard' => esc_html__('Standard ','plombiers-core'),
                          'classic' => esc_html__('Classic','plombiers-core'),
                        ),
                      'admin_label' => true,
                    ),
                  array(
                      'name' => 'service_colunm',
                      'label' => esc_html__('Service Column','plombiers-core'),
                      'type' => 'select',
                        'options' => array(
                          '' => esc_html__('Service Column Style','plombiers-core'),
                          'col_one' => esc_html__('One Colunm','plombiers-core'),
                          'col_two' => esc_html__('Two Colunm','plombiers-core'),
                          'col_three' => esc_html__('Three Colunm','plombiers-core'),
                          'col_four' => esc_html__('Four Colunm','plombiers-core'),
                        ),
                      'admin_label' => true,
                    ),
                    array(
                        'name' => 'service_limit',
                        'label' => esc_html__( 'Service Limit','plombiers-core'),
                        'type' => 'text',
                        'description' => esc_html__('Write Service Limit ', 'plombiers-core'),
                      ),
                    array(
                        'name' => 'service_excerpt_limit',
                        'label' => esc_html__( 'Short Content','plombiers-core'),
                        'type' => 'text',
                        'description' => esc_html__('Write Content Limit ', 'plombiers-core'),
                      ),
                    array(
                        'name' => 'service_order',
                        'label' => esc_html__( 'Service Orderby','plombiers-core'),
                        'type' => 'select',
                          'options' => array(
                            '' => esc_html__('Service Order','plombiers-core'),
                            'ASC' => esc_html__('Asending','plombiers-core'),
                            'DESC' => esc_html__('Desending','plombiers-core'),
                          ),
                        'admin_label' => true,
                        'description' => esc_html__('Select Service Orderby ', 'plombiers-core'),
                      ),
                    array(
                        'name' => 'service_orderby',
                        'label' => esc_html__( 'Order By','plombiers-core'),
                        'type' => 'select',
                          'options' => array(
                            'none' => esc_html__('None','plombiers-core'),
                            'ID' => esc_html__('ID','plombiers-core'),
                            'author' => esc_html__('Author','plombiers-core'),
                            'title' => esc_html__('Title','plombiers-core'),
                            'date' => esc_html__('Date','plombiers-core'),
                          ),
                        'admin_label' => true,
                      ),
                     array(
                        'name' => 'class',
                        'label' => esc_html__('Extra Class','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter Extra Class..', 'plombiers-core')
                      ),
                    ),
                    'Style' => array(
                      array(
                        'name' => 'title_size',
                        'label' => esc_html__('Title Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for title such as: 15px, 1em ..etc..', 'plombiers-core')
                      ),
                      array(
                        'name' => 'title_color',
                        'label' => esc_html__('Title Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for title', 'plombiers-core')
                      ),
                      array(
                        'name' => 'desc_size',
                        'label' => esc_html__('Description Size','plombiers-core'),
                        'type' => 'text',
                        'description' => esc_html__('Enter font-size for Description such as: 15px, 1em ..etc..', 'plombiers-core')
                      ),
                      array(
                        'name' => 'desc_color',
                        'label' => esc_html__('Description Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Sub Description', 'plombiers-core')
                      ),
                      array(
                        'name' => 'icon_size',
                        'label' => esc_html__('Icon Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for icon such as: 15px, 1em ..etc..', 'plombiers-core')
	                    ),
	                    array(
                        'name' => 'icon_color',
                        'label' => esc_html__('Icon Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Sub icon', 'plombiers-core')
	                    ),
		                )
	                )
	            ),  // End of elemnt kc_icon

	        )
	    ); // End add map

	} // End if

}
