<?php
/* ==========================================================
  Service Info
=========================================================== */
if ( !function_exists('plombiers_service_function')) {
  function plombiers_service_function( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'service_style'  => '',
      'service_colunm'  => '',
      'service_limit'  => '',
      'service_excerpt_limit'  => '',
      'service_order'  => '',
      'service_orderby'  => '',
      'class'  => '',
      // Style
      'title_color'  => '',
      'title_size'  => '',
      'desc_size'  => '',
      'desc_color'=> '',
      'icon_color'  => '',
      'icon_size'  => '',
      'overly_color'  => '',
    ), $atts));
    if ( $title_size || $title_color ) {
      $title_style = ' style="';
      $title_style .= $title_size ? 'font-size: '. plombiers_core_check_px($title_size) .';': '';
      $title_style .= $title_color ? 'color: '.$title_color : '';
      $title_style .= '"';
    } else {
      $title_style = '';
    }
    if ( $desc_size || $desc_color ) {
      $desc_style = ' style="';
      $desc_style .= $desc_size ? 'font-size: '. plombiers_core_check_px($desc_size) .';': '';
      $desc_style .= $desc_color ? 'color: '.$desc_color : '';
      $desc_style .= '"';
    } else {
      $desc_style = '';
    }
    if ( $icon_size || $icon_color ) {
      $icon_style = ' style="';
      $icon_style .= $icon_size ? 'font-size: '. plombiers_core_check_px($icon_size) .';': '';
      $icon_style .= $icon_color ? 'color: '.$icon_color : '';
      $icon_style .= '"';
    } else {
      $icon_style = '';
    }
    ob_start();
    $args = array(
      'post_type' => 'service',
      'posts_per_page' => (int) $service_limit,
      'orderby' => $service_orderby,
      'order' => $service_order,
    );
    $plombiers_service = new WP_Query( $args );
    if ($plombiers_service->have_posts()) : ?>
    <section class="<?php echo esc_attr( $class ) ?> plmbr-service-wrapper">
     <div class="row">
      <?php
       // Columns
        if ( $service_colunm === 'col_one') {
          $colum_class = 'col-md-12';
        } elseif ( $service_colunm === 'col_four') {
          $colum_class = 'col-md-3';
        } elseif ( $service_colunm === 'col_two') {
          $colum_class = 'col-md-6';
        } else {
          $colum_class = 'col-md-4';
        }
        if ($service_style == 'normal') {
          $service_paddign = 'plmbr-featuresz';
        } else {
           $service_paddign = '';
        }
       while ($plombiers_service->have_posts()) : $plombiers_service->the_post();
        $plombiers_read_more_text = cs_get_option('read_more_text');
        $plombiers_read_text = $plombiers_read_more_text ? $plombiers_read_more_text : esc_html__( 'Read More', 'plombiers-core' );
        $service_options = get_post_meta( get_the_ID(), 'service_options', true );
        $service_icon = $service_options['service_icon'];
        $service_image_url = wp_get_attachment_url( get_post_thumbnail_id() );

        $blog_excerpt = cs_get_option('theme_blog_excerpt');
        if ( $service_excerpt_limit ) {
          $service_excerpt = $service_excerpt_limit;
        } else {
          $service_excerpt = $blog_excerpt;
        } ?>
        <div class="col-xs-12 col-sm-6 <?php echo esc_attr($colum_class.' '.$service_paddign ); ?>">
       <?php if ($service_style == 'normal') { ?>
         <div class="plmbr-feature-one text-center">
            <div class="plmbr-feature-icon"><i <?php echo $icon_style ?> class="<?php echo esc_attr( $service_icon ); ?>"></i></div>
            <a href="<?php echo get_the_permalink(); ?>"><h3 class="plmbr-feature-title" <?php echo $title_style ?>><?php echo esc_html( get_the_title() ); ?></h3></a>
            <p class="plmbr-feature-para" <?php echo $desc_style ?>><?php plombiers_excerpt($service_excerpt); ?></p>
        </div>
        <?php } elseif ( $service_style == 'standard' ) { ?>
          <div class="plmbr-service-column">
          <div class="plmbr-service-thumb">
            <img class="img-responsive img-fluid" src="<?php echo esc_url( $service_image_url ) ?>" alt="">
            <span class="plmbr-service-thumb2"><i class="<?php echo esc_attr( $service_icon ); ?>" <?php echo $icon_style ?>></i></span>
            <div class="plmbr-service-overlay">
              <div class="plmbr-srvc-ovrly-icon">
                <i class="<?php echo esc_attr( $service_icon ); ?>" <?php echo $icon_style ?>></i>
              </div>
            </div>
          </div>
          <div class="plmbr-service-contnt">
            <h3 <?php echo $title_style ?>><?php echo esc_html( get_the_title() ); ?> </h3>
            <p <?php echo $desc_style ?>><?php plombiers_excerpt($service_excerpt); ?></p>
            <a class="text-thm" href="<?php echo get_the_permalink(); ?>"><?php echo esc_html($plombiers_read_text); ?><i class="lnr lnr-arrow-right" aria-hidden="true"></i></a>
            <div class="plmbr-slash"></div>
          </div>
        </div>
        <?php } else { ?>
        <div class="plmbr-service-column2">
            <div class="plmbr-octagonWrap">
                <div class="plmbr-service-iconbg2"><i class="<?php echo esc_attr( $service_icon ); ?>" <?php echo $icon_style ?>></i></div>
              </div>
            <div class="plmbr-service-column2 text-center">
              <div class="plmbr-srvc-sntnt">
                <h4 class="text-uppercase plmbr-srvc-sntnt-titl" <?php echo $title_style ?>>
                  <?php echo esc_html( get_the_title() ); ?>
                </h4>
                <p<?php echo $desc_style ?>><?php plombiers_excerpt($service_excerpt); ?></p>
                <a class="plmbr-mv" href="<?php echo get_the_permalink(); ?>"><?php echo esc_html($plombiers_read_text); ?></a>
              </div>
            </div>
          </div>
        <?php } ?>
        </div>
    <?php endwhile;
      wp_reset_postdata();
    ?>
    </div>
  </section>
    <?php endif;
    return ob_get_clean();
  }
}
add_shortcode( 'plombiers_service', 'plombiers_service_function' );
