<?php
add_action('init', 'plombiers_slider_kc_map', 99 );
function plombiers_slider_kc_map() {

    if (function_exists('kc_add_map')){
        kc_add_map(
            array(
                'plombiers_slider' => array(
                    'name' =>  esc_html__('Plombier Slider','plombiers-core'),
                    'description' => esc_html__('Display single icon', 'plombiers-core'),
                    'icon' => 'cpicon kc-icon-pcarousel',
                    'category' => PlombiersLibrary::plombiers_kc_cat_name(),
                    'params' => array(
                    'Content' => array(
                    array(
                        'type'          => 'group',
                        'label'         => esc_html__(' Options', 'plombiers-core'),
                        'name'          => 'slider_items',
                        'description'   => esc_html__( 'Slider Iteams Group Field', 'plombiers-core' ),
                        'options'       => array('add_text' => esc_html__(' Add new Slider  Iteam', 'plombiers-core')),
                        'params' => array(
                          array(
                              'name' => 'title',
                              'label' => esc_html__( 'Title','plombiers-core'),
                              'type' => 'text',
                              'admin_label' => true,
                              'description' => esc_html__('Write Slider Title ', 'plombiers-core'),
                            ),
                          array(
                              'name' => 'subtitle',
                              'label' => esc_html__( 'Sub Title','plombiers-core'),
                              'type' => 'text',
                              'admin_label' => true,
                              'description' => esc_html__('Write Slider Sub Title ', 'plombiers-core'),
                            ),
                          array(
                              'name' => 'button_text',
                              'label' => esc_html__( 'Button Text','plombiers-core'),
                              'type' => 'text',
                              'admin_label' => true,
                              'description' => esc_html__('Write Slider Button Text ', 'plombiers-core'),
                            ),
                          array(
                              'name' => 'button_link',
                              'label' => esc_html__( 'Button Link','plombiers-core'),
                              'type' => 'text',
                              'admin_label' => true,
                              'description' => esc_html__('Write Slider Button Link ', 'plombiers-core'),
                            ),
                          array(
                              'name' => 'slider_image',
                              'label' => esc_html__( 'Slider Image','plombiers-core'),
                              'type' => 'attach_image',
                              'admin_label' => true,
                              'description' => esc_html__('Attach Slider Image ', 'plombiers-core'),
                            ),
                        ),
                      ),
                    array(
                        'name' => 'class',
                        'label' => esc_html__('Extra Class','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter Extra Class for Titlte ..', 'plombiers-core')
                      ),
                    ),
                    'Style' => array(
                    array(
                        'name' => 'title_size',
                        'label' => esc_html__('Slider Title Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for title such as: 15px, 1em ..etc..', 'plombiers-core')
                      ),
                    array(
                        'name' => 'title_color',
                        'label' => esc_html__('Slider Title Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for title', 'plombiers-core')
                      ),
                     array(
                        'name' => 'desc_size',
                        'label' => esc_html__('Slider Description Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for Description such as: 15px, 1em ..etc..', 'plombiers-core')
                      ),
                    array(
                        'name' => 'desc_color',
                        'label' => esc_html__('Slider Description Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Description', 'plombiers-core')
                      ),
                    array(
                        'name' => 'btn_bg_color',
                        'label' => esc_html__('Slider Button Background','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Slider Button Background', 'plombiers-core')
                      ),
                    array(
                        'name' => 'btn_color',
                        'label' => esc_html__('Slider Button Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Slider Button', 'plombiers-core')
                      ),
                   array(
                        'name' => 'btn_size',
                        'label' => esc_html__('Slider Button Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for Button such as: 15px, 1em ..etc..', 'plombiers-core')
                      ),
                    array(
                        'name' => 'btn_hover_bg',
                        'label' => esc_html__('Slider Button Hover Background','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Slider Button Hover Background', 'plombiers-core')
                      ),
                    array(
                        'name' => 'btn_hover_color',
                        'label' => esc_html__('Slider Button Hover Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set Hover color for Slider Button', 'plombiers-core')
                      ),
                   array(
                        'name' => 'overlay_color',
                        'label' => esc_html__('Slider Background','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Slider Background', 'plombiers-core')
                      ),
                    )
                  )
                ),  // End of elemnt kc_icon

            )
        ); // End add map

    } // End if

}
