<?php
add_action('init', 'plombiers_title_map', 99 );
function plombiers_title_map() {

	if (function_exists('kc_add_map')){
	    kc_add_map(
	        array(
	            'plombiers_title' => array(
	                'name' => esc_html__('Plombier Title','plombiers-core'),
	                'description' => esc_html__('Display single icon', 'plombiers-core'),
	                'icon' => 'cpicon kc-icon-title',
	                'category' => PlombiersLibrary::plombiers_kc_cat_name(),
	                'params' => array(
                    'Content' => array(
	                    array(
                        'name' => 'title_type',
                        'label' => esc_html__('Title Styles','plombiers-core'),
                        'type' => 'select',
                          'options' => array(
                            '' => esc_html__('Title Style','plombiers-core'),
                            'standered' => esc_html__('Standered','plombiers-core'),
                            'normal' => esc_html__('Normal','plombiers-core'),
                          ),
                        'admin_label' => true,
                      ),
                      array(
                        'name' => 'sub_title',
                        'label' => esc_html__('Sub Title','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
	                    ),
	                    array(
                        'name' => 'title',
                        'label' => esc_html__('Title','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
	                    ),
	                    array(
                        'name' => 'title_highlight',
                        'label' => esc_html__('Title Highlight','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
	                    ),
	                    array(
                        'name' => 'description',
                        'label' => esc_html__('Description','plombiers-core'),
                        'type' => 'textarea',
                        'admin_label' => false,
	                    ),
                      array(
                          'name' => 'title_icon',
                          'label' => esc_html__('Icon','plombiers-core'),
                          'type' => 'icon_picker',
                          'description' => esc_html__('Chose Title  icon ', 'plombiers-core'),
                             'relation' => array(
                                'parent'    => 'title_type',
                                'show_when' => 'standered'
                            )
                      ),
		                ),
                    'Style' => array(
	                    array(
                        'name' => 'extraclass',
                        'label' => esc_html__('Extra Class','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter Extra Class for Titlte ..', 'plombiers-core')
                      ),array(
                        'name' => 'title_size',
                        'label' => esc_html__('Title Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for title such as: 15px, 1em ..etc..', 'plombiers-core')
	                    ),
	                    array(
                        'name' => 'title_color',
                        'label' => esc_html__('Title Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for title', 'plombiers-core')
	                    ),
	                    array(
                        'name' => 'highlight_size',
                        'label' => esc_html__('Highlight Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for title Highlight such as: 15px, 1em ..etc..', 'plombiers-core')
	                    ),
	                    array(
                        'name' => 'highlight_color',
                        'label' => esc_html__('Highlight Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for title Highlight', 'plombiers-core')
	                    ),
	                    array(
                        'name' => 'sub_title_size',
                        'label' => esc_html__('SubTitle Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for Sub Title such as: 15px, 1em ..etc..', 'plombiers-core')
	                    ),
	                    array(
                        'name' => 'sub_title_color',
                        'label' => esc_html__('SubTitle Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Sub Title', 'plombiers-core')
	                    ),
	                    array(
                        'name' => 'description_size',
                        'label' => esc_html__('description Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for Sub Title such as: 15px, 1em ..etc..', 'plombiers-core')
	                    ),
	                    array(
                        'name' => 'description_color',
                        'label' => esc_html__('description Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Sub Title', 'plombiers-core')
	                    ),
	                    array(
                        'name' => 'title_icon_size',
                        'label' => esc_html__('Title Icon Size','plombiers-core'),
                        'type' => 'text',
                        'admin_label' => true,
                        'description' => esc_html__('Enter font-size for Title Icon such as: 15px, 1em ..etc..', 'plombiers-core')
	                    ),
                      array(
                        'name' => 'title_icon_color',
                        'label' => esc_html__('Title Icon Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Title Icon', 'plombiers-core')
                      ),
	                    array(
                        'name' => 'title_line_color',
                        'label' => esc_html__('Title Line Color','plombiers-core'),
                        'type' => 'color_picker',
                        'admin_label' => true,
                        'description' => esc_html__('Set color for Title Line', 'plombiers-core')
	                    )
		                )
	                )
	            ),  // End of elemnt kc_icon

	        )
	    ); // End add map

	} // End if

}
