<?php
/*
Plugin Name: Plombiers Core
Plugin URI: http://themeforest.net/user/edge_theme
Description: Plugin to contain shortcodes and custom post types of the plombiers theme.
Author: edge_theme
Author URI: http://themeforest.net/user/edge_theme/portfolio
Version: 1.0
Text Domain: plombiers-core
*/

if( ! function_exists( 'plombiers_block_direct_access' ) ) {
	function plombiers_block_direct_access() {
		if( ! defined( 'ABSPATH' ) ) {
			exit( 'Forbidden' );
		}
	}
}

// Plugin URL
define( 'PLOMBIERS_PLUGIN_URL', plugins_url( '/', __FILE__ ) );

// Plugin PATH
define( 'PLOMBIERS_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );
define( 'PLOMBIERS_PLUGIN_ASTS', PLOMBIERS_PLUGIN_URL . 'assets' );
define( 'PLOMBIERS_PLUGIN_IMGS', PLOMBIERS_PLUGIN_ASTS . '/images' );
define( 'PLOMBIERS_PLUGIN_INC', PLOMBIERS_PLUGIN_PATH . 'include' );

// DIRECTORY SEPARATOR
define ( 'DS' , DIRECTORY_SEPARATOR );

// Plombiers Shortcode Path
define( 'PLOMBIERS_SHORTCODE_BASE_PATH', PLOMBIERS_PLUGIN_PATH . 'kc/' );
define( 'PLOMBIERS_SHORTCODE_PATH', PLOMBIERS_SHORTCODE_BASE_PATH . 'shortcodes/' );

/**
 * Check if Codestar Framework is Active or Not!
 */
function plombiers_framework_active() {
  return ( defined( 'CS_VERSION' ) ) ? true : false;
}

/* PLOMBIERS_THEME_NAME_PLUGIN */
define('PLOMBIERS_THEME_NAME_PLUGIN', 'Plombiers', true);

// Initial File
include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
if (is_plugin_active('plombiers-core/plombiers-core.php')) {

	// Custom Post Type
  require_once( PLOMBIERS_PLUGIN_INC . '/custom-post-type.php' );


  // Shortcodes
  require_once( PLOMBIERS_SHORTCODE_BASE_PATH . '/kc-setup.php' );
  require_once( PLOMBIERS_SHORTCODE_BASE_PATH . '/library.php' );
  require_once( PLOMBIERS_PLUGIN_INC . '/custom-shortcodes/theme-shortcodes.php' );
  require_once( PLOMBIERS_PLUGIN_INC . '/custom-shortcodes/custom-shortcodes.php' );

  // Widgets
  require_once( PLOMBIERS_PLUGIN_INC . '/widgets/get-quote-widget.php' );
  require_once( PLOMBIERS_PLUGIN_INC . '/widgets/nav-widget.php' );
  require_once( PLOMBIERS_PLUGIN_INC . '/widgets/recent-posts.php' );
  require_once( PLOMBIERS_PLUGIN_INC . '/widgets/testimonial-widget.php' );
  require_once( PLOMBIERS_PLUGIN_INC . '/widgets/text-widget.php' );
  require_once( PLOMBIERS_PLUGIN_INC . '/widgets/widget-extra-fields.php' );

}

// Extra functions
require_once( PLOMBIERS_PLUGIN_INC . '/theme-functions.php' );

 // Demo Import
 if ( is_plugin_active( 'one-click-demo-import/one-click-demo-import.php' ) ) {
    require_once( PLOMBIERS_PLUGIN_INC . '/demo/importer.php' );
 }