<?php
/*
 * The template for displaying 404 pages (not found).
 * Author & Copyright: IRSFoundation
 * URL: http://themeforest.net/user/irsfoundation
 */

// Theme Options
$plombiers_error_heading = cs_get_option('error_heading');
$plombiers_error_subheading = cs_get_option('error_subheading');
$plombiers_error_page_content = cs_get_option('error_page_content');
$plombiers_error_page_bg = cs_get_option('error_page_bg');
$plombiers_error_btn_text = cs_get_option('error_btn_text');
$plombiers_error_heading = ( $plombiers_error_heading ) ? $plombiers_error_heading : esc_html__( 'Sorry! The Page Not Found', 'plombiers' );
$plombiers_error_subheading = ( $plombiers_error_subheading ) ? $plombiers_error_subheading : esc_html__( '404', 'plombiers' );
$plombiers_error_page_content = ( $plombiers_error_page_content ) ? $plombiers_error_page_content : esc_html__( 'The Link You Followed Is Probably Broken, Or The Page Has Been Removed From Website.', 'plombiers' );
$plombiers_error_page_bg = ( $plombiers_error_page_bg ) ? wp_get_attachment_url($plombiers_error_page_bg) : PLOMBIERS_IMAGES . '/404.jpg';
$plombiers_error_btn_text = ( $plombiers_error_btn_text ) ? $plombiers_error_btn_text : esc_html__( 'BACK TO HOME', 'plombiers' );
get_header(); ?>
<!-- Content -->
<div class="plmbr-error-page" style="background: url(<?php echo esc_url($plombiers_error_page_bg); ?>) ">
	<div class="container">
		<div class="row">
			 <div class="col-md-12 text-center">
		    	<div class="plmbr-extfz-sbttl"><?php echo esc_html($plombiers_error_heading); ?></div>
		    	<div class="plmbr-extra-etfz"><?php echo esc_html($plombiers_error_subheading); ?></div>
		    	<div class="plmbr-extfz-text"><?php echo esc_html($plombiers_error_page_content); ?></div>
					<a class="plmbr-error-btn plmbr-pricing-btn btn btn-default btn-lg text-uppercase" href="<?php echo esc_url(home_url( '/' )); ?>"><?php echo esc_html($plombiers_error_btn_text); ?>
					</a>
		    </div>
		</div>
	</div>
</div>
<!-- Content -->
<?php
get_footer();