/*
 * All Scripts Used in this Plombier Theme
 * Author & Copyright: IRSFoundation
 * URL: http://themeforest.net/user/irsfoundation
 */

(function($) {

    "use strict";

    // ==================== Preloader
    function preloader_load() {
        if($('.preloader').length){
            $('.preloader').delay(400).fadeOut(500);
        }
    }

    /*------------------------------------------
        = HEADER SEARCH AREA AND MINICART TOGGLE
    -------------------------------------------*/
    if ($(".header-search-area").length) {
        var serachFormBox = $(".header-search-form");
        var openSeachBtn = $(".header-search-area .open-btn");

        $(document.body).append(serachFormBox);

        serachFormBox.hide();

        openSeachBtn.on("click", function(e) {
            e.preventDefault();
            serachFormBox.fadeIn();
        });

        serachFormBox.on("click", function() {
            serachFormBox.fadeOut();
            return false;
        }).find(".form").on("click", function(e) {
             e.stopPropagation();
        })
    }


 /*------------------------------------------
        = FUNCTIONS
    -------------------------------------------*/
    // Check ie and version
    function isIE () {
        var myNav = navigator.userAgent.toLowerCase();
        return (myNav.indexOf('msie') != -1) ? parseInt(myNav.split('msie')[1], 10) : false;
    }

    // Toggle mobile navigation
    function toggleMobileNavigation() {
        var navbar = $(".navigation-holder");
        var openBtn = $(".navbar-header .open-btn");
        var closeBtn = $(".navigation-holder .close-navbar");

        openBtn.on("click", function() {
            if (!navbar.hasClass("slideInn")) {
                navbar.addClass("slideInn");
            }
            return false;
        })

        closeBtn.on("click", function() {
            if (navbar.hasClass("slideInn")) {
                navbar.removeClass("slideInn");
            }
            return false;
        })
    }
    toggleMobileNavigation();

    // Function for toggle a class for small menu
    function toggleClassForSmallNav() {
        var windowWidth = window.innerWidth;
        var mainNav = $("#navbar > ul");

        if (windowWidth <= 991) {
            mainNav.addClass("small-nav");
        } else {
            mainNav.removeClass("small-nav");
        }
    }
    toggleClassForSmallNav();

    // Function for small menu
    function smallNavFunctionality() {
        var windowWidth = window.innerWidth;
        var mainNav = $(".navigation-holder");
        var smallNav = $(".navigation-holder > .small-nav");
        var subMenu = smallNav.find(".sub-menu");
        var megamenu = smallNav.find(".mega-menu");
        var menuItemWidthSubMenu = smallNav.find(".menu-item-has-children > a");

        if (windowWidth <= 991) {
            subMenu.hide();
            megamenu.hide();
            menuItemWidthSubMenu.on("click", function(e) {
                var $this = $(this);
                $this.siblings().slideToggle();
                 e.preventDefault();
                e.stopImmediatePropagation();
            })
        } else if (windowWidth > 991) {
            mainNav.find(".sub-menu").show();
            mainNav.find(".mega-menu").show();
        }
    }
    smallNavFunctionality();

    /************************************************
    ------- MAIN SLIDER
    *************************************************/
    if(jQuery('#main-slider').length){
        jQuery('#main-slider .slider-container').camera({
            height: "50%",
            playPause: false,
            loader: "bar",
            barPosition: top,
            loaderColor: '#fff',
            loaderBgColor: 'rgba(0,0,0, 0.4)',
            loaderPadding: 0,
            hover: false,
            time: 5000
        });
    }

 // 2. Sticky Menu
    $(window).on('scroll', function () {
        var scroll = $(window).scrollTop();
        if (scroll < 10) {
            $(".site-header .navigation.navbar.sticky-menu ").removeClass("navbar-fixed-top");
        } else {
            $(".site-header .navigation.navbar.sticky-menu ").addClass("navbar-fixed-top");
        }
    });


    // ==================== Progress Bar / Levels
    if($('.progress-levels .progress-box .bar-fill').length){
        $(".progress-box .bar-fill").each(function() {
            var progressWidth = $(this).attr('data-percent');
            $(this).css('width',progressWidth+'%');
            $(this).children('.percent').html(progressWidth+'%');
        });
    }

    $('[data-toggle="tooltip"]').tooltip();

    // ==================== Gallery Masonry Isotop And Other Gallery and Lightbox

    $('.grid').imagesLoaded( function() {
        // filter items on button click
        $('.portfolio-menu').on( 'click', 'button', function() {
              var filterValue = $(this).attr('data-filter');
              $grid.isotope({ filter: filterValue });
            });

        // init Isotope
        var $grid = $('.grid').isotope({
          itemSelector: '.portfolio',
          percentPosition: true,
          masonry: {
            // use outer width of grid-sizer for columnWidth
            columnWidth: '.portfolio',
          }
        });
    });


if ( $('body div').hasClass('pmbr-mesonary') ) {
        $('.pmbr-mesonary').imagesLoaded( function() {
            // init Isotope
                var $grid = $('.pmbr-mesonary').isotope({
                 itemSelector: '.blog-items',
                 percentPosition: true,
                 masonry: {
                // use outer width of grid-sizer for columnWidth
                columnWidth: '.blog-items',
                 }
            });
        });
    }

    $('.portfolio-menu button').on('click', function(event) {
        $(this).siblings('.active').removeClass('active');
        $(this).addClass('active');
        event.preventDefault();
    });

    if ( $('body div').hasClass('grid-post') ) {
            $('.grid-post').imagesLoaded( function() {
                // init Isotope
                    var $grid = $('.grid-post').isotope({
                     itemSelector: '.blog-post-item',
                     percentPosition: true,
                     masonry: {
                    // use outer width of grid-sizer for columnWidth
                    columnWidth: '.blog-post-item',
                     }
                });
            });
        }
    // ==================== Tab
    function widgetTab() {
        if ($('.tab-widget').length) {
            var tabWrap = $('.tab-widgplmbr-content');
            var tabClicker = $('.tab-widget ul li');
            tabWrap.children('div').hide();
            tabWrap.children('div').eq(0).show();
            tabClicker.on('click', function() {
                var tabName = $(this).data('tab-name');
                tabClicker.removeClass('active');
                $(this).addClass('active');
                var id = '#'+ tabName;
                tabWrap.children('div').not(id).hide();
                tabWrap.children('div'+id).fadeIn('500');
                return false;
            });
        }
    }

    // ==================== fact-counter
    $(window).on('scroll',startCounter);
    function startCounter() {
        if ($(window).scrollTop() > 200) {
            $(window).off("scroll", startCounter);

            $('.animate-numbers').each(function () {
                $(this).prop('Counter',0).animate({
                    Counter: $(this).text()
                }, {
                    duration: 5000,
                    easing: 'swing',
                    step: function (now) {
                        $(this).text(Math.ceil(now));
                    }
                });
            });

        }
    }

     //LighvtBox / Fancybox
    if($('.lightbox-image').length) {
      $('.lightbox-image').fancybox();
    }

    // ==================== OWL CAROUSEL AND OTHER SLIDER SCRIPT
    // Owl-News-carousel
    if($('.owl-carousel-grid-one, .blog-img-carousel').length){
        $('.owl-carousel-grid-one').owlCarousel({
            loop:true,
            margin:30,
            dots: true,
            nav:false,
            autoplayHoverPause:false,
            autoplay: false,
            smartSpeed: 700,
            navText: [
              '<i class="fa fa-angle-left"></i>',
              '<i class="fa fa-angle-right"></i>'
            ],
            responsive: {
                0: {
                    items: 1,
                    center: false
                },
                480:{
                    items:1,
                    center: false
                },
                600: {
                    items: 1,
                    center: false
                },
                768: {
                    items: 1
                },
                992: {
                    items: 1
                },
                1200: {
                    items: 1
                }
            }
        })
    }
    // Owl-News-carousel
    if($('.blog-img-carousel').length){
        $('.blog-img-carousel').owlCarousel({
            loop:true,
            margin:30,
            dots: false,
            nav:true,
            autoplayHoverPause:true,
            autoplay: true,
            smartSpeed: 700,
            navText: [
              '<i class="fa fa-angle-left"></i>',
              '<i class="fa fa-angle-right"></i>'
            ],
            responsive: {
                0: {
                    items: 1,
                    center: false
                },
                480:{
                    items:1,
                    center: false
                },
                600: {
                    items: 1,
                    center: false
                },
                768: {
                    items: 1
                },
                992: {
                    items: 1
                },
                1200: {
                    items: 1
                }
            }
        })
    }

    // Owl-Service-carousel
    if($('.service-details-carousel').length){
        $('.service-details-carousel').owlCarousel({
            loop:true,
            margin:30,
            dots: false,
            nav:true,
            autoplayHoverPause:false,
            autoplay: false,
            smartSpeed: 700,
            navText: [
              '<i class="fa fa-angle-double-left"></i>',
              '<i class="fa fa-angle-double-right"></i>'
            ],
            responsive: {
                0: {
                    items: 1,
                    center: false
                },
                480:{
                    items:1,
                    center: false
                },
                600: {
                    items: 1,
                    center: false
                },
                768: {
                    items: 1
                },
                992: {
                    items: 1
                },
                1200: {
                    items: 1
                }
            }
        })
    }

    // Owl-Testimonial-carousel
    if($('.testimonial-carousel').length){
        $('.testimonial-carousel').owlCarousel({
            loop:true,
            margin:30,
            dots: true,
            nav:false,
            autoplayHoverPause:false,
            autoplay: false,
            smartSpeed: 700,
            navText: [
              '<i class="lnr lnr-arrow-left"></i>',
              '<i class="lnr lnr-arrow-right"></i>'
            ],
            responsive: {
                0: {
                    items: 1,
                    center: false
                },
                480:{
                    items:1,
                    center: false
                },
                600: {
                    items: 1,
                    center: false
                },
                768: {
                    items: 1
                },
                992: {
                    items: 1
                },
                1200: {
                    items: 1
                }
            }
        })
    }

    // Owl-News-carousel
    if($('.owl-carousel-grid-two, .news-slider').length){
        $('.owl-carousel-grid-two, .news-slider').owlCarousel({
            loop:true,
            margin:30,
            dots: false,
            nav:true,
            autoplayHoverPause:false,
            autoplay: false,
            smartSpeed: 700,
            navText: [
              '<i class="lnr lnr-arrow-left"></i>',
              '<i class="lnr lnr-arrow-right"></i>'
            ],
            responsive: {
                0: {
                    items: 1,
                    center: false
                },
                480:{
                    items:1,
                    center: false
                },
                600: {
                    items: 1,
                    center: false
                },
                768: {
                    items: 1
                },
                992: {
                    items: 2
                },
                1200: {
                    items: 2
                }
            }
        })
    }

    // Owl-Service-carousel
    if($('.service-carousel-plmbr-one').length){
        $('.service-carousel-plmbr-one').owlCarousel({
            loop:true,
            margin:10,
            dots: false,
            nav:true,
            autoplayHoverPause:false,
            autoplay: false,
            smartSpeed: 700,
            navText: [
              '<i class="fa-angle-double-left"></i>',
              '<i class="fa-angle-double-right "></i>'
            ],
            responsive: {
                0: {
                    items: 1,
                    center: false
                },
                480:{
                    items: 1,
                    center: false
                },
                600: {
                    items: 2,
                    center: false
                },
                768: {
                    items: 2,
                    center: false
                },
                992: {
                    items: 3
                },
                1200: {
                    items: 3
                }
            }
        })
    }
    // Owl-gallery-carousel service-carousel-plmbr-one
    if($('.owl-carousel-grid-three, .gallery-slider').length){
        $('.owl-carousel-grid-three, .gallery-slider').owlCarousel({
            loop:true,
            margin:10,
            dots: false,
            nav:true,
            autoplayHoverPause:false,
            autoplay: false,
            smartSpeed: 700,
            navText: [
              '<i class="lnr lnr-arrow-left"></i>',
              '<i class="lnr lnr-arrow-right"></i>'
            ],
            responsive: {
                0: {
                    items: 1,
                    center: false
                },
                480:{
                    items: 1,
                    center: false
                },
                600: {
                    items: 2,
                    center: false
                },
                768: {
                    items: 2,
                    center: false
                },
                992: {
                    items: 2
                },
                1200: {
                    items: 3
                }
            }
        })
    }
    // Testimonial
    if($('.project-carousel').length){
        var $carousel = $('.project-carousel');
        var $items_tablet = ($carousel.data("items-tablet") !== undefined) ? $carousel.data("items-tablet") : 2;
        var $items_mobile_landscape = ($carousel.data("items-mobile-landscape") !== undefined) ? $carousel.data("items-mobile-landscape") : 1;
        var $items_mobile_portrait = ($carousel.data("items-mobile-portrait") !== undefined) ? $carousel.data("items-mobile-portrait") : 1;
        var $items = ($carousel.data("items") !== undefined) ? $carousel.data("items") : 4;
        $('.project-carousel').owlCarousel({
            loop:($carousel.data("loop") !== undefined) ? $carousel.data("loop") : true,

            margin: ($carousel.data("margin") !== undefined) ? $carousel.data("margin") : 30,
            dots: ($carousel.data("dots") !== undefined) ? $carousel.data("dots") : true,
            nav:false,
            autoplayHoverPause:false,
            autoplay : ($carousel.data("autoplay") !== undefined) ? $carousel.data("autoplay") : false,
            smartSpeed: 700,
            item: $items,
            responsive : {
                0 : {
                  items : $items_mobile_portrait,
                },
                480 : {
                  items : $items_mobile_landscape,
                },
                768 : {
                  items : $items_tablet,
                },
                960 : {
                  items : $items,
                }
            }
        });
    }



    $(window).on('load',function() {
      $('.flexslider').flexslider({
        animation: "slide",
        controlNav: "thumbnails",
        customDirectionNav: "false"
      });
    });
    // ==================== Scroll To top
    function scrollToToped() {
        $(window).on('scroll',function(){
            if ($(this).scrollTop() > 600) {
                $('.scrollToTop').fadeIn();
            } else {
                $('.scrollToTop').fadeOut();
            }
        });

        //Click event to scroll to top
        $('.scrollToTop').on('click',function(){
            $('html, body').animate({scrollTop : 0},800);
            return false;
        });
    }
/* ==========================================================================
   When document is ready, do
   ========================================================================== */
    $(document).on('ready', function() {
        // add your functions
        scrollToToped();
        widgetTab();
    });


/* ==========================================================================
   When document is loading, do
   ========================================================================== */

    $(window).on('load', function() {
        // add your functions
      preloader_load();
    });





})(window.jQuery);