<?php
/*
 * Plombiers Theme Widgets
 * Author & Copyright: IRSFoundation
 * URL: http://themeforest.net/user/irsfoundation
 */
if ( ! function_exists( 'plombiers_widget_init' ) ) {
	function plombiers_widget_init() {
		if ( function_exists( 'register_sidebar' ) ) {
			// Main Widget Area
			register_sidebar(
				array(
					'name' => esc_html__( 'Main Widget Area', 'plombiers' ),
					'id' => 'sidebar-1',
					'description' => esc_html__( 'Appears on posts and pages.', 'plombiers' ),
					'before_widget' => '<div id="%1$s" class="plmbr-categories plmbr-inner-box %2$s">',
					'after_widget' => '</div> <!-- end widget -->',
					'before_title' => '<h3 class="plmbr-popular-categori-ttl text-uppercase">',
					'after_title' => '</h3>',
				)
			);
			// Main Widget Area
			// Footer Widgets
			$footer_widgets = cs_get_option( 'footer_widget_layout' );
	    if( $footer_widgets ) {
	      switch ( $footer_widgets ) {
	        case 5:
	        case 6:
	        case 7:
	          $length = 3;
	        break;
	        case 8:
	        case 9:
	          $length = 4;
	        break;
	        default:
	          $length = $footer_widgets;
	        break;
	      }
	      for( $i = 0; $i < $length; $i++ ) {
	        $num = ( $i+1 );
	        register_sidebar( array(
	          'id'            => 'footer-' . $num,
	          'name'          => esc_html__( 'Footer Widget ', 'plombiers' ). $num,
	          'description'   => esc_html__( 'Appears on footer section.', 'plombiers' ),
	          'before_widget' => '<div class="widget %2$s">',
	          'after_widget'  => '<div class="clear"></div></div> <!-- end widget -->',
	          'before_title' => '<div class="plmbr-foter-title"><h4>',
			  'after_title' => '</h4></div> ',
	        ) );
	      }
	    }
	    // Footer Widgets
			/* Custom Sidebar */
			$custom_sidebars = cs_get_option('custom_sidebar');
			if ($custom_sidebars) {
				foreach($custom_sidebars as $custom_sidebar) :
				$heading = $custom_sidebar['sidebar_name'];
				$own_id = preg_replace('/[^a-z]/', "-", strtolower($heading));
				$desc = $custom_sidebar['sidebar_desc'];
				register_sidebar( array(
					'name' => esc_html($heading),
					'id' => $own_id,
					'description' => esc_html($desc),
					'before_widget' => '<div id="%1$s" class="widget %2$s">',
					'after_widget' => '</div> <!-- end widget -->',
					'before_title' => '<h2 class="widgplmbr-title">',
					'after_title' => '</h2>',
				) );
				endforeach;
			}
			/* Custom Sidebar */
		}
	}
	add_action( 'widgets_init', 'plombiers_widget_init' );
}