<?php
/*
 * The template for displaying all pages.
 * Author & Copyright: IRSFoundation
 * URL: http://themeforest.net/user/irsfoundation
 */
// Metabox
	$plombiers_id    = ( isset( $post ) ) ? $post->ID : 0;
	$plombiers_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $plombiers_id;
	$plombiers_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $plombiers_id;
	$plombiers_meta  = get_post_meta( $plombiers_id, 'page_type_metabox', true );
	if ($plombiers_meta) {
		$plombiers_content_padding = $plombiers_meta['content_spacings'];
	} else { $plombiers_content_padding = ''; }
	// Padding - Metabox
	if ($plombiers_content_padding && $plombiers_content_padding !== 'padding-none') {
		$plombiers_content_top_spacings = $plombiers_meta['content_top_spacings'];
		$plombiers_content_bottom_spacings = $plombiers_meta['content_bottom_spacings'];
		if ($plombiers_content_padding === 'padding-custom') {
			$plombiers_content_top_spacings = $plombiers_content_top_spacings ? 'padding-top:'. plombiers_check_px($plombiers_content_top_spacings) .';' : '';
			$plombiers_content_bottom_spacings = $plombiers_content_bottom_spacings ? 'padding-bottom:'. plombiers_check_px($plombiers_content_bottom_spacings) .';' : '';
			$plombiers_custom_padding = $plombiers_content_top_spacings . $plombiers_content_bottom_spacings;
		} else {
			$plombiers_custom_padding = '';
		}
	} else {
		$plombiers_custom_padding = '';
	}
	// Page Layout Options
	$plombiers_page_layout = get_post_meta( get_the_ID(), 'page_layout_options', true );
	if ($plombiers_page_layout) {
		$plombiers_page_layout = $plombiers_page_layout['page_layout'];
		if ($plombiers_page_layout === 'extra-width') {
			$plombiers_column_class = 'extra-width';
			$plombiers_layout_class = 'container-fluid';
		} elseif($plombiers_page_layout === 'left-sidebar' || $plombiers_page_layout === 'right-sidebar') {
			$plombiers_column_class = 'col-md-9';
			$plombiers_layout_class = 'container';
		} else {
			$plombiers_column_class = 'col-md-12';
			$plombiers_layout_class = 'container';
		}
		// Page Layout Class
		if ($plombiers_page_layout === 'left-sidebar') {
			$plombiers_sidebar_class = 'left-sidebar';
		} elseif ($plombiers_page_layout === 'right-sidebar') {
			$plombiers_sidebar_class = 'right-sidebar';
		} elseif ($plombiers_page_layout === 'extra-width') {
			$plombiers_sidebar_class = 'extra-width';
		} else {
			$plombiers_sidebar_class = 'full-width';
		}
	} else {
		$plombiers_column_class = 'col-md-12';
		$plombiers_layout_class = 'container';
		$plombiers_sidebar_class = 'full-width';
	}
	get_header(); ?>
	<div class="<?php echo esc_attr($plombiers_layout_class .' '. $plombiers_content_padding .' '. $plombiers_sidebar_class); ?> page-padding content-area" style="<?php echo esc_attr($plombiers_custom_padding); ?>">
		<div class="row">
			<?php
			// Left Sidebar
			if($plombiers_page_layout === 'left-sidebar') {
	   		get_sidebar();
			}
			if ( post_password_required() ) {
					echo '<div class="irs-password-page">'.get_the_password_form().'</div>';
			} else { ?>
			<div class="content-side <?php echo esc_attr($plombiers_column_class); ?>">
			<?php
				while ( have_posts() ) : the_post();
					the_content();
					echo plombiers_wp_link_pages();
					// If comments are open or we have at least one comment, load up the comment template.
					$plombiers_theme_page_comments = cs_get_option('theme_page_comments');
					if ( !$plombiers_theme_page_comments && (comments_open() || get_comments_number()) ) :
						comments_template();
					endif;
				endwhile; // End of the loop. ?>
			</div><!-- Content Area -->
			<?php }
			// Right Sidebar
			if($plombiers_page_layout === 'right-sidebar') {
				get_sidebar();
			} ?>
		</div>
	</div>
	<?php
	get_footer();