<?php
/*
 * The template for displaying all single posts.
 * Author & Copyright: IRSFoundation
 * URL: http://themeforest.net/user/irsfoundation
 */
	get_header();
	// Metabox
	$plombiers_id    = ( isset( $post ) ) ? $post->ID : 0;
	$plombiers_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $plombiers_id;
	$plombiers_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $plombiers_id;
	$plombiers_meta  = get_post_meta( $plombiers_id, 'page_type_metabox', true );
	if ($plombiers_meta) {
		$plombiers_content_padding = $plombiers_meta['content_spacings'];
	} else { $plombiers_content_padding = ''; }
	// Padding - Metabox
	if ($plombiers_content_padding && $plombiers_content_padding !== 'padding-none') {
		$plombiers_content_top_spacings = $plombiers_meta['content_top_spacings'];
		$plombiers_content_bottom_spacings = $plombiers_meta['content_bottom_spacings'];
		if ($plombiers_content_padding === 'padding-custom') {
			$plombiers_content_top_spacings = $plombiers_content_top_spacings ? 'padding-top:'. plombiers_check_px($plombiers_content_top_spacings) .';' : '';
			$plombiers_content_bottom_spacings = $plombiers_content_bottom_spacings ? 'padding-bottom:'. plombiers_check_px($plombiers_content_bottom_spacings) .';' : '';
			$plombiers_custom_padding = $plombiers_content_top_spacings . $plombiers_content_bottom_spacings;
		} else {
			$plombiers_custom_padding = '';
		}
	} else {
		$plombiers_custom_padding = '';
	}
	// Theme Options
	$plombiers_sidebar_position = cs_get_option('project_sidebar');
	// Sidebar Position
	$plombiers_sidebar_position = $plombiers_sidebar_position ? $plombiers_sidebar_position : 'sidebar-hide';
	if ($plombiers_sidebar_position === 'sidebar-hide') {
		$plombiers_layout_class = 'col-md-12';
		$plombiers_sidebar_class = 'hide-sidebar';
	} elseif ($plombiers_sidebar_position === 'sidebar-left') {
		$plombiers_layout_class = 'col-md-9';
		$plombiers_sidebar_class = 'left-sidebar';
	} else {
		$plombiers_layout_class = 'col-md-9';
		$plombiers_sidebar_class = 'right-sidebar';
	} ?>
	<div class="container plmbr-section-padding <?php echo esc_attr($plombiers_content_padding .' '. $plombiers_sidebar_class); ?>" style="<?php echo esc_attr($plombiers_custom_padding); ?>">
		<div class="row">
			<?php
			if ($plombiers_sidebar_position === 'sidebar-left' && $plombiers_sidebar_position !== 'sidebar-hide') {
				get_sidebar(); // Sidebar
			} ?>
			<div class="content-side <?php echo esc_attr($plombiers_layout_class); ?>">
				<div class="blog-one blog-list blog-col-1">
					<?php
					if ( have_posts() ) :
						/* Start the Loop */
						while ( have_posts() ) : the_post();
							get_template_part( 'theme-layouts/post/content', 'service' );
						endwhile;
					else :
						get_template_part( 'theme-layouts/post/content', 'none' );
					endif; ?>
				</div><!-- Blog Div -->
				<?php
			    wp_reset_postdata();  // avoid errors further down the page
				?>
			</div><!-- Content Area -->
				<?php
				if ($plombiers_sidebar_position !== 'sidebar-hide') {
					get_sidebar(); // Sidebar
				} ?>
		</div>
	</div>
	<?php get_footer();