<!DOCTYPE html>
<!--[if IE 8]> <html <?php language_attributes(); ?> class="ie8"> <![endif]-->
<!--[if !IE]><!--> <html <?php language_attributes(); ?>> <!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<?php
$plombiers_viewport = cs_get_option('theme_responsive');
if($plombiers_viewport == 'on') { ?>
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<?php } else { }
// if the `wp_site_icon` function does not exist (ie we're on < WP 4.3)
if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
  if (cs_get_option('brand_fav_icon')) {
    echo '<link rel="shortcut icon" href="'. esc_url(wp_get_attachment_url(cs_get_option('brand_fav_icon'))) .'" />';
  } else { ?>
    <link rel="shortcut icon" href="<?php echo esc_url(PLOMBIERS_IMAGES); ?>/favicon.png" />
  <?php }
  if (cs_get_option('iphone_icon')) {
    echo '<link rel="apple-touch-icon" sizes="57x57" href="'. esc_url(wp_get_attachment_url(cs_get_option('iphone_icon'))) .'" >';
  }
  if (cs_get_option('iphone_retina_icon')) {
    echo '<link rel="apple-touch-icon" sizes="114x114" href="'. esc_url(wp_get_attachment_url(cs_get_option('iphone_retina_icon'))) .'" >';
    echo '<link name="msapplication-TileImage" href="'. esc_url(wp_get_attachment_url(cs_get_option('iphone_retina_icon'))) .'" >';
  }
  if (cs_get_option('ipad_icon')) {
    echo '<link rel="apple-touch-icon" sizes="72x72" href="'. esc_url(wp_get_attachment_url(cs_get_option('ipad_icon'))) .'" >';
  }
  if (cs_get_option('ipad_retina_icon')) {
    echo '<link rel="apple-touch-icon" sizes="144x144" href="'. esc_url(wp_get_attachment_url(cs_get_option('ipad_retina_icon'))) .'" >';
  }
}
$plombiers_all_element_color  = cs_get_customize_option( 'all_element_colors' ); ?>
<meta name="msapplication-TileColor" content="<?php echo esc_attr($plombiers_all_element_color); ?>">
<meta name="theme-color" content="<?php echo esc_attr($plombiers_all_element_color); ?>">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php wp_head();
  // Metabox
  $plombiers_id    = ( isset( $post ) ) ? $post->ID : 0;
  $plombiers_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $plombiers_id;
  $plombiers_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $plombiers_id;
  $plombiers_meta  = get_post_meta( $plombiers_id, 'page_type_metabox', true );
  $plombiers_page = cs_get_option('maintenance_mode_page');
  $maintenance_mode_form_id = cs_get_option('maintenance_mode_form');
  $maintenance_mode_bg = cs_get_option('maintenance_mode_bg');
  $maintenance_man_bg = cs_get_option('maintenance_man');
  $maintenance_text = cs_get_option('maintenance_mode_text');
  $maintenance_text = ( $maintenance_text ) ? $maintenance_text : esc_html__( 'SORRY! SITE IS UNDER MAINTENANCE WE WILL BE BACK SHORTLY', 'plombiers' );
  $maintenance_man_bg = ( $maintenance_man_bg ) ? wp_get_attachment_url($maintenance_man_bg) : PLOMBIERS_IMAGES . '/maintain-man.png';
   extract( $maintenance_mode_bg );
   $plombiers_background_image       = ( ! empty( $image ) ) ? 'background-image: url(' . $image . ');' : '';
   $plombiers_background_repeat      = ( ! empty( $image ) && ! empty( $repeat ) ) ? ' background-repeat: ' . $repeat . ';' : '';
   $plombiers_background_position    = ( ! empty( $image ) && ! empty( $position ) ) ? ' background-position: ' . $position . ';' : '';
   $plombiers_background_size    = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-size: ' . $size . ';' : '';
   $plombiers_background_attachment    = ( ! empty( $image ) && ! empty( $size ) ) ? ' background-attachment: ' . $attachment . ';' : '';
   $plombiers_background_color       = ( ! empty( $color ) ) ? ' background-color: ' . $color . ';' : '';
   $plombiers_background_style       = ( ! empty( $image ) ) ? $plombiers_background_image . $plombiers_background_repeat . $plombiers_background_position . $plombiers_background_size . $plombiers_background_attachment : '';
   $plombiers_maintain_bg = ( ! empty( $plombiers_background_style ) || ! empty( $plombiers_background_color ) ) ? $plombiers_background_style . $plombiers_background_color : ''; ?>
</head>
  <body <?php body_class(); ?>>
    <div class="plombiers-maintenance-mode" style="<?php echo esc_attr($plombiers_maintain_bg); ?>">
        <div class="container">
            <div class="table">
              <div class="table-cell">
                <div class="maintain-thumb">
                  <img src="<?php echo esc_url( $maintenance_man_bg ); ?>" alt="">
                </div>
                  <div class="maintain-form">
                    <div class="maintain-text">
                      <?php if ($maintenance_text): ?>
                        <h2><?php echo esc_html( $maintenance_text ); ?></h2>
                      <?php endif ?>
                    </div>
                     <?php echo do_shortcode( '[contact-form-7 id="'. $maintenance_mode_form_id .'"]' ); ?>
                  </div>
              </div>
           </div>
        </div>
    </div>
    <?php wp_footer(); ?>
  </body>
</html>