<?php
/**
 * Single Post.
 */
	$plombiers_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
	$plombiers_large_image = $plombiers_large_image[0];
	$plombiers_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );
	$plombiers_blog_style = cs_get_option('blog_listing_style');
	// Single Theme Option
	$plombiers_metas_hide = (array) cs_get_option( 'theme_metas_hide' );
	$plombiers_single_featured_image = cs_get_option('single_featured_image');
	$plombiers_single_author_info = cs_get_option('single_author_info');
	$plombiers_single_share_option = cs_get_option('single_share_option');
	$plombiers_single_tags_option = cs_get_option('single_tags_option');
	$plombiers_post_pagination_option = cs_get_option('single_post_pagination');
	 if ( !$plombiers_single_featured_image && (( 'video' == get_post_format() && ! empty( $plombiers_post_type['video_post_format'] ) ) || ( 'audio' == get_post_format() && ! empty( $plombiers_post_type['audio_post_format'] ) ) || ( 'gallery' == get_post_format() && ! empty( $plombiers_post_type['gallery_post_format'] ) ) || ($plombiers_large_image)) ){
	 	 		$meta_class = 'has-post-meta';
	    } else {
	     $meta_class = 'no-post-meta';
	  } ?>
	<div id="post-<?php the_ID(); ?>" <?php post_class('blog-post'); ?>>
		<?php if ( !$plombiers_single_featured_image ) { ?>
			<div class="plmbr-blog-thumb">
			<?php if ( 'gallery' == get_post_format() && ! empty( $plombiers_post_type['gallery_post_format'] ) ) { ?>
				<div class="blog-img-carousel"
				data-nav="true"
				data-autoplay="true"
				data-auto-height="true"
				data-dots="true">
				<?php $plombiers_ids = explode( ',', $plombiers_post_type['gallery_post_format'] );
				  foreach ( $plombiers_ids as $id ) {
				    $plombiers_attachment = wp_get_attachment_image_src( $id, 'full' );
				    $plombiers_alt = get_post_meta($id, '_wp_attachment_image_alt', true);
				    echo '<div class="item"><div class="plmbr-thumb"><img class="img-responsive img-fluid" src="'.esc_url( $plombiers_attachment[0] ).'" alt="'. esc_attr($plombiers_alt) .'" /></div></div>';
				 	} ?>
				</div>
			<?php } elseif ( 'video' == get_post_format() && ! empty( $plombiers_post_type['video_post_format'] ) ) { ?>
			<div class="plombiers-video-post video-format">
				<?php $parsed = parse_url( $plombiers_post_type['video_post_format'] );
				if ( strpos( $parsed['host'], 'vimeo' ) !== false ) { ?>
					<iframe class="embed-responsive-item" src="https://player.vimeo.com/video/<?php echo plombiers_video_format_data( $plombiers_post_type['video_post_format'] ); ?>?title=0&byline=0&portrait=0" webkitallowfullscreen mozallowfullscreen allowfullscreen>
					</iframe>
				<?php } else { ?>
					<iframe  class="embed-responsive-item youtube" src="https://www.youtube.com/embed/<?php echo plombiers_video_format_data( $plombiers_post_type['video_post_format'] ); ?>?rel=0&amp;controls=0&amp;showinfo=0" frameborder="0" allowfullscreen>
					</iframe>
				 <?php } ?>
			</div>
			<?php } elseif ( 'audio' == get_post_format() && ! empty( $plombiers_post_type['audio_post_format'] ) ) {
				echo '<div class="plombiers-audio-post audio-format">'.$plombiers_post_type['audio_post_format'].'</div>';
		   } elseif ($plombiers_large_image) { ?>
			<div class="single-post-thumb">
				<img class="img-responsive img-fluid" src="<?php echo esc_url($plombiers_large_image); ?>" alt="<?php echo esc_attr(get_the_title()); ?>">
			</div>
		<?php }  ?>
		</div>
		<?php } ?>
		<!-- Content -->
		<div class="pmbor-single-meta">
			<div class="left-meta">
				<div class="plmber-single-author">
					 <?php if ( !in_array( 'author', $plombiers_metas_hide ) ) { // Author Hide
			       printf(
                 '<span class="pe-7s-add-user"></span><span>'. esc_html__(' by','plombiers') .' <a href="%1$s" rel="author">%2$s</a></span>',
                esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
                get_the_author()
              );
		    	} ?>
				</div>
				<div class="plmber-single-date">
					 <?php if ( !in_array( 'author', $plombiers_metas_hide ) ) { ?>
               <span class="text-right"><i class="pe-7s-date"></i>
                <?php echo get_the_date(); ?></span>
              <?php }
           ?>
				</div>
				<div class="plmber-single-cat">
					<?php
						 if ( !in_array( 'category', $plombiers_metas_hide ) ) { // Category Hide
				      if ( get_post_type() === 'post') {
				        $category_list = get_the_category_list( ' <span class="cat-border"></span>' );
				        if ( $category_list ) {
				           echo ' <span class="pe-7s-ribbon"> '.$category_list .' </span>';
				        }
				      }
				   	 } ?>
				</div>
			</div>
			<div class="right-meta">
				<div class="pmber-single-comment">
					<a class="plmbr-comment" href="<?php echo esc_url( get_comments_link() ); ?>"><i class="pe-7s-comment"></i><?php printf( esc_html( _nx( 'Comment (%1$s)', 'Comments (%1$s)', get_comments_number(), 'comments title', 'plombiers' ) ), number_format_i18n( get_comments_number() ),'<span>' . get_the_title() . '</span>' ); ?></a>
				</div>
				<div class="pmber-single-like">
					<?php if( function_exists('zilla_likes') ) zilla_likes(); ?>
				</div>
			</div>
		</div>
		<div class="plmbr-single-content">
			<?php the_content(); ?>
			<?php echo plombiers_wp_link_pages(); ?>
			<hr>
		</div>
		<!-- Tags and Share -->
		<div class="plmbr-blog-innerp-fonticon clearfix">
			<?php $tag_list = get_the_tags();
			if( $tag_list && !$plombiers_single_tags_option) { ?>
			<div class="plmbr-single-tags">
				<?php echo the_tags( '<ul><li><span class="pe-7s-ticket"></span>', '</li><li><span class="pe-7s-ticket"></span>', '</li></ul>' ); ?>
			</div>

			<?php } if( !$plombiers_post_pagination_option ){

					plombiers_single_pagination();
				} ?>
			<div class="plmber-single-share">
			<?php
				if ( $plombiers_single_share_option && function_exists('plombiers_wp_share_option') ) {
					echo plombiers_wp_share_option();
				}	?>
			</div>
		</div>
		<!-- Tags and Share -->
		<!-- Author Info -->
		<?php
		if($plombiers_single_author_info) {
			echo plombiers_author_info();
		} ?>
		<!-- Author Info -->
	</div><!-- #post-## -->