<?php
/**
 * Single Post.
 */
	$plombiers_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
	$plombiers_large_image = $plombiers_large_image[0];
	$plombiers_post_type = get_post_meta( get_the_ID(), 'post_type_metabox', true );
	$plombiers_blog_style = cs_get_option('blog_listing_style');
	// Single Theme Option
	$plombiers_single_featured_image = cs_get_option('team_featured_image');
	$team_limit = cs_get_option('team_limit');
	$team_order = cs_get_option('team_order');
	$team_options = get_post_meta( get_the_ID(), 'team_options', true );
	$team_page_options = get_post_meta( get_the_ID(), 'team_page_options', true );
	$employee_name = isset($team_options['employee_name']) ? $team_options['employee_name'] : '';
	$employee_welcome = isset($team_options['employee_welcome']) ? $team_options['employee_welcome'] : '';
	$team_job_position = isset($team_options['team_job_position']) ? $team_options['team_job_position'] : '';
	$team_socials = isset( $team_options['team_socials']) ?  $team_options['team_socials'] : '';
  $team_infos = isset($team_options['team_infos']) ? $team_options['team_infos'] : '';
	$progress_title = isset($team_page_options['progress_title']) ? $team_page_options['progress_title'] : '';
	$progress_box = isset($team_page_options['progress_box']) ? $team_page_options['progress_box'] : '';
	$choose_team = isset($team_page_options['choose_team']) ? $team_page_options['choose_team'] : '';
	if (!empty($choose_team)) {
	  $choose_team = $choose_team;
	} else {
	  $choose_team = cs_get_option('choose_team');
	} ?>
  <section class="plmbr-innertm plmbr-team-single">
   <div class="container">
      <div class="row">
         <div class="col-xs-12 col-sm-12 col-md-4 extraspac">
            <div class="plmbr-team-col single-plmbr-innerteam">
            	<?php if ( !$plombiers_single_featured_image ): ?>
								<img class="img-responsive img-fluid" src="<?php echo esc_url( $plombiers_large_image ); ?>" alt="">
					<?php endif ?>
            </div>
         </div>
         <div class="col-xs-12 col-sm-12 col-md-8">
            <div class="row">
               <div class="col-md-12 plmbr-tmpersonal-info">
               	<?php if (isset($employee_welcome)): ?>
						   	   <em class="text-capitalize"><?php echo esc_attr( $employee_welcome ); ?></em>
								<?php endif ?>
                  <h2 class="text-thm"><?php echo esc_attr(get_the_title()); ?></h2>
                <?php if ( $team_job_position ): ?>
                  <em class="plmbr-tmpersonal-inf-sbttl"><?php echo esc_attr( $team_job_position ); ?></em>
								<?php endif ?>
                  <ul class="list-inline plmbr-tmpi-contact">
                  	<?php if ($team_infos) {
					           foreach ($team_infos as $key => $icon) : ?>
									   <li>
                        <span class="<?php echo esc_attr( $icon['team_info_icon'] ); ?>">
                        </span><?php echo esc_attr( $icon['team_info'] ); ?>
                     </li>
					       <?php endforeach;  } ?>
                  </ul>
                  <p class="plmbr-tmp-detls"><?php the_content(); ?></p>
               </div>
            </div>
          <div class="row">
            <div class="plmbr-tm-skill"><?php echo esc_attr( $progress_title ) ?>
            <span class="text-thm"><?php echo esc_attr(get_the_title()); ?></span></div>
            <?php foreach ($progress_box as $key => $box) : if ( !empty( array_filter( $box ) ) ) :
              $team_progress_color = isset( $box['team_progress_color'] ) ? ' style="background-color: '.esc_attr( $box['team_progress_color'] ).';"' : '';
              $team_progress_title = isset($box['team_progress_title']) ? $box['team_progress_title'] : '';
               $team_progress_parcent = isset($box['team_progress_parcent']) ? $box['team_progress_parcent'] : ''; ?>
                  <div class="col-md-6">
                    <!--Progress Levels-->
                    <div class="progress-levels plmbr-one">
                       <div class="progress-box wow animated" data-wow-delay="100ms" data-wow-duration="1500ms" style="visibility: visible; animation-duration: 1500ms; animation-delay: 100ms;">
                          <div class="box-title"><?php echo esc_attr( $team_progress_title ); ?></div>
                          <div class="inner">
                             <div class="bar">
                                <div class="bar-innner">
                                   <div <?php echo  $team_progress_color ?> class="bar-fill"  data-percent="<?php echo esc_attr( $team_progress_parcent ); ?>" style="width: <?php echo esc_attr( $team_progress_parcent ); ?>%;">
                                      <div class="percent"><?php echo esc_html( $team_progress_parcent ); ?></div>
                                   </div>
                                </div>
                             </div>
                          </div>
                       </div>
                     </div>
                  </div>
                <?php endif;  endforeach; ?>
            </div>
         </div>
      </div>
   </div>
</section>
<?php if ($choose_team == 'show-team') { ?>
<section class="plmbr-team-one plmbr-innertm plmbr-tmdetails">
   <div class="container">
      <div class="row">
      <?php $args = array(
        'post_type' => 'team',
        'posts_per_page' => (int) $team_limit,
        'order' => $team_order,
        'post__not_in' => array(get_the_ID()), );
        $plombiers_team = new WP_Query( $args );
        if ($plombiers_team->have_posts()) :  while ($plombiers_team->have_posts()) : $plombiers_team->the_post();
        $image_url =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
        $image_url = $image_url[0];
        $team_options = get_post_meta( get_the_ID(), 'team_options', true );;
        $team_socials = $team_options['team_socials'];
        $employee_name = isset($team_options['employee_name']) ? $team_options['employee_name'] : '';
        $team_job_position = isset($team_options['team_job_position']) ? $team_options['team_job_position'] : ''; ?>
         <div class="col-xs-12 col-sm-6 col-md-4 extraspac">
            <div class="plmbr-team-col plmbr-innerteam">
               <div class="plmbr-thumb">
                  <?php if ( $plombiers_single_featured_image) : ?>
                   <img class="img-responsive img-fluid" src="<?php echo esc_url( $image_url ); ?>" alt="">
                  <?php endif ?>
                  <div class="plmbr-thumb-content text-center">
                     <?php if( !empty( $employee_name )){
                      echo '<h3 class="plmbr-title"><a href="'.esc_url( get_the_permalink() ).'">'.esc_html( $employee_name ).'</a></h3>';
                     } ?>
                     <?php if( !empty( $team_job_position )){
                      echo '<p class="plmbr-sub-title text-thm">'.esc_html( $team_job_position ).'</p>';
                     } ?>
                  </div>
                  <ul class="plmbr-team-icons">
                    <?php if ($team_socials) {
                        foreach ($team_socials as $key => $icon) : ?>
                        <li><a href="<?php echo esc_url( $icon['team_social_link'] ); ?>">
                          <i class="<?php echo esc_attr( $icon['team_social_icon'] ); ?>" aria-hidden="true"></i></a>
                        </li>
                        <?php endforeach;
                      } ?>
                  </ul>
               </div>
            </div>
         </div>
      <?php
      endwhile;
      wp_reset_postdata();
      endif; ?>
    </div>
   </div>
</section>
<?php }